#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0xa7f673fc, "");
SYMBOL_CRC(drm_gem_vram_put, 0x7a4843b3, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x74c454b3, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x17cb761a, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x6293c6ea, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0xc0bae191, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0xffa07e3c, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0xc0ba9b05, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0xfcc118f4, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0xf3cccfe8, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x1f08efb0, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x2bb76b35, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0x69e38b20, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0xd2d9555d, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x31c1f1dc, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0x9f9ad427, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x283750bc, "drm_gem_ttm_mmap" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x96993c7, "dma_resv_reset_max_fences" },
	{ 0x2de2392e, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd906723f, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x4fecf3cd, "drm_gem_object_release" },
	{ 0x3139cae6, "ttm_tt_init" },
	{ 0x7043597e, "drm_gem_handle_create" },
	{ 0x62cba59f, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x250e718c, "ttm_bo_unpin" },
	{ 0x65b962a9, "__drm_puts_seq_file" },
	{ 0xa2f4f71c, "drm_debugfs_add_files" },
	{ 0xfa2f4f3c, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe2884ab2, "ttm_device_init" },
	{ 0xc13efb87, "ttm_bo_validate" },
	{ 0xaf0eaef4, "ttm_bo_move_to_lru_tail" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0x1821eb3a, "ttm_bo_vmap" },
	{ 0xf35b361c, "ttm_bo_put" },
	{ 0x49cc9e83, "ttm_resource_free" },
	{ 0x473a14a, "ttm_bo_move_memcpy" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xe58fb594, "ttm_tt_fini" },
	{ 0x5fc8aabd, "ttm_device_fini" },
	{ 0xb6f82bdc, "drm_gem_plane_helper_prepare_fb" },
	{ 0xad9b5d87, "ttm_bo_eviction_valuable" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0x553575e9, "drm_gem_ttm_print_info" },
	{ 0xd4483560, "ttm_range_man_init_nocheck" },
	{ 0xfbe0f6c5, "ww_mutex_lock_interruptible" },
	{ 0x4e224a55, "ttm_resource_manager_debug" },
	{ 0x943a6d71, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xa823841c, "ttm_range_man_fini_nocheck" },
	{ 0x7564d49e, "drm_gem_object_init" },
	{ 0x21475af8, "__drm_printfn_seq_file" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbeec1b75, "ttm_bo_pin" },
	{ 0xbc8540c5, "dev_driver_string" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "drm_ttm_helper,ttm");


MODULE_INFO(srcversion, "45A49E51DAFAA14BA8045FA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
