#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xed0204f8, "drm_crtc_accurate_vblank_count" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xb053adda, "drm_rect_rotate" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc0757d71, "drm_atomic_helper_commit" },
	{ 0x28c9d8f9, "drm_atomic_helper_check" },
	{ 0x44ae6c9f, "drm_atomic_helper_connector_destroy_state" },
	{ 0x3a34a6f, "drm_gem_mmap" },
	{ 0x738ec78a, "drm_ioctl" },
	{ 0xa0ef969e, "drm_gem_fb_vmap" },
	{ 0x4581fd5e, "drm_atomic_get_crtc_state" },
	{ 0xdf666902, "drm_rotation_simplify" },
	{ 0x2e9f0b01, "drm_writeback_connector_init" },
	{ 0x49b73201, "drm_connector_init" },
	{ 0x398439b2, "drm_atomic_helper_fake_vblank" },
	{ 0xd72a4dbe, "__drmm_universal_plane_alloc" },
	{ 0xc1114ed7, "drmm_crtc_init_with_planes" },
	{ 0xe983f1c9, "platform_device_unregister" },
	{ 0xce769145, "noop_llseek" },
	{ 0x128493ff, "drm_read" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xea8293ba, "drm_gem_fb_vunmap" },
	{ 0xb1b9d045, "drm_crtc_vblank_on" },
	{ 0x6eaf7878, "devres_open_group" },
	{ 0xbdc70496, "drm_crtc_vblank_crtc" },
	{ 0x6843b96, "drm_gem_fb_create" },
	{ 0xe5ac97e2, "drm_atomic_helper_check_plane_state" },
	{ 0x839192da, "drm_crtc_vblank_put" },
	{ 0xa9394ec6, "drm_dev_unregister" },
	{ 0x9e28d4f7, "__devm_drm_dev_alloc" },
	{ 0x272b478d, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xe78c5b0c, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc5caf1c4, "drm_atomic_helper_set_config" },
	{ 0x7704a53, "drm_fbdev_generic_setup" },
	{ 0xf1c9c673, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x9a8dc106, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd6dfaae8, "drm_connector_cleanup" },
	{ 0x24b40caf, "dma_set_coherent_mask" },
	{ 0xce49c0be, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x2fb6fce5, "drm_crtc_enable_color_mgmt" },
	{ 0x3b99f05d, "drm_encoder_init" },
	{ 0x17cc8880, "platform_device_register_full" },
	{ 0xa9e6aee2, "drm_vblank_init" },
	{ 0xa2f4f71c, "drm_debugfs_add_files" },
	{ 0x5ecbad92, "param_ops_bool" },
	{ 0xa07ae4aa, "drm_atomic_helper_wait_for_flip_done" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3edb8ead, "drm_crtc_vblank_off" },
	{ 0xa6a0eb51, "seq_printf" },
	{ 0xceb888a2, "drm_helper_probe_single_connector_modes" },
	{ 0x42bcae3, "drm_plane_create_rotation_property" },
	{ 0xfa9b70c, "__drm_atomic_helper_crtc_reset" },
	{ 0x4ec23079, "drm_crtc_handle_vblank" },
	{ 0x6ea6c1ed, "hrtimer_cancel" },
	{ 0xdc4c61e8, "drm_atomic_helper_page_flip" },
	{ 0x51f13dad, "dma_set_mask" },
	{ 0x7270c932, "drm_set_preferred_mode" },
	{ 0xd47a8154, "drm_atomic_helper_commit_hw_done" },
	{ 0x5a07d9ee, "drm_atomic_helper_connector_reset" },
	{ 0x16ed0b37, "drm_mode_config_reset" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0xde1ad59, "hrtimer_forward" },
	{ 0x449adbb0, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3046ad28, "__drm_gem_destroy_shadow_plane_state" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xd78efac4, "drm_crtc_arm_vblank_event" },
	{ 0x781dae81, "drm_atomic_helper_update_plane" },
	{ 0xa9c597b, "drm_calc_timestamping_constants" },
	{ 0x2f2f72cb, "drm_compat_ioctl" },
	{ 0xff9c7ca3, "drm_dev_register" },
	{ 0xb6f82bdc, "drm_gem_plane_helper_prepare_fb" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0xb5346601, "drm_release" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x1bcd008a, "drm_crtc_add_crc_entry" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x7b1e3668, "drm_open" },
	{ 0xf08bd2c7, "drm_poll" },
	{ 0x9f97d74d, "__drm_gem_reset_shadow_plane" },
	{ 0xde39aa4d, "drm_mode_crtc_set_gamma_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdb2f1bf7, "drm_atomic_helper_commit_modeset_enables" },
	{ 0x49586d03, "devres_release_group" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe99792e5, "drm_atomic_helper_check_wb_connector_state" },
	{ 0xadbc9c27, "drm_atomic_add_affected_planes" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4310ad68, "drm_gem_shmem_dumb_create" },
	{ 0xcb8cf2a, "drm_atomic_helper_disable_plane" },
	{ 0x7e115ba8, "drm_atomic_helper_shutdown" },
	{ 0x3bbcf2b6, "drm_atomic_helper_cleanup_planes" },
	{ 0xe8ec57f3, "hrtimer_init" },
	{ 0xc4b804e5, "drm_mode_object_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x5cf32ead, "drm_writeback_queue_job" },
	{ 0xa3512371, "drm_atomic_helper_commit_planes" },
	{ 0x9a28e92e, "drm_crtc_cleanup" },
	{ 0x86cc0917, "drm_writeback_signal_completion" },
	{ 0x42ebe464, "drm_encoder_cleanup" },
	{ 0x2e57f3b8, "drmm_mode_config_init" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x538f91bd, "drm_add_modes_noedid" },
	{ 0xc818e783, "drm_mode_object_put" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0x1da00481, "drm_crtc_vblank_get" },
	{ 0x264f6eb, "drm_crtc_send_vblank_event" },
	{ 0xebb11857, "drm_connector_attach_encoder" },
	{ 0xe1ed0e0a, "drm_atomic_helper_commit_modeset_disables" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5E47968870C5D0F0CDE874B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
