#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ishtp_device_init, "", "");
KSYMTAB_FUNC(ishtp_start, "", "");
KSYMTAB_FUNC(ishtp_send_suspend, "", "");
KSYMTAB_FUNC(ishtp_send_resume, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_buffer_size, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_rings, "", "");
KSYMTAB_FUNC(ishtp_cl_flush_queues, "", "");
KSYMTAB_FUNC(ishtp_cl_allocate, "", "");
KSYMTAB_FUNC(ishtp_cl_free, "", "");
KSYMTAB_FUNC(ishtp_cl_link, "", "");
KSYMTAB_FUNC(ishtp_cl_unlink, "", "");
KSYMTAB_FUNC(ishtp_cl_disconnect, "", "");
KSYMTAB_FUNC(ishtp_cl_connect, "", "");
KSYMTAB_FUNC(ishtp_cl_establish_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_destroy_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_send, "", "");
KSYMTAB_FUNC(ishtp_get_client_data, "", "");
KSYMTAB_FUNC(ishtp_set_client_data, "", "");
KSYMTAB_FUNC(ishtp_get_ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_set_tx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_rx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_connection_state, "", "");
KSYMTAB_FUNC(ishtp_cl_set_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_recv, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_by_uuid, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_get_client, "", "");
KSYMTAB_FUNC(ishtp_get_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_register, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_unregister, "", "");
KSYMTAB_FUNC(ishtp_register_event_cb, "", "");
KSYMTAB_FUNC(ishtp_get_device, "", "");
KSYMTAB_FUNC(ishtp_put_device, "", "");
KSYMTAB_FUNC(ishtp_set_drvdata, "", "");
KSYMTAB_FUNC(ishtp_get_drvdata, "", "");
KSYMTAB_FUNC(ishtp_dev_to_cl_device, "", "");
KSYMTAB_FUNC(ishtp_bus_remove_all_clients, "", "");
KSYMTAB_FUNC(ishtp_reset_handler, "", "");
KSYMTAB_FUNC(ishtp_reset_compl_handler, "", "");
KSYMTAB_FUNC(ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_wait_resume, "_gpl", "");
KSYMTAB_FUNC(ishtp_get_pci_device, "", "");
KSYMTAB_FUNC(ishtp_trace_callback, "", "");
KSYMTAB_FUNC(ish_hw_reset, "", "");
KSYMTAB_FUNC(ishtp_cl_io_rb_recycle, "", "");
KSYMTAB_FUNC(ishtp_cl_tx_empty, "", "");
KSYMTAB_FUNC(ishtp_cl_rx_get_rb, "", "");

SYMBOL_CRC(ishtp_device_init, 0xacdf5233, "");
SYMBOL_CRC(ishtp_start, 0xfabee568, "");
SYMBOL_CRC(ishtp_send_suspend, 0x4ddad30f, "");
SYMBOL_CRC(ishtp_send_resume, 0x76184c77, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_buffer_size, 0x8df11ff7, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_rings, 0x6772f8bb, "");
SYMBOL_CRC(ishtp_cl_flush_queues, 0x99bdfba5, "");
SYMBOL_CRC(ishtp_cl_allocate, 0xaee5aabb, "");
SYMBOL_CRC(ishtp_cl_free, 0x48fb5b8a, "");
SYMBOL_CRC(ishtp_cl_link, 0x6c4a2ba3, "");
SYMBOL_CRC(ishtp_cl_unlink, 0x63b2b58d, "");
SYMBOL_CRC(ishtp_cl_disconnect, 0x4414cb6f, "");
SYMBOL_CRC(ishtp_cl_connect, 0xb7fab1f0, "");
SYMBOL_CRC(ishtp_cl_establish_connection, 0x457339c4, "");
SYMBOL_CRC(ishtp_cl_destroy_connection, 0xb12f4dd5, "");
SYMBOL_CRC(ishtp_cl_send, 0xfca321e7, "");
SYMBOL_CRC(ishtp_get_client_data, 0x8997fb5c, "");
SYMBOL_CRC(ishtp_set_client_data, 0x26103a27, "");
SYMBOL_CRC(ishtp_get_ishtp_device, 0x25143666, "");
SYMBOL_CRC(ishtp_set_tx_ring_size, 0x31015d0f, "");
SYMBOL_CRC(ishtp_set_rx_ring_size, 0xcf67cf56, "");
SYMBOL_CRC(ishtp_set_connection_state, 0xef0abe7b, "");
SYMBOL_CRC(ishtp_cl_set_fw_client_id, 0xe6061d85, "");
SYMBOL_CRC(ishtp_recv, 0x4ec9220f, "");
SYMBOL_CRC(ishtp_fw_cl_by_uuid, 0xd2b4fd4c, "");
SYMBOL_CRC(ishtp_fw_cl_get_client, 0x5947313f, "");
SYMBOL_CRC(ishtp_get_fw_client_id, 0x5f9b0501, "");
SYMBOL_CRC(ishtp_cl_driver_register, 0x5eda3145, "");
SYMBOL_CRC(ishtp_cl_driver_unregister, 0x65668019, "");
SYMBOL_CRC(ishtp_register_event_cb, 0x54b6a635, "");
SYMBOL_CRC(ishtp_get_device, 0xce5cf767, "");
SYMBOL_CRC(ishtp_put_device, 0xa89b16d5, "");
SYMBOL_CRC(ishtp_set_drvdata, 0x4bb93aee, "");
SYMBOL_CRC(ishtp_get_drvdata, 0xb1e2cdb3, "");
SYMBOL_CRC(ishtp_dev_to_cl_device, 0x2f0bd96c, "");
SYMBOL_CRC(ishtp_bus_remove_all_clients, 0xd32b5c44, "");
SYMBOL_CRC(ishtp_reset_handler, 0x7814cc2e, "");
SYMBOL_CRC(ishtp_reset_compl_handler, 0xdcd9f068, "");
SYMBOL_CRC(ishtp_device, 0xc6578477, "");
SYMBOL_CRC(ishtp_wait_resume, 0x4417a754, "_gpl");
SYMBOL_CRC(ishtp_get_pci_device, 0x610d542d, "");
SYMBOL_CRC(ishtp_trace_callback, 0xbd87784e, "");
SYMBOL_CRC(ish_hw_reset, 0x74e2b22e, "");
SYMBOL_CRC(ishtp_cl_io_rb_recycle, 0x00887f5a, "");
SYMBOL_CRC(ishtp_cl_tx_empty, 0xa280273d, "");
SYMBOL_CRC(ishtp_cl_rx_get_rb, 0xaf0fea6b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x69a9ea9a, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x57189b14, "put_device" },
	{ 0x4877667f, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa6afb34, "bus_unregister" },
	{ 0xacb10175, "_dev_err" },
	{ 0x70226158, "dma_alloc_attrs" },
	{ 0x8b9586e1, "driver_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x2291a795, "device_register" },
	{ 0xa620d9c1, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x979eef15, "dma_free_attrs" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec758e85, "dev_err_probe" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0xca04b9c1, "__devm_add_action" },
	{ 0x1aa1c769, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x7f503e65, "driver_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0x2474fe06, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7114f911, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xde21ac2a, "device_unregister" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x380733c9, "request_firmware" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E6ECF2D68156DDBAFD8AABD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
