#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41ef446c, "mma9551_read_accel_scale" },
	{ 0xe5cca110, "mma9551_read_accel_chan" },
	{ 0xe0bfadd, "mma9551_read_status_words" },
	{ 0xed6ffe35, "mma9551_gpio_config" },
	{ 0x71d61786, "i2c_client_get_device_id" },
	{ 0x48d21666, "devm_iio_device_alloc" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x7020694c, "mma9551_read_version" },
	{ 0x9eb38940, "devm_request_threaded_irq" },
	{ 0xccf077ea, "pm_runtime_enable" },
	{ 0x1b1fb5b, "pm_runtime_set_autosuspend_delay" },
	{ 0x8f385c87, "__pm_runtime_use_autosuspend" },
	{ 0x26abb79a, "__iio_device_register" },
	{ 0x50d672e1, "mma9551_read_config_words" },
	{ 0x4faa8b84, "mma9551_app_reset" },
	{ 0xa73ce2b8, "mma9551_write_config_words" },
	{ 0x69a9ea9a, "__dynamic_dev_dbg" },
	{ 0x6a7b18f6, "is_acpi_device_node" },
	{ 0x3520e82a, "acpi_match_device" },
	{ 0x58705e69, "iio_push_event" },
	{ 0x73c30ad9, "iio_enum_read" },
	{ 0xee3b2e3e, "iio_enum_write" },
	{ 0x52f60c59, "iio_enum_available_read" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x563458a6, "i2c_register_driver" },
	{ 0x3b5f0cc, "mma9551_set_device_state" },
	{ 0xbcd7fe96, "mma9551_sleep" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xacb10175, "_dev_err" },
	{ 0x3de09ae8, "iio_device_unregister" },
	{ 0xba632ab, "__pm_runtime_disable" },
	{ 0xaeac46dc, "__pm_runtime_set_status" },
	{ 0x299cb813, "iio_get_time_ns" },
	{ 0x306e3cca, "mma9551_write_config_word" },
	{ 0x1204579f, "mma9551_read_config_word" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5ce24f35, "mma9551_set_power_state" },
	{ 0x42a2abe8, "i2c_del_driver" },
	{ 0x20fb0303, "mma9551_read_status_word" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "mma9551_core,industrialio");

MODULE_ALIAS("i2c:mma9553");
MODULE_ALIAS("acpi*:MMA9553:*");

MODULE_INFO(srcversion, "F1242C485FB389CECBDB67B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
