#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x64c2bf86, "irq_work_queue" },
	{ 0x7d6ee498, "iio_trigger_poll" },
	{ 0x7a5f4e3f, "regmap_bulk_write" },
	{ 0x8ff09b80, "iio_device_claim_direct_mode" },
	{ 0x27e183f5, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x351cc4a, "__pm_runtime_suspend" },
	{ 0xfcd1d46e, "iio_device_release_direct_mode" },
	{ 0xf9a482f9, "msleep" },
	{ 0x48d21666, "devm_iio_device_alloc" },
	{ 0xd5d06979, "i2c_get_match_data" },
	{ 0x68b9112e, "iio_device_id" },
	{ 0x10b1ac50, "__devm_iio_trigger_alloc" },
	{ 0x486da67f, "__devm_regmap_init_i2c" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x56220478, "iio_trigger_register" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xae7d9ad2, "iio_triggered_buffer_setup_ext" },
	{ 0xccf077ea, "pm_runtime_enable" },
	{ 0x1b1fb5b, "pm_runtime_set_autosuspend_delay" },
	{ 0x8f385c87, "__pm_runtime_use_autosuspend" },
	{ 0x26abb79a, "__iio_device_register" },
	{ 0x9eb38940, "devm_request_threaded_irq" },
	{ 0x42a2abe8, "i2c_del_driver" },
	{ 0x9a423a1c, "iio_trigger_notify_done" },
	{ 0x299cb813, "iio_get_time_ns" },
	{ 0x88a3e795, "iio_push_to_buffers" },
	{ 0xcd4cf565, "regmap_update_bits_base" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4e88485a, "regmap_read" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa620d9c1, "_dev_warn" },
	{ 0xbb103d5d, "regmap_bulk_read" },
	{ 0x4877667f, "_dev_info" },
	{ 0x563458a6, "i2c_register_driver" },
	{ 0x17143ea9, "regmap_write" },
	{ 0x3de09ae8, "iio_device_unregister" },
	{ 0x31527edb, "iio_triggered_buffer_cleanup" },
	{ 0xba4c66b7, "iio_trigger_unregister" },
	{ 0xba632ab, "__pm_runtime_disable" },
	{ 0xaeac46dc, "__pm_runtime_set_status" },
	{ 0xacb10175, "_dev_err" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");

MODULE_ALIAS("of:N*T*Catlas,ph-sm");
MODULE_ALIAS("of:N*T*Catlas,ph-smC*");
MODULE_ALIAS("of:N*T*Catlas,ec-sm");
MODULE_ALIAS("of:N*T*Catlas,ec-smC*");
MODULE_ALIAS("of:N*T*Catlas,orp-sm");
MODULE_ALIAS("of:N*T*Catlas,orp-smC*");
MODULE_ALIAS("of:N*T*Catlas,do-sm");
MODULE_ALIAS("of:N*T*Catlas,do-smC*");
MODULE_ALIAS("of:N*T*Catlas,rtd-sm");
MODULE_ALIAS("of:N*T*Catlas,rtd-smC*");
MODULE_ALIAS("i2c:atlas-ph-sm");
MODULE_ALIAS("i2c:atlas-ec-sm");
MODULE_ALIAS("i2c:atlas-orp-sm");
MODULE_ALIAS("i2c:atlas-do-sm");
MODULE_ALIAS("i2c:atlas-rtd-sm");

MODULE_INFO(srcversion, "F9F759F67429F9560198CFE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
