#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x8857328d, "mlx4_is_eq_shared" },
	{ 0xaa095fcd, "ib_unregister_mad_agent" },
	{ 0x7baa24e7, "ib_post_send_mad" },
	{ 0xc6582ba5, "ib_create_send_mad" },
	{ 0x4cd7624b, "ib_dispatch_event" },
	{ 0xb862f6a2, "mlx4_is_slave_active" },
	{ 0x187d1811, "mlx4_get_slave_default_vlan" },
	{ 0x43eb62e4, "ib_sa_unregister_client" },
	{ 0xb7852a05, "ib_ud_header_init" },
	{ 0xb0afdd10, "__dma_sync_single_for_cpu" },
	{ 0x727914d, "mlx4_cq_free" },
	{ 0xcd9e5765, "mlx4_CLOSE_PORT" },
	{ 0xacb10175, "_dev_err" },
	{ 0x4dd5379e, "init_net" },
	{ 0x5f8831be, "ib_get_cached_pkey" },
	{ 0x6b958320, "ib_ud_ip4_csum" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x696079d4, "mlx4_alloc_cmd_mailbox" },
	{ 0xbd623597, "mlx4_FLOW_STEERING_IB_UC_QP_RANGE" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x317b6103, "mlx4_counter_free" },
	{ 0x6759c098, "rdma_query_ah" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x506a1585, "mlx4_gen_port_state_change_eqe" },
	{ 0xa355009, "mlx4_map_sw_to_hw_steering_mode" },
	{ 0xfd1aafeb, "ib_umem_get" },
	{ 0x92058702, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x40a6350c, "mlx4_uar_alloc" },
	{ 0x87c4c98b, "ib_query_port" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xe88416a5, "mlx4_gen_guid_change_eqe" },
	{ 0x6f3614b6, "rdma_is_zero_gid" },
	{ 0xff22c353, "mlx4_mr_rereg_mem_write" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x413c4df2, "mlx4_mr_free" },
	{ 0xc9747039, "mlx4_xrcd_alloc" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x18e479c3, "mlx4_buf_alloc" },
	{ 0x37086eaa, "kobject_init_and_add" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x198be436, "sysfs_create_group" },
	{ 0xfaf47345, "mlx4_qp_modify" },
	{ 0xb37d53c7, "mlx4_config_roce_v2_port" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x877af232, "mlx4_get_eqs_per_port" },
	{ 0x385e9a8c, "__ib_create_cq" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x11396b47, "mlx4_vf_smi_enabled" },
	{ 0x87000fe8, "ib_destroy_qp_user" },
	{ 0xb5b1912e, "mlx4_assign_eq" },
	{ 0x6f1f6025, "mlx4_mr_hw_change_pd" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0xa620d9c1, "_dev_warn" },
	{ 0xbd461d37, "mlx4_mr_hw_get_mpt" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x7c0f8285, "mlx4_mw_alloc" },
	{ 0x1c713592, "mlx4_register_vlan" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0xdbcc7f17, "mlx4_set_admin_guid" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xfbe4319c, "mlx4_mtt_init" },
	{ 0x5818d52, "mlx4_mw_enable" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5a95cffc, "mlx4_get_counter_stats" },
	{ 0x8195017d, "mlx4_put_qp" },
	{ 0xece784c2, "rb_first" },
	{ 0xd9c0e995, "mlx4_query_diag_counters" },
	{ 0x78912e74, "rdma_destroy_ah_user" },
	{ 0xc68b362f, "mlx4_unregister_auxiliary_driver" },
	{ 0xe7178c16, "devlink_port_type_ib_set" },
	{ 0x8b2dba53, "mlx4_qp_remove" },
	{ 0x3ba0c068, "ib_dealloc_device" },
	{ 0x7e65bd62, "mlx4_srq_arm" },
	{ 0xe594114d, "ib_free_send_mad" },
	{ 0xb0cf0452, "ib_get_cached_port_state" },
	{ 0x60c1fc09, "ib_destroy_cq_user" },
	{ 0xe38c8c61, "mlx4_get_roce_gid_from_slave" },
	{ 0x3a161d30, "rdma_user_mmap_io" },
	{ 0x47739197, "kobject_create_and_add" },
	{ 0xeddd417, "down_read" },
	{ 0x4b705841, "__xa_cmpxchg" },
	{ 0xdfe3491c, "mlx4_qp_free" },
	{ 0xf9b03b07, "ib_modify_qp" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xcd25ea, "ib_get_rdma_header_version" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x380e5977, "mlx4_cq_resize" },
	{ 0x85aea03b, "xa_erase" },
	{ 0xf24c3fe0, "sysfs_remove_group" },
	{ 0x2fb13a98, "__mmap_lock_do_trace_start_locking" },
	{ 0x6669649e, "mlx4_buf_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2f307d08, "mlx4_cq_modify" },
	{ 0xc7b6a39b, "mlx4_gen_pkey_eqe" },
	{ 0xdee8a576, "mlx4_mw_free" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x867b88de, "mlx4_tunnel_steer_add" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x61215ed4, "mlx4_db_alloc" },
	{ 0xbbd7d989, "mlx4_mr_hw_put_mpt" },
	{ 0x1d0bd2f0, "mlx4_vf_get_enable_smi_admin" },
	{ 0xd74fb8a0, "__dma_sync_single_for_device" },
	{ 0xf5d073e8, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x509a1cf9, "__tracepoint_mmap_lock_start_locking" },
	{ 0x67fb976e, "netdev_master_upper_dev_get_rcu" },
	{ 0xf1acb680, "mlx4_mr_rereg_mem_cleanup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf28b8f43, "mlx4_phys_to_slave_port" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x2a2db5bf, "__mmap_lock_do_trace_released" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xb633f115, "irq_poll_enable" },
	{ 0x755c8468, "mlx4_vf_set_enable_smi_admin" },
	{ 0x7fdde0b4, "mlx4_handle_eth_header_mcast_prio" },
	{ 0xd384bbe9, "ib_create_qp_kernel" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0xc05f89b1, "ib_register_mad_agent" },
	{ 0x9f96b826, "mlx4_srq_lookup" },
	{ 0x3791785f, "ib_dealloc_pd_user" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0xfe9646ab, "mlx4_hw_rule_sz" },
	{ 0xfeab84ec, "rdma_port_get_link_layer" },
	{ 0x2e819c53, "mlx4_sync_pkey_table" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0x2b919d30, "mlx4_INIT_PORT" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x1aa1c769, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb308bdc8, "mlx4_qp_alloc" },
	{ 0xe02df741, "mlx4_srq_free" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xd55cb019, "mlx4_qp_reserve_range" },
	{ 0x2c956653, "mlx4_srq_alloc" },
	{ 0xbb53856b, "up_read" },
	{ 0xcd587276, "mlx4_pd_free" },
	{ 0x11c49a18, "mlx4_counter_alloc" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1a4154e7, "mlx4_get_default_counter_index" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5cfa032f, "kobject_get" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0x623cfb30, "mlx4_mr_enable" },
	{ 0xf2b2429, "ib_set_device_ops" },
	{ 0x2a1493ee, "kobject_put" },
	{ 0xa000d0c3, "mlx4_get_parav_qkey" },
	{ 0x58df5b94, "ib_get_gids_from_rdma_hdr" },
	{ 0xc8cbf751, "tlbstate_untag_mask" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x713f5d6e, "mlx4_update_qp" },
	{ 0x71b9d40c, "mlx4_unregister_mac" },
	{ 0x56001a93, "mlx4_buf_write_mtt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xab047831, "ib_umem_release" },
	{ 0x57b49a50, "mlx4_get_admin_guid" },
	{ 0x2d782ffd, "mlx4_map_sw_to_hw_steering_id" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x95120d17, "mlx4_mr_hw_change_access" },
	{ 0x376505ee, "mlx4_unregister_event_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0xf1b07e0c, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x58e96db9, "mlx4_write_mtt" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x89c38482, "mlx4_gen_slaves_port_mgt_ev" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x8fa46d0, "mlx4_pd_alloc" },
	{ 0x32f0df1f, "mlx4_multicast_detach" },
	{ 0xffbac765, "rdma_read_gid_l2_fields" },
	{ 0x9387c9f5, "mlx4_unregister_vlan" },
	{ 0x66da392d, "mlx4_register_mac" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe9e799fc, "ib_ud_header_pack" },
	{ 0xca9360b5, "rb_next" },
	{ 0x3b772da7, "__ib_alloc_pd" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5fc9d3f0, "radix_tree_lookup" },
	{ 0x4e49a2ff, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0x84fabf5f, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xab62888d, "ib_modify_qp_is_ok" },
	{ 0x436c8be2, "mlx4_get_base_gid_ix" },
	{ 0xedc03953, "iounmap" },
	{ 0x7c8b7816, "ib_sa_register_client" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd4e76c66, "ib_sg_to_pages" },
	{ 0xada73120, "mlx4_register_event_notifier" },
	{ 0x37a0cba, "kfree" },
	{ 0xb6230fd9, "mlx4_put_slave_node_guid" },
	{ 0x958c048a, "devlink_port_type_clear" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf593e1e, "ib_process_cq_direct" },
	{ 0x4aef17c1, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x52a6cde1, "mlx4_srq_query" },
	{ 0x863361ef, "mlx4_get_active_ports" },
	{ 0x5f89e13d, "mlx4_release_eq" },
	{ 0xb5900f7f, "rdma_alloc_hw_stats_struct" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x6ad0fa4, "_ib_alloc_device" },
	{ 0xa84977e7, "mlx4_qp_release_range" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x6c930ebb, "__tracepoint_mmap_lock_released" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xdcff6b00, "mlx4_mr_hw_write_mpt" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x936a881, "mlx4_get_internal_clock_params" },
	{ 0x3a66cc61, "mlx4_slave_convert_port" },
	{ 0xc21fc4ed, "mlx4_cq_alloc" },
	{ 0xbc8540c5, "dev_driver_string" },
	{ 0xb36928b1, "rdma_create_ah" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0xe3c799ec, "ib_unregister_device" },
	{ 0x3524bc07, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x167b7426, "dma_map_page_attrs" },
	{ 0xe1d103f5, "mlx4_get_slave_from_roce_gid" },
	{ 0xda0060cf, "mlx4_free_cmd_mailbox" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x42f29510, "mlx4_mtt_cleanup" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x30ae00a5, "mlx4_uar_free" },
	{ 0x8d092095, "ib_register_device" },
	{ 0x2842c540, "mlx4_xrcd_free" },
	{ 0x256f9aa2, "mlx4_qp_query" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb5cb7225, "mlx4_register_auxiliary_driver" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x20dbf27, "bitmap_alloc" },
	{ 0x37947828, "__mlx4_cmd" },
	{ 0x2b413548, "sysfs_remove_file_ns" },
	{ 0xa1c10b2b, "mlx4_db_free" },
	{ 0x68c372c9, "mlx4_get_slave_port_state" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x638f69ee, "const_pcpu_hot" },
	{ 0x3112cbb1, "mlx4_get_devlink_port" },
	{ 0x4e621236, "mlx4_mr_alloc" },
	{ 0x6449bcf3, "mlx4_multicast_attach" },
	{ 0x2404041f, "set_and_calc_slave_port_state" },
	{ 0xbba3fbbb, "ib_sa_guid_info_rec_query" },
	{ 0x5da41b6e, "find_vma" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "ib_core,mlx4_core,ib_uverbs");

MODULE_ALIAS("auxiliary:mlx4_core.ib");

MODULE_INFO(srcversion, "FA998340900E7E2342A8B64");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
