#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb7c92a77, "eth_commit_mac_addr_change" },
	{ 0xb1e5ec9e, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xb36928b1, "rdma_create_ah" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x21ef6c18, "ib_register_event_handler" },
	{ 0xa916b694, "strnlen" },
	{ 0x4877667f, "_dev_info" },
	{ 0x9d6b46, "ib_unregister_event_handler" },
	{ 0x5f88a865, "ib_register_client" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaa095fcd, "ib_unregister_mad_agent" },
	{ 0x7baa24e7, "ib_post_send_mad" },
	{ 0xc6582ba5, "ib_create_send_mad" },
	{ 0xd76fe8f, "ib_set_client_data" },
	{ 0xa5196c67, "__skb_get_hash" },
	{ 0xacb10175, "_dev_err" },
	{ 0xf72143e4, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xce71b942, "skb_push" },
	{ 0x5d9037e0, "register_netdev" },
	{ 0x58dd392, "ethtool_op_get_link" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x78912e74, "rdma_destroy_ah_user" },
	{ 0xe594114d, "ib_free_send_mad" },
	{ 0xe38f1663, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xaaba9882, "linkwatch_fire_event" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0xf5d073e8, "xa_find" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1736c3e5, "netif_carrier_off" },
	{ 0x30bf4ca, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4bdc274b, "ib_free_recv_mad" },
	{ 0xc05f89b1, "ib_register_mad_agent" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0xd62414a, "ib_find_pkey" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x44d46979, "ib_create_ah_from_wc" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0x6a20af7e, "netdev_info" },
	{ 0x758276c1, "dev_set_mtu" },
	{ 0xab450c02, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x83dbfc27, "ib_unregister_client" },
	{ 0x3fd97348, "skb_copy_bits" },
	{ 0xa17be712, "eth_mac_addr" },
	{ 0x12ec5829, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc640491, "unregister_netdev" },
	{ 0x37a0cba, "kfree" },
	{ 0x857aa9b0, "ib_modify_port" },
	{ 0x6f06ab13, "netdev_warn" },
	{ 0x69a9ea9a, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7a0232a4, "ether_setup" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "D383B0FFA58F789509B2EE6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
