#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rc_map_get, "_gpl", "");
KSYMTAB_FUNC(rc_map_register, "_gpl", "");
KSYMTAB_FUNC(rc_map_unregister, "_gpl", "");
KSYMTAB_FUNC(rc_g_keycode_from_table, "_gpl", "");
KSYMTAB_FUNC(rc_keyup, "_gpl", "");
KSYMTAB_FUNC(rc_repeat, "_gpl", "");
KSYMTAB_FUNC(rc_keydown, "_gpl", "");
KSYMTAB_FUNC(rc_keydown_notimeout, "_gpl", "");
KSYMTAB_FUNC(rc_allocate_device, "_gpl", "");
KSYMTAB_FUNC(rc_free_device, "_gpl", "");
KSYMTAB_FUNC(devm_rc_allocate_device, "_gpl", "");
KSYMTAB_FUNC(rc_register_device, "_gpl", "");
KSYMTAB_FUNC(devm_rc_register_device, "_gpl", "");
KSYMTAB_FUNC(rc_unregister_device, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_edge, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_with_timeout, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_with_filter, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_set_idle, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_handle, "_gpl", "");
KSYMTAB_FUNC(ir_raw_gen_manchester, "", "");
KSYMTAB_FUNC(ir_raw_gen_pd, "", "");
KSYMTAB_FUNC(ir_raw_gen_pl, "", "");
KSYMTAB_FUNC(ir_raw_encode_scancode, "", "");
KSYMTAB_FUNC(ir_raw_encode_carrier, "", "");
KSYMTAB_FUNC(ir_raw_handler_register, "", "");
KSYMTAB_FUNC(ir_raw_handler_unregister, "", "");
KSYMTAB_FUNC(lirc_scancode_event, "_gpl", "");

SYMBOL_CRC(rc_map_get, 0x1f4c6307, "_gpl");
SYMBOL_CRC(rc_map_register, 0xdaed480e, "_gpl");
SYMBOL_CRC(rc_map_unregister, 0xa9dc54b5, "_gpl");
SYMBOL_CRC(rc_g_keycode_from_table, 0x79d0b4c9, "_gpl");
SYMBOL_CRC(rc_keyup, 0x2c0ac575, "_gpl");
SYMBOL_CRC(rc_repeat, 0x6841d70c, "_gpl");
SYMBOL_CRC(rc_keydown, 0x3f120b25, "_gpl");
SYMBOL_CRC(rc_keydown_notimeout, 0x09be5645, "_gpl");
SYMBOL_CRC(rc_allocate_device, 0x6920393a, "_gpl");
SYMBOL_CRC(rc_free_device, 0xb3b40bbd, "_gpl");
SYMBOL_CRC(devm_rc_allocate_device, 0x83a73d9f, "_gpl");
SYMBOL_CRC(rc_register_device, 0xa7c20cc9, "_gpl");
SYMBOL_CRC(devm_rc_register_device, 0x5c0a37e0, "_gpl");
SYMBOL_CRC(rc_unregister_device, 0x1a893c29, "_gpl");
SYMBOL_CRC(ir_raw_event_store, 0xee1d98d7, "_gpl");
SYMBOL_CRC(ir_raw_event_store_edge, 0x36c3bf48, "_gpl");
SYMBOL_CRC(ir_raw_event_store_with_timeout, 0x160f9b0f, "_gpl");
SYMBOL_CRC(ir_raw_event_store_with_filter, 0x391f9a6a, "_gpl");
SYMBOL_CRC(ir_raw_event_set_idle, 0x349f0d45, "_gpl");
SYMBOL_CRC(ir_raw_event_handle, 0x7a1d9775, "_gpl");
SYMBOL_CRC(ir_raw_gen_manchester, 0xce3696f3, "");
SYMBOL_CRC(ir_raw_gen_pd, 0x2fe55cf5, "");
SYMBOL_CRC(ir_raw_gen_pl, 0x7a02ee87, "");
SYMBOL_CRC(ir_raw_encode_scancode, 0x01098f88, "");
SYMBOL_CRC(ir_raw_encode_carrier, 0xb5516017, "");
SYMBOL_CRC(ir_raw_handler_register, 0x13795317, "");
SYMBOL_CRC(ir_raw_handler_unregister, 0xa4a3a568, "");
SYMBOL_CRC(lirc_scancode_event, 0xa44110ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7ef8cf27, "led_trigger_unregister_simple" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x98e3c3a0, "__module_get" },
	{ 0xa78de32a, "get_device" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x69a9ea9a, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbe8f9546, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4aa40c58, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x14beb884, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x562ba7f5, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xfe2dbbde, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x57189b14, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x638f69ee, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4877667f, "_dev_info" },
	{ 0x63b11ada, "module_put" },
	{ 0xc257a3c4, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9ba491f1, "fput" },
	{ 0xacb10175, "_dev_err" },
	{ 0xb8443b10, "device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x1dccbde0, "__devres_alloc_node" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x6573f300, "ida_free" },
	{ 0x47466b4f, "class_unregister" },
	{ 0x78133d94, "kthread_stop" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x4578f528, "__kfifo_to_user" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x5df387f4, "device_del" },
	{ 0xa620d9c1, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x164fcbaf, "input_event" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x254b6cbf, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xba2d74ef, "stream_open" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x903301b0, "led_trigger_event" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xb94aee27, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x68e927a8, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xef1f8b7, "input_allocate_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7114f911, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x7b2e9b1a, "cdev_device_del" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x627045e7, "led_trigger_register_simple" },
	{ 0x1057a279, "bsearch" },
	{ 0xc1fd1c48, "device_initialize" },
	{ 0x5903f10c, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9053cb22, "kobject_get_path" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3FCAC48D6DDFEDF40791FE2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
