#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x98f103e8, "mutex_lock" },
	{ 0xdc03ac8, "mpt_get_msg_frame" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbaca581c, "mpt_put_msg_frame" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x8f919724, "mpt_HardResetHandler" },
	{ 0xe85e95da, "mpt_free_msg_frame" },
	{ 0x4318a7ae, "scsi_is_host_device" },
	{ 0x70226158, "dma_alloc_attrs" },
	{ 0x11d1c7ca, "mpt_config" },
	{ 0x979eef15, "dma_free_attrs" },
	{ 0x7aba2937, "scsi_device_lookup_by_target" },
	{ 0x8397743b, "sdev_prefix_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8bf164dd, "_dev_printk" },
	{ 0xe74a0a19, "mptscsih_slave_destroy" },
	{ 0x1244c1c0, "mptscsih_event_process" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5493a082, "mptscsih_resume" },
	{ 0x651e3fb2, "mptscsih_ioc_reset" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xeaa96ce8, "spi_dv_device" },
	{ 0x36f5deab, "spi_display_xfer_agreement" },
	{ 0x8ffb2b02, "__scsi_iterate_devices" },
	{ 0xa921dc2d, "mptscsih_slave_configure" },
	{ 0x420d82dc, "mpt_findImVolumes" },
	{ 0x979f2c2d, "scsi_scan_target" },
	{ 0xfffba59d, "mptscsih_raid_id_to_num" },
	{ 0xbab795d8, "mptscsih_suspend" },
	{ 0xd0b576d, "mptscsih_shutdown" },
	{ 0x9dcf1971, "mptscsih_info" },
	{ 0x4efd94fd, "mptscsih_abort" },
	{ 0x68845c65, "mptscsih_dev_reset" },
	{ 0xe104a4a9, "mptscsih_bus_reset" },
	{ 0xad29bd81, "mptscsih_host_reset" },
	{ 0x56d75329, "mptscsih_change_queue_depth" },
	{ 0xd3fd2202, "mptscsih_bios_param" },
	{ 0x2f263199, "mptscsih_show_info" },
	{ 0x94689e8e, "mptscsih_host_attr_groups" },
	{ 0x1aa1c769, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x384a3969, "spi_attach_transport" },
	{ 0x1f091f8e, "mptscsih_io_done" },
	{ 0x24b9fcc5, "mpt_register" },
	{ 0x1fcb24e9, "mptscsih_taskmgmt_complete" },
	{ 0x13dbd873, "mptscsih_scandv_complete" },
	{ 0xc4dca818, "mpt_event_register" },
	{ 0x81255eef, "mpt_reset_register" },
	{ 0x272e1f1, "__pci_register_driver" },
	{ 0x3c468d4d, "spi_release_transport" },
	{ 0x37a0cba, "kfree" },
	{ 0x10e4f25d, "scsi_remove_host" },
	{ 0xfbdcf16a, "mptscsih_remove" },
	{ 0x4a42508f, "mptscsih_qcmd" },
	{ 0xfe4a4b6b, "mptscsih_is_phys_disk" },
	{ 0xc6d542be, "scsi_done" },
	{ 0xd2f4c996, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0xe2b2efe6, "mpt_attach" },
	{ 0x71debdf, "scsi_host_alloc" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x78d3155f, "scsi_add_host_with_dma" },
	{ 0xc20e13fb, "scsi_scan_host" },
	{ 0xd7ecf543, "mptscsih_IssueTaskMgmt" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "mptbase,scsi_mod,mptscsih,scsi_transport_spi");

MODULE_ALIAS("pci:v00001000d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000040sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "A3A275A6992ADA1E98A2DC3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
