#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0xdf6b0712, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0xc6fb2d06, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0xa909df45, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0x2f7062f7, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0xcd524a1d, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0x1fbcf53e, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0x2a8957ee, "_gpl");
SYMBOL_CRC(register_mtd_user, 0x8a5d2cf6, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0x59d3505b, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x1b6de96e, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0x51c2ed21, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0xcf70b670, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0x3bb00779, "_gpl");
SYMBOL_CRC(put_mtd_device, 0x19020cdf, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0x6013af20, "_gpl");
SYMBOL_CRC(mtd_erase, 0xf32848a9, "_gpl");
SYMBOL_CRC(mtd_point, 0x0208f2fa, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0xd61c29c1, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0xced94828, "_gpl");
SYMBOL_CRC(mtd_read, 0xd8e25db8, "_gpl");
SYMBOL_CRC(mtd_write, 0xd12b5b95, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0xc90c0c98, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x55046b62, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0xf9cdaaec, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0xa261737c, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0xe2f719c9, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0x3a963da5, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0xe26e791b, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0x2ee703f3, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0x58ff2b5e, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0xd07ba7e8, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0x0ac011bb, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0x66ce2166, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0x5b7b2c94, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0xdadfe5da, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0x09c9b6a0, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0x00a7e769, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0xcce04cec, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0x6773af82, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0x498fb3b0, "_gpl");
SYMBOL_CRC(mtd_lock, 0x171ac253, "_gpl");
SYMBOL_CRC(mtd_unlock, 0x6998dd97, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0x4b4bd778, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0x7164ab4f, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0xac95d61a, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0x61a922f0, "_gpl");
SYMBOL_CRC(mtd_writev, 0xe0299533, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0x58aab205, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0xf34f63bb, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0x9c1b1108, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0xf9a2ddad, "");
SYMBOL_CRC(mtd_concat_destroy, 0xd4945e70, "");
SYMBOL_CRC(mtd_add_partition, 0x99be8f78, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0x40d220ee, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0xf6065ce5, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0x838ccf62, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0x370fbb2e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x74a40081, "device_create" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x93dc96d1, "debugfs_remove" },
	{ 0x72c750b4, "fixed_size_llseek" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x47466b4f, "class_unregister" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x4a09e12f, "bdi_alloc" },
	{ 0x2291a795, "device_register" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9755b04e, "__register_chrdev" },
	{ 0x58d8d957, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x132d9358, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x67676b92, "remove_proc_entry" },
	{ 0xa0d98fa4, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa6a0eb51, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0xdadaa374, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xec758e85, "dev_err_probe" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0xb86908f3, "proc_create_single_data" },
	{ 0x56eaa2bf, "nvmem_register" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x9a4d8ea, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb94aee27, "class_register" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xf3d1855d, "generic_shutdown_super" },
	{ 0xc5ceb5c0, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafef3d8, "sget_dev" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x301b9369, "bdi_unregister" },
	{ 0x7114f911, "dev_set_name" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x79f4b0c4, "bdi_register" },
	{ 0xde21ac2a, "device_unregister" },
	{ 0x9690fc3b, "nvmem_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe78a769c, "logfc" },
	{ 0x975f96ee, "sysfs_remove_files" },
	{ 0x98e3c3a0, "__module_get" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x92997ed8, "_printk" },
	{ 0x397fb1cc, "bdi_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x57189b14, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9af842d, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0x63b11ada, "module_put" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x523e042a, "debugfs_create_bool" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E452B3061DCCC9009330C8D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
