#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(t3_l2t_send_slow, "", "");
KSYMTAB_FUNC(t3_l2t_send_event, "", "");
KSYMTAB_FUNC(t3_l2e_free, "", "");
KSYMTAB_FUNC(t3_l2t_get, "", "");
KSYMTAB_FUNC(cxgb3_register_client, "", "");
KSYMTAB_FUNC(cxgb3_unregister_client, "", "");
KSYMTAB_FUNC(cxgb3_free_atid, "", "");
KSYMTAB_FUNC(cxgb3_free_stid, "", "");
KSYMTAB_FUNC(cxgb3_insert_tid, "", "");
KSYMTAB_FUNC(cxgb3_queue_tid_release, "", "");
KSYMTAB_FUNC(cxgb3_remove_tid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_atid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_stid, "", "");
KSYMTAB_FUNC(dev2t3cdev, "", "");
KSYMTAB_FUNC(t3_register_cpl_handler, "", "");
KSYMTAB_FUNC(cxgb3_ofld_send, "", "");

SYMBOL_CRC(t3_l2t_send_slow, 0x30bcf101, "");
SYMBOL_CRC(t3_l2t_send_event, 0x07773072, "");
SYMBOL_CRC(t3_l2e_free, 0x8a6114dc, "");
SYMBOL_CRC(t3_l2t_get, 0xef3c12f6, "");
SYMBOL_CRC(cxgb3_register_client, 0x9f868459, "");
SYMBOL_CRC(cxgb3_unregister_client, 0x1babd9bb, "");
SYMBOL_CRC(cxgb3_free_atid, 0x6ade7518, "");
SYMBOL_CRC(cxgb3_free_stid, 0x9f17184d, "");
SYMBOL_CRC(cxgb3_insert_tid, 0x5eb213d6, "");
SYMBOL_CRC(cxgb3_queue_tid_release, 0xc8e7b3b4, "");
SYMBOL_CRC(cxgb3_remove_tid, 0xa2c9717d, "");
SYMBOL_CRC(cxgb3_alloc_atid, 0xfca6bc9d, "");
SYMBOL_CRC(cxgb3_alloc_stid, 0x65affc13, "");
SYMBOL_CRC(dev2t3cdev, 0x3fd94d70, "");
SYMBOL_CRC(t3_register_cpl_handler, 0x93ab7fd2, "");
SYMBOL_CRC(cxgb3_ofld_send, 0xe7809bd0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc459253b, "netif_tx_wake_queue" },
	{ 0xa620d9c1, "_dev_warn" },
	{ 0x2c9257f2, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67992be, "netif_rx" },
	{ 0xfaea07e5, "__neigh_event_send" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24b40caf, "dma_set_coherent_mask" },
	{ 0xfe86b6bb, "pv_ops" },
	{ 0xf24c3fe0, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x5f49c999, "neigh_destroy" },
	{ 0x979eef15, "dma_free_attrs" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfc98efe0, "pci_release_regions" },
	{ 0xd74fb8a0, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x67fb976e, "netdev_master_upper_dev_get_rcu" },
	{ 0x671a993e, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1736c3e5, "netif_carrier_off" },
	{ 0xbe6cad1e, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x30bf4ca, "netif_carrier_on" },
	{ 0xe09c0561, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6a5ac222, "alloc_pages_noprof" },
	{ 0x49a7732d, "pci_disable_device" },
	{ 0x51f13dad, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xccd5fd3a, "vlan_dev_vlan_id" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xc649f1da, "napi_schedule_prep" },
	{ 0x5905d1a5, "napi_disable" },
	{ 0x4c2a7c7d, "dev_kfree_skb_any_reason" },
	{ 0x1aa1c769, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xbf3dff25, "__kfree_skb" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0x6a20af7e, "netdev_info" },
	{ 0xb784aa0f, "skb_dump" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x172d77b1, "alloc_etherdev_mqs" },
	{ 0xa1aaf2e1, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xef8cbe2f, "pcie_capability_read_word" },
	{ 0x6b559202, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x835ae498, "pcie_capability_write_word" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3fd97348, "skb_copy_bits" },
	{ 0xd4b30db5, "pci_read_vpd" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbbbbebfb, "pci_enable_device" },
	{ 0x12ec5829, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x9f5b6375, "netdev_update_features" },
	{ 0x94349fdc, "consume_skb" },
	{ 0x62991a4f, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xc640491, "unregister_netdev" },
	{ 0x3518f317, "napi_get_frags" },
	{ 0x4e49a2ff, "dma_unmap_page_attrs" },
	{ 0x380733c9, "request_firmware" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0x272e1f1, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x9956dad0, "pci_disable_msi" },
	{ 0xce6b8630, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0x7f9e7f36, "pcpu_hot" },
	{ 0xd9316246, "eth_validate_addr" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x69a9ea9a, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xd2f4c996, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xbc8540c5, "dev_driver_string" },
	{ 0x80c19c13, "dev_addr_mod" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0x54bca4ae, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x167b7426, "dma_map_page_attrs" },
	{ 0x89642ab7, "napi_complete_done" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x3e17f466, "mdio_set_flag" },
	{ 0x3be68320, "__napi_schedule" },
	{ 0xa2c671d1, "pci_enable_msix_range" },
	{ 0xf23484ba, "pci_write_vpd_any" },
	{ 0xa916b694, "strnlen" },
	{ 0xee241aa9, "__alloc_skb" },
	{ 0x638f69ee, "const_pcpu_hot" },
	{ 0xd88feb01, "__free_pages" },
	{ 0x4877667f, "_dev_info" },
	{ 0xf23be4f5, "napi_gro_receive" },
	{ 0xc6cbbc89, "capable" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x73262627, "pci_find_capability" },
	{ 0xf3885f03, "_dev_alert" },
	{ 0xb0afdd10, "__dma_sync_single_for_cpu" },
	{ 0x792f2225, "pci_enable_msi" },
	{ 0xacb10175, "_dev_err" },
	{ 0xf72143e4, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7ad0909f, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xb2dc0503, "netif_set_real_num_rx_queues" },
	{ 0xcf0d5bf, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4af02a53, "kfree_skb_reason" },
	{ 0xc279f0ad, "pci_write_vpd" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x70226158, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x24d4db79, "pci_read_config_word" },
	{ 0xd435d684, "napi_enable" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xd81be506, "netif_receive_skb" },
	{ 0x5d9037e0, "register_netdev" },
	{ 0x5179f2cb, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x198be436, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbec1bc13, "__put_devmap_managed_folio_refs" },
	{ 0x20436f28, "_raw_spin_trylock" },
	{ 0x58dd392, "ethtool_op_get_link" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x9c1258f6, "netif_tx_stop_all_queues" },
	{ 0xc7941222, "pci_restore_state" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "mdio");

MODULE_ALIAS("pci:v00001425d00000020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000024sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000026sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000035sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000036sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000037sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "41097D3F5BE9D508D0BB550");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
