#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x3238245a, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x55d45492, "devlink_port_unregister" },
	{ 0xacb10175, "_dev_err" },
	{ 0x4dd5379e, "init_net" },
	{ 0xba1301b4, "softnet_data" },
	{ 0xb6fb059c, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x21816c05, "fun_release_irqs" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7ad0909f, "netif_set_real_num_tx_queues" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0xb2dc0503, "netif_set_real_num_rx_queues" },
	{ 0x3c2ec478, "bpf_trace_run5" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x70226158, "dma_alloc_attrs" },
	{ 0xd435d684, "napi_enable" },
	{ 0x5d9037e0, "register_netdev" },
	{ 0x87491470, "trace_event_reg" },
	{ 0x85804706, "fun_reserve_irqs" },
	{ 0xc9ec9ca0, "fun_res_destroy" },
	{ 0x5179f2cb, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x58dd392, "ethtool_op_get_link" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbea3ad68, "__SCK__tp_func_xdp_exception" },
	{ 0xc459253b, "netif_tx_wake_queue" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xa620d9c1, "_dev_warn" },
	{ 0x9671f237, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x85aea03b, "xa_erase" },
	{ 0x40f2dfa, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x7e04d661, "fun_sq_create" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x96e69f93, "fun_serv_stop" },
	{ 0x979eef15, "dma_free_attrs" },
	{ 0x4806e32e, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xa6d6304d, "fun_alloc_ring_mem" },
	{ 0xd74fb8a0, "__dma_sync_single_for_device" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0xf5d073e8, "xa_find" },
	{ 0xad8f018f, "xdp_rxq_info_unreg" },
	{ 0xa5aae920, "napi_build_skb" },
	{ 0x31638b08, "__xdp_rxq_info_reg" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1736c3e5, "netif_carrier_off" },
	{ 0x47c9ab8d, "devlink_priv" },
	{ 0xa8f63c6, "devlink_port_register_with_ops" },
	{ 0x54931a29, "pci_disable_sriov" },
	{ 0x30bf4ca, "netif_carrier_on" },
	{ 0x373b0d5, "dql_reset" },
	{ 0xf8bd25d1, "tls_encrypt_skb" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xce390b65, "fun_serv_sched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0x3cce954c, "xdp_master_redirect" },
	{ 0x3d571341, "fun_cq_create" },
	{ 0xda990185, "tls_validate_xmit_skb" },
	{ 0x1e79ebd9, "tls_offload_tx_resync_request" },
	{ 0xf0dff3ff, "__napi_schedule_irqoff" },
	{ 0xc649f1da, "napi_schedule_prep" },
	{ 0xcac44319, "napi_consume_skb" },
	{ 0x5905d1a5, "napi_disable" },
	{ 0x4c2a7c7d, "dev_kfree_skb_any_reason" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8a6f468a, "fun_dev_enable" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x527fe2a9, "fun_bind" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x13a5464c, "pci_enable_sriov" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0x6a20af7e, "netdev_info" },
	{ 0x7b0f022f, "fun_dev_disable" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4c776eaf, "__tracepoint_xdp_exception" },
	{ 0x83f5e3a5, "fun_serv_restart" },
	{ 0x172d77b1, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6b559202, "napi_gro_frags" },
	{ 0x3870c8fc, "bpf_prog_put" },
	{ 0x8e19244d, "bpf_trace_run4" },
	{ 0x6954549, "devlink_unregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf3fc6b6, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x62991a4f, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x30fea09, "pci_vfs_assigned" },
	{ 0xc8c1733b, "trace_raw_output_prep" },
	{ 0xfdac933, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xc640491, "unregister_netdev" },
	{ 0x3518f317, "napi_get_frags" },
	{ 0xefa0e430, "xdp_convert_zc_to_xdp_frame" },
	{ 0x2f1bf922, "xdp_features_set_redirect_target" },
	{ 0x748291ea, "__trace_trigger_soft_disabled" },
	{ 0x4e49a2ff, "dma_unmap_page_attrs" },
	{ 0x108c503d, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x272e1f1, "__pci_register_driver" },
	{ 0x68d6c152, "fun_free_ring_mem" },
	{ 0x199f6a49, "devlink_port_attrs_set" },
	{ 0x167891d5, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa9d30aa3, "devlink_alloc_ns" },
	{ 0x45db2433, "fun_submit_admin_sync_cmd" },
	{ 0x81f0e5ca, "devlink_register" },
	{ 0x7f9e7f36, "pcpu_hot" },
	{ 0xd1dd1c2, "xdp_do_redirect" },
	{ 0xac2e6898, "devlink_free" },
	{ 0xd9316246, "eth_validate_addr" },
	{ 0x9bc8efd5, "pci_irq_vector" },
	{ 0xaef1e50f, "__netif_napi_del" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x69a9ea9a, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xd2f4c996, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xb1e5ec9e, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbc8540c5, "dev_driver_string" },
	{ 0xba713605, "trace_event_buffer_commit" },
	{ 0x80c19c13, "dev_addr_mod" },
	{ 0x20ed322c, "xdp_rxq_info_reg_mem_model" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x54bca4ae, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x167b7426, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0x89642ab7, "napi_complete_done" },
	{ 0xe36109b9, "__alloc_pages_noprof" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x96aa7b43, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0xd88feb01, "__free_pages" },
	{ 0x4877667f, "_dev_info" },
	{ 0xf23be4f5, "napi_gro_receive" },
	{ 0x22cd6ff7, "xdp_features_clear_redirect_target" },
	{ 0x47e64959, "fun_get_res_count" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3b7a2a34, "kmalloc_node_trace_noprof" },
	{ 0xb0afdd10, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "funcore,tls");

MODULE_ALIAS("pci:v00001DADd00000101sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001DADd00000181sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "BD697B002AC7C787701B5DB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
