#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_roce_netdev, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x773760c6, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x1734bfe4, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x9c698013, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x35096d99, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x12674029, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x3b0e1838, "");
SYMBOL_CRC(mlx5_cmd_check, 0x20774f82, "");
SYMBOL_CRC(mlx5_cmd_do, 0xaaaf965d, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x3ada74db, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0xcaf9619b, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0xe5261416, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x42253043, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x222f7225, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x34a0cd7a, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x7fd6f42a, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x893a5361, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x125077c9, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0xc72bb71c, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0xffe1de9c, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x96af8388, "");
SYMBOL_CRC(mlx5_eq_enable, 0xadb74857, "");
SYMBOL_CRC(mlx5_eq_disable, 0x4da165a6, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x90055eff, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x2dfca805, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x85638ef8, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x0345e832, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x490e4d61, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x50590b5a, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x5178828e, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0xf89c0a25, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x3deb1678, "");
SYMBOL_CRC(mlx5_get_uars_page, 0xe539eb37, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x6db4ea22, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0x7bf67747, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x9481517b, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0xeace4740, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x32d70f70, "");
SYMBOL_CRC(mlx5_create_cq, 0x4dbd9257, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x5c46b232, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0xdc87b828, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x34564706, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0xfac1ba8e, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0xe010d5b3, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x493cbbe5, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x4990749d, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0xbd2d5bbd, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x50db566c, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x4fa8c726, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0xed3c535a, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0xc948d401, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x61318bab, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x01d10793, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x0ed4bf2d, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x2fa8ab5c, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x43d4e6b9, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0xef6fa104, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xfc18faa5, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x0246b5c4, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x65c15fc9, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x3a6830c0, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x8f1355e5, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x998d4921, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x2bbe882a, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0xf686822c, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x0e11ebc9, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0xf166a9bc, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0xd1b88da7, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x740b8aa3, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x41002b0b, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x953e4f35, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x5318ea7c, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x61f46528, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x0b6fa97f, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x659c2de6, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0x325ed31f, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x3968c20a, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0xc9f20e62, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0xd6675862, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x8dad7526, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0xfd6bc1ba, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x00348229, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x4f16735b, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0xf970418d, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x6f8eb0af, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x847be7b6, "");
SYMBOL_CRC(mlx5_core_create_rq, 0xd4f2c5ad, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x4a7bb624, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xd1e2fded, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x56359f4f, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x25199a74, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x3957b31f, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0xe6915b17, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x92eeebf6, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x7fc24977, "");
SYMBOL_CRC(mlx5_core_create_tis, 0xf9ead82e, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0xe774aff3, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x56206a55, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x5d77360b, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0xb278c79c, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0xda33b11d, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x39623df7, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0xdf754327, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0x50d259d5, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x82f02091, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x73ab9e00, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0xa3ba990b, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0xf704c571, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0xc84716fb, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x3ec75e29, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x86fd692e, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x898e7156, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0xc2f8647c, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x711d2b8c, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x50e7c94e, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x1c781d3f, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xd8a8a238, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0xfe40bb6e, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x7363d9eb, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x14beee3e, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0xbb0fad78, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x022fa6fe, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0x4ce671ce, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x90d86946, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0xc6ed8b64, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0xd9c90a03, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0xd2e764a9, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0xb985103d, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0xdd955754, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0xb2c2fbba, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x550ea608, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0xf8d64141, "");
SYMBOL_CRC(mlx5_create_flow_table, 0xe1333dd4, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xdd675cb3, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0x6094dd2d, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0xb50af91e, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x84b1b5a0, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x3acd6146, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x8ac4185f, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xc2826a65, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0x2f153146, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x7ce1914b, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x3becc22d, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x21e83f51, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x1f2c5286, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0xec80802d, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0xd252a9a5, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x3555b8fb, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x35b0d7a1, "");
SYMBOL_CRC(mlx5_fc_create, 0x287c9caa, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x9aa41277, "");
SYMBOL_CRC(mlx5_fc_query, 0x1efdaa6d, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x1e84f59a, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x235fa5ca, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x745172b7, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x3ee67740, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0xf6fee8bc, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x08cda00c, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0xe45fdb80, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x695316f0, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x3b5fc7d8, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x7811d603, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x8070b1eb, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x44543e6e, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0xbefedca6, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0xa6f9c096, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0xffeb97e7, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x1145324f, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x1ceccc9f, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x628da4ad, "");
SYMBOL_CRC(mlx5_notifier_register, 0xe394aa02, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0xb6fdbbb9, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0xd9745786, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x2a1e52b7, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0xda0b7c15, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x6c066981, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0xe3135331, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x9d3a05ee, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x8591c3a3, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0xbb022976, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0xd02ed9d9, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0x2c857460, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0x44572722, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x793a6e1a, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0xe47e8231, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0xe4d45e8c, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0xb1c1984b, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0x4d6a35f2, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xdb84aed4, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0x18d52f88, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xb00728ed, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x535e7501, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x00820fd5, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x29fc9029, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0xedef6251, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0x9979b711, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xb12676e7, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x8bef60d6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0x99944b5e, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x04f47d51, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x24b8d6a9, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x2c4640e8, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x5278119c, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x57949979, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0xd80db274, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x35da1d07, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x5f698d65, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0xc07c3ff9, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0xcc62b71f, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x6a48c4e3, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x5abe4179, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x969f3a76, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x09e1e868, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0x7488b4c8, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0xaff6fa27, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x369a5417, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0xa61e1800, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0x315b8bd9, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0xb0f4455d, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0xe6f4d8c3, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0xa457f11d, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0xd3c89368, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x9bbe4bf5, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0x9937eab3, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0xf8c4820f, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0x62b7f8c7, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x4058b5d1, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x4a219b6b, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0xaee94742, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0xf380f2a8, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0xe942cf65, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x3133adc3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcab6ee6, "sscanf" },
	{ 0x58dd392, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x8df562b4, "netif_set_xps_queue" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xd13dadee, "__ethtool_get_link_ksettings" },
	{ 0xa5e2b6dc, "rhashtable_walk_stop" },
	{ 0xcf191255, "down_trylock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xbea3ad68, "__SCK__tp_func_xdp_exception" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xc7941222, "pci_restore_state" },
	{ 0xdf011ab4, "bpf_trace_run1" },
	{ 0x73a840d8, "__inet6_lookup_established" },
	{ 0xc459253b, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x5df387f4, "device_del" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0xb19b445, "ioread8" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x5e423590, "rhashtable_free_and_destroy" },
	{ 0x79d040b7, "page_pool_create" },
	{ 0xc4c32459, "skb_checksum" },
	{ 0x456d14c6, "devl_param_driverinit_value_set" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xa620d9c1, "_dev_warn" },
	{ 0x7a7235d8, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x431c1b21, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8683fea9, "devl_resources_unregister" },
	{ 0xd6fcdd94, "ptp_clock_event" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0x9671f237, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x2c9257f2, "pci_set_master" },
	{ 0x7a249306, "devl_trap_groups_register" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x97cb76b1, "debugfs_create_u32" },
	{ 0xa7abc6a, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x988ff068, "flow_rule_match_ipv6_addrs" },
	{ 0x517c47b1, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x82059aac, "atomic_notifier_call_chain" },
	{ 0x2354a71d, "devl_params_unregister" },
	{ 0xca0c165, "ptp_clock_unregister" },
	{ 0x56eb87d, "__pskb_pull_tail" },
	{ 0x94329b02, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0xf4c4382a, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0x4db639a9, "devlink_trap_report" },
	{ 0xfaea07e5, "__neigh_event_send" },
	{ 0xa8ca7b1, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0x7dfa2072, "down_write_trylock" },
	{ 0xa86e2bc0, "dev_printk_emit" },
	{ 0xeddd417, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9d51be2, "devl_traps_register" },
	{ 0xbf9d14c7, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xe38f1663, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24b40caf, "dma_set_coherent_mask" },
	{ 0x29668d5, "__neigh_create" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x85aea03b, "xa_erase" },
	{ 0xfe86b6bb, "pv_ops" },
	{ 0x7dfe817f, "flow_rule_match_enc_control" },
	{ 0xf943dd0, "bpf_trace_run3" },
	{ 0x7ab646c1, "seq_read" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x72e30bb4, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x9c2ff439, "debugfs_create_file" },
	{ 0x83688a0d, "rps_may_expire_flow" },
	{ 0xad691a0, "metadata_dst_free" },
	{ 0xdd605405, "blocking_notifier_chain_unregister" },
	{ 0xa7e41de9, "xsk_set_tx_need_wakeup" },
	{ 0x3f3d3557, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x10621034, "netdev_reset_tc" },
	{ 0x5f49c999, "neigh_destroy" },
	{ 0x979eef15, "dma_free_attrs" },
	{ 0x596b777b, "rhltable_init_noprof" },
	{ 0xab4f7184, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xa6ab9899, "rhashtable_init_noprof" },
	{ 0x4806e32e, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xda9e0c22, "debugfs_create_x32" },
	{ 0x50378cf0, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x49fb4505, "flow_rule_match_enc_ports" },
	{ 0x65275344, "xdp_return_frame_bulk" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfc98efe0, "pci_release_regions" },
	{ 0x3df5a0d6, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd74fb8a0, "__dma_sync_single_for_device" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0x9ac98ead, "bpf_prog_add" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0xf5d073e8, "xa_find" },
	{ 0x1f39f3c4, "devl_assert_locked" },
	{ 0xea0dd5b6, "pcie_print_link_status" },
	{ 0x10c44efc, "xp_set_rxq_info" },
	{ 0x9eee2dbb, "flow_rule_match_vlan" },
	{ 0x7818f9fc, "devl_port_unregister" },
	{ 0xad8f018f, "xdp_rxq_info_unreg" },
	{ 0x2b343298, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x4fdc6dc, "devl_param_driverinit_value_get" },
	{ 0xa5aae920, "napi_build_skb" },
	{ 0x67fb976e, "netdev_master_upper_dev_get_rcu" },
	{ 0x671a993e, "__folio_put" },
	{ 0x31638b08, "__xdp_rxq_info_reg" },
	{ 0x5cf47bd9, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x97fbee41, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1cd0fb57, "bpf_prog_inc" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe5c42976, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1736c3e5, "netif_carrier_off" },
	{ 0xa6a0eb51, "seq_printf" },
	{ 0xd4611203, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xa8857036, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x47c9ab8d, "devlink_priv" },
	{ 0xa8f63c6, "devlink_port_register_with_ops" },
	{ 0x54931a29, "pci_disable_sriov" },
	{ 0xf0a338b8, "metadata_dst_alloc" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xbebe9342, "dst_release" },
	{ 0x30bf4ca, "netif_carrier_on" },
	{ 0x791b282a, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x3523752c, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xdfc28dc6, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6a5ac222, "alloc_pages_noprof" },
	{ 0x49a7732d, "pci_disable_device" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x1a9e648e, "xp_free" },
	{ 0x336466c, "rhashtable_walk_next" },
	{ 0x57b95d33, "page_pool_update_nid" },
	{ 0x17c44339, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x51f13dad, "dma_set_mask" },
	{ 0x15640d0, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xed14e4b8, "netif_set_tso_max_size" },
	{ 0xccd5fd3a, "vlan_dev_vlan_id" },
	{ 0x26a8d280, "__skb_flow_dissect" },
	{ 0x9152ade8, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x4571fb6e, "seq_open" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xc18b374f, "skb_add_rx_frag_netmem" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0x3cce954c, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x4a284a0e, "xp_raw_get_data" },
	{ 0xda990185, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xa8fd90ac, "xa_set_mark" },
	{ 0xc649f1da, "napi_schedule_prep" },
	{ 0x9e788366, "qdisc_reset" },
	{ 0xcac44319, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0xda8d96fc, "xp_alloc_batch" },
	{ 0x580ff0d8, "flow_rule_match_mpls" },
	{ 0x754d539c, "strlen" },
	{ 0x5905d1a5, "napi_disable" },
	{ 0x4c2a7c7d, "dev_kfree_skb_any_reason" },
	{ 0x11d8feb2, "dcb_ieee_delapp" },
	{ 0x83ddfb6e, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xad39e15e, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7e513dcb, "debugfs_create_u8" },
	{ 0xbac777ae, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x5723d989, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x9a4d8ea, "debugfs_create_dir" },
	{ 0x4b912c72, "idr_get_next_ul" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xed5c81b0, "skb_ext_add" },
	{ 0x3dbbbf6d, "pcie_bandwidth_available" },
	{ 0x6553616e, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x88ded2e4, "flow_rule_match_control" },
	{ 0x81d34eb7, "flow_rule_match_ip" },
	{ 0x13a5464c, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbb53856b, "up_read" },
	{ 0x39cd779c, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xb6045e33, "dcb_ieee_setapp" },
	{ 0x69f159e7, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe34ac3c, "xsk_tx_release" },
	{ 0xbec365f, "devl_traps_unregister" },
	{ 0x7af171e, "pci_iov_get_pf_drvdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x382c5fb, "pci_write_config_dword" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x6a20af7e, "netdev_info" },
	{ 0xb784aa0f, "skb_dump" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x97be1989, "neigh_lookup" },
	{ 0x8a8927a7, "kmem_cache_destroy" },
	{ 0x632cd7c9, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4c776eaf, "__tracepoint_xdp_exception" },
	{ 0x7f106fe1, "__inet_lookup_established" },
	{ 0x56c6d41c, "xsk_tx_completed" },
	{ 0x88a94f6c, "napi_alloc_skb" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x172d77b1, "alloc_etherdev_mqs" },
	{ 0x24ae864f, "netdev_lower_get_next" },
	{ 0xc9455993, "secpath_set" },
	{ 0xaf310d68, "flow_block_cb_lookup" },
	{ 0xa1aaf2e1, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2c1bbec1, "devl_rate_leaf_create" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x8e3ae9de, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xef8cbe2f, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9c87ba00, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xbf56e180, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x3870c8fc, "bpf_prog_put" },
	{ 0x39671594, "page_pool_get_stats" },
	{ 0xdb8377cb, "down_timeout" },
	{ 0xf766c28a, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x71f59fab, "pci_cfg_access_unlock" },
	{ 0xfa63e39d, "xp_dma_map" },
	{ 0x8e19244d, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x6954549, "devlink_unregister" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x3fd97348, "skb_copy_bits" },
	{ 0xdf147541, "debugfs_attr_write" },
	{ 0x9530f4e8, "dma_pool_create" },
	{ 0x2ab94bb2, "param_ops_uint" },
	{ 0x4acb51b, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3aaa8acc, "pci_msix_vec_count" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xbbbbebfb, "pci_enable_device" },
	{ 0x12ec5829, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf3fc6b6, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0xd0453752, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x5536fe90, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x99310077, "register_fib_notifier" },
	{ 0x40f172e4, "auxiliary_device_init" },
	{ 0x8c4d7ea6, "ip6_dst_hoplimit" },
	{ 0x9f5b6375, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xd9dfbbf7, "flow_rule_match_enc_ip" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x3b510e0b, "pci_alloc_irq_vectors" },
	{ 0x62991a4f, "netif_napi_add_weight" },
	{ 0xfe2fc9fa, "pci_enable_atomic_ops_to_root" },
	{ 0xb3dedb1d, "seq_release" },
	{ 0xc4268025, "dev_add_pack" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3032ef4e, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xc8c1733b, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x55b082e, "xsk_clear_tx_need_wakeup" },
	{ 0xc538912a, "udp4_hwcsum" },
	{ 0x42aaa69, "xa_get_mark" },
	{ 0xd130ce6b, "devl_lock" },
	{ 0xfdac933, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x58e60ac8, "ndo_dflt_bridge_getlink" },
	{ 0xc640491, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xefa0e430, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x748291ea, "__trace_trigger_soft_disabled" },
	{ 0x5fc9d3f0, "radix_tree_lookup" },
	{ 0xbb39876c, "flow_rule_match_tcp" },
	{ 0x86c1c218, "__kmalloc_node_noprof" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x2fc40e34, "register_netdevice_notifier_dev_net" },
	{ 0x4e49a2ff, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x108c503d, "trace_event_printf" },
	{ 0x5265b0f, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf05954ce, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x61f50ad2, "__xa_erase" },
	{ 0x272e1f1, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xbfc97bdc, "up" },
	{ 0x2d22f4a6, "refcount_dec_and_mutex_lock" },
	{ 0x387d687a, "xdp_rxq_info_unused" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xa259e254, "pci_num_vf" },
	{ 0xd7b02da9, "debugfs_create_atomic_t" },
	{ 0x9e69c386, "flow_rule_match_eth_addrs" },
	{ 0xffbc844c, "xfrm_state_check_expire" },
	{ 0x199f6a49, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x93a1b4fd, "ptp_clock_index" },
	{ 0xce6b8630, "pci_request_regions" },
	{ 0xd912813b, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x167891d5, "trace_event_raw_init" },
	{ 0x1bf4c89e, "flow_block_cb_free" },
	{ 0xca99931, "devl_port_fn_devlink_set" },
	{ 0x69acdf38, "memcpy" },
	{  0xa7a4f, "xp_can_alloc" },
	{ 0x2c2ba7, "psample_sample_packet" },
	{ 0x67027159, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xa9d30aa3, "devlink_alloc_ns" },
	{ 0x25636ec1, "devl_rate_leaf_destroy" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0xb2853563, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x81f0e5ca, "devlink_register" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0x54005122, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x7f9e7f36, "pcpu_hot" },
	{ 0xdd626f72, "seq_lseek" },
	{ 0x7e9cac34, "page_pool_destroy" },
	{ 0xd1dd1c2, "xdp_do_redirect" },
	{ 0xac2e6898, "devlink_free" },
	{ 0x8d7bfc3, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe4f68837, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x6f06ab13, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x401671cd, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xab0665ab, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x9bc8efd5, "pci_irq_vector" },
	{ 0xb793037c, "flow_rule_match_ipv4_addrs" },
	{ 0xe68f0208, "ip_route_output_flow" },
	{ 0xaef1e50f, "__netif_napi_del" },
	{ 0xb59da1fa, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0xb6bf7d3e, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x69a9ea9a, "__dynamic_dev_dbg" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xddb70fec, "sock_gen_put" },
	{ 0x96b3e4e0, "down_read_trylock" },
	{ 0xd2f4c996, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x4e04f5a0, "blocking_notifier_chain_register" },
	{ 0xb1e5ec9e, "netdev_err" },
	{ 0xe32ae2d4, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbf6b1043, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xbc8540c5, "dev_driver_string" },
	{ 0xf664a039, "netdev_port_same_parent_id" },
	{ 0xba713605, "trace_event_buffer_commit" },
	{ 0x80c19c13, "dev_addr_mod" },
	{ 0x20ed322c, "xdp_rxq_info_reg_mem_model" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xd58a945f, "ptp_find_pin" },
	{ 0x54bca4ae, "eth_type_trans" },
	{ 0xad360ef6, "pci_read_config_dword" },
	{ 0xce14acf5, "request_firmware_direct" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x53aa708c, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xc1ea5fc4, "auxiliary_driver_unregister" },
	{ 0x167b7426, "dma_map_page_attrs" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x89642ab7, "napi_complete_done" },
	{ 0xe36109b9, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x188ceb1e, "devlink_port_attrs_pci_vf_set" },
	{ 0x96aa7b43, "priv_to_devlink" },
	{ 0x3df132f1, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x235d9f6e, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xee7aa097, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x57189b14, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0x3be68320, "__napi_schedule" },
	{ 0xde85088d, "devlink_port_health_reporter_create" },
	{ 0x5634a250, "pcie_relaxed_ordering_enabled" },
	{ 0x59dfb1cf, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x186cc653, "devlink_port_attrs_pci_pf_set" },
	{ 0xbba5a6fb, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xd89e3eaa, "netif_device_detach" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x618911fc, "numa_node" },
	{ 0x638f69ee, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd88feb01, "__free_pages" },
	{ 0x4877667f, "_dev_info" },
	{ 0xc0cbdd45, "skb_vlan_pop" },
	{ 0xf23be4f5, "napi_gro_receive" },
	{ 0x67cf14cf, "netif_device_attach" },
	{ 0x3068ff03, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x4b678f5a, "netdev_pick_tx" },
	{ 0x1b1ac972, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x638ed12e, "xp_raw_get_dma" },
	{ 0xf2881957, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x2ce8bed3, "xdp_rxq_info_is_reg" },
	{ 0x5416b105, "flow_rule_match_enc_opts" },
	{ 0xc2c5802, "work_busy" },
	{ 0xd0600eb0, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x591c132a, "free_fib_info" },
	{ 0x3b7a2a34, "kmalloc_node_trace_noprof" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0x5dc60cfa, "devl_health_reporter_create" },
	{ 0xc06d91d4, "flow_block_cb_setup_simple" },
	{ 0x87dd0f78, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xa4f1f1d4, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x131929a1, "unregister_netdevice_notifier_dev_net" },
	{ 0x73262627, "pci_find_capability" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xc4d2fe2e, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xb0be4525, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x61069637, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x149909c6, "__xa_alloc" },
	{ 0xf4a599, "vlan_dev_real_dev" },
	{ 0x9f27c5e8, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xb0afdd10, "__dma_sync_single_for_cpu" },
	{ 0xb610e504, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x26b1907b, "__dev_get_by_index" },
	{ 0x3238245a, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x55d45492, "devlink_port_unregister" },
	{ 0x8ef5c14, "dev_get_port_parent_id" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xacb10175, "_dev_err" },
	{ 0x4dd5379e, "init_net" },
	{ 0xeed7fd81, "up_write" },
	{ 0xba1301b4, "softnet_data" },
	{ 0xd8489eee, "ipv6_stub" },
	{ 0x77cc2f38, "simple_open" },
	{ 0xf72143e4, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xb6fb059c, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd6c7b1a5, "simple_attr_release" },
	{ 0x421578d8, "ptp_clock_register" },
	{ 0xa6817474, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xe2279621, "xsk_tx_peek_desc" },
	{ 0x3daa870f, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x7ad0909f, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xd413113, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0xfdd21acd, "irq_get_irq_data" },
	{ 0x91c3abdf, "dev_remove_pack" },
	{ 0xb2dc0503, "netif_set_real_num_rx_queues" },
	{ 0x32a460e8, "down" },
	{ 0x31ab9026, "dev_get_by_index" },
	{ 0x3c2ec478, "bpf_trace_run5" },
	{ 0x3e4adf9c, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x7af4e144, "skb_store_bits" },
	{ 0xa0d423ca, "devl_port_register_with_ops" },
	{ 0x3a30d362, "dev_get_by_index_rcu" },
	{ 0x4af02a53, "kfree_skb_reason" },
	{ 0x1cfcaae1, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xb0d8fde, "pcie_capability_clear_and_set_word_locked" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xce71b942, "skb_push" },
	{ 0xf1a52a, "kmem_cache_free" },
	{ 0x70226158, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x93dc96d1, "debugfs_remove" },
	{ 0x24d4db79, "pci_read_config_word" },
	{ 0xd435d684, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xfb60a408, "xsk_clear_rx_need_wakeup" },
	{ 0xfd0d472, "unregister_netdevice_notifier_net" },
	{ 0x27489c7b, "xsk_uses_need_wakeup" },
	{ 0x5d9037e0, "register_netdev" },
	{ 0x2f0f2c07, "unregister_fib_notifier" },
	{ 0x87491470, "trace_event_reg" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0xcb79b2af, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xa30edbf, "debugfs_create_u64" },
	{ 0x6573f300, "ida_free" },
	{ 0x5179f2cb, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0xe3685545, "debugfs_create_size_t" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x95909d14, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x90ed952d, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbec1bc13, "__put_devmap_managed_folio_refs" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "pci-hyperv-intf,dimlib,tls,psample,mlxfw");

MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");

MODULE_INFO(srcversion, "8A0E363690EDE4CD4872501");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
