#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlxsw_pci_driver_register, "", "");
KSYMTAB_FUNC(mlxsw_pci_driver_unregister, "", "");

SYMBOL_CRC(mlxsw_pci_driver_register, 0x06791a7b, "");
SYMBOL_CRC(mlxsw_pci_driver_unregister, 0xb490e638, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x70226158, "dma_alloc_attrs" },
	{ 0xd435d684, "napi_enable" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x5179f2cb, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32efb400, "mlxsw_core_skb_receive" },
	{ 0xcdeb3e49, "mlxsw_core_resources_query" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc7941222, "pci_restore_state" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x5cc89376, "mlxsw_core_ptp_transmitted" },
	{ 0x2c9257f2, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x56eb87d, "__pskb_pull_tail" },
	{ 0xf4c4382a, "__netdev_alloc_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24b40caf, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa6f3484, "alloc_netdev_dummy" },
	{ 0x979eef15, "dma_free_attrs" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xfc98efe0, "pci_release_regions" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x49a7732d, "pci_disable_device" },
	{ 0x51f13dad, "dma_set_mask" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0xf89280a3, "mlxsw_core_kvd_sizes_get" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc649f1da, "napi_schedule_prep" },
	{ 0x5905d1a5, "napi_disable" },
	{ 0x4c2a7c7d, "dev_kfree_skb_any_reason" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xed06130, "mlxsw_core_res_valid" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x6553616e, "pci_free_irq_vectors" },
	{ 0x5c73d5a4, "mlxsw_core_sdq_supports_cqe_v2" },
	{ 0xf9a482f9, "msleep" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8854d198, "mlxsw_reg_write" },
	{ 0xa1aaf2e1, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x71f59fab, "pci_cfg_access_unlock" },
	{ 0xbbbbebfb, "pci_enable_device" },
	{ 0x12ec5829, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3b510e0b, "pci_alloc_irq_vectors" },
	{ 0x62991a4f, "netif_napi_add_weight" },
	{ 0xa7765e88, "mlxsw_reg_query" },
	{ 0x4e49a2ff, "dma_unmap_page_attrs" },
	{ 0x272e1f1, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xce6b8630, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9bc8efd5, "pci_irq_vector" },
	{ 0xaef1e50f, "__netif_napi_del" },
	{ 0x69a9ea9a, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x844ae6af, "mlxsw_core_res_get" },
	{ 0x484489a4, "mlxsw_cmd_exec" },
	{ 0xd2f4c996, "pci_unregister_driver" },
	{ 0xe32ae2d4, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x687bad8b, "mlxsw_core_bus_device_register" },
	{ 0xbc8540c5, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x167b7426, "dma_map_page_attrs" },
	{ 0x89642ab7, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x3be68320, "__napi_schedule" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x933fbe9e, "dev_set_threaded" },
	{ 0xf69c557, "__pci_reset_function_locked" },
	{ 0xacb10175, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5cf3dd79, "mlxsw_core_bus_device_unregister" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "mlxsw_core");


MODULE_INFO(srcversion, "54204743C9E697A24410AE4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
