#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(st95hf_spi_send, "_gpl", "");
KSYMTAB_FUNC(st95hf_spi_recv_response, "_gpl", "");
KSYMTAB_FUNC(st95hf_spi_recv_echo_res, "_gpl", "");

SYMBOL_CRC(st95hf_spi_send, 0x75234d0d, "_gpl");
SYMBOL_CRC(st95hf_spi_recv_response, 0x8f210bd8, "_gpl");
SYMBOL_CRC(st95hf_spi_recv_echo_res, 0xa77b44b0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb692f494, "nfc_alloc_recv_skb" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7f106ad3, "devm_regulator_get" },
	{ 0x4877667f, "_dev_info" },
	{ 0x8569f85d, "spi_sync" },
	{ 0xacb10175, "_dev_err" },
	{ 0xf72143e4, "skb_pull" },
	{ 0x4af02a53, "kfree_skb_reason" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xce71b942, "skb_push" },
	{ 0x8b9586e1, "driver_unregister" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xcf191255, "down_trylock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5e00fdc6, "skb_trim" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x5c48262f, "__spi_register_driver" },
	{ 0x2f932ed1, "devm_gpiod_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe696b9b1, "regulator_disable" },
	{ 0x7e4cb22b, "nfc_digital_unregister_device" },
	{ 0x407ca5c, "gpiod_set_consumer_name" },
	{ 0xc73e6a2e, "down_killable" },
	{ 0x906da990, "nfc_digital_allocate_device" },
	{ 0x26c645bc, "regulator_enable" },
	{ 0xcd3f3f7a, "device_property_present" },
	{ 0x9eb38940, "devm_request_threaded_irq" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x708868b4, "devm_kmalloc" },
	{ 0x12ec5829, "skb_put" },
	{ 0x2f88720, "gpiod_set_value" },
	{ 0x65b45cb, "complete" },
	{ 0x86106761, "nfc_digital_free_device" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbfc97bdc, "up" },
	{ 0xce52e408, "nfc_digital_register_device" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x69a9ea9a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "nfc,nfc_digital");

MODULE_ALIAS("of:N*T*Cst,st95hf");
MODULE_ALIAS("of:N*T*Cst,st95hfC*");
MODULE_ALIAS("spi:st95hf");

MODULE_INFO(srcversion, "6EBF72FAD8760D5A79D26A7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
