#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x38150b08, "");
SYMBOL_CRC(ntb_unregister_client, 0xe03a8701, "");
SYMBOL_CRC(ntb_register_device, 0xdbd50a68, "");
SYMBOL_CRC(ntb_unregister_device, 0xc29f0d2a, "");
SYMBOL_CRC(ntb_set_ctx, 0x54e2cb96, "");
SYMBOL_CRC(ntb_clear_ctx, 0x739c1b14, "");
SYMBOL_CRC(ntb_link_event, 0x1352e71d, "");
SYMBOL_CRC(ntb_db_event, 0x912fa100, "");
SYMBOL_CRC(ntb_msg_event, 0xb27db7cd, "");
SYMBOL_CRC(ntb_default_port_number, 0x78556009, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0x517d18d8, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0xb099a080, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0xdbefa4c7, "");
SYMBOL_CRC(ntb_msi_init, 0x0ddc0181, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0xe193c3d1, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0x755181a2, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0x2c5504ed, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0xc8f3a7dc, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0xb2f90d2e, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0x8ed9f9b3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7114f911, "dev_set_name" },
	{ 0x65b45cb, "complete" },
	{ 0xbd621b51, "devm_iounmap" },
	{ 0xde21ac2a, "device_unregister" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x8d5ef86d, "devres_destroy" },
	{ 0x42baf2e0, "msi_unlock_descs" },
	{ 0xebe8165a, "devm_ioremap" },
	{ 0xa78de32a, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x46c28bc4, "msi_lock_descs" },
	{ 0xbe8f9546, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x57189b14, "put_device" },
	{ 0x9d450f08, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa6afb34, "bus_unregister" },
	{ 0x47ceef3e, "devm_kfree" },
	{ 0xfdd21acd, "irq_get_irq_data" },
	{ 0x1dccbde0, "__devres_alloc_node" },
	{ 0x8b9586e1, "driver_unregister" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x2291a795, "device_register" },
	{ 0xa620d9c1, "_dev_warn" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xda0bfb6b, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xf77bf07c, "msi_next_desc" },
	{ 0x7f503e65, "driver_register" },
	{ 0x2474fe06, "bus_register" },
	{ 0x6f7e6040, "irq_has_action" },
	{ 0x9eb38940, "devm_request_threaded_irq" },
	{ 0x708868b4, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "026457906ECEF839D1F4A06");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
