#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xdd626f72, "seq_lseek" },
	{ 0x13421a7, "pci_set_power_state" },
	{ 0x69a9ea9a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6232270a, "pmt_telem_read32" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe3ca2b26, "pmt_telem_unregister_endpoint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfc03d97a, "page_is_ram" },
	{ 0xad137d3, "lpit_read_residency_count_address" },
	{ 0x4877667f, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0xb0be4525, "debugfs_attr_read" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x7483dc59, "pci_dev_present" },
	{ 0x47ceef3e, "devm_kfree" },
	{ 0xacb10175, "_dev_err" },
	{ 0x523e042a, "debugfs_create_bool" },
	{ 0x45b18b8e, "intel_vsec_register" },
	{ 0xd6c7b1a5, "simple_attr_release" },
	{ 0x4b55bf1a, "pci_get_domain_bus_and_slot" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x93dc96d1, "debugfs_remove" },
	{ 0x7be33427, "seq_putc" },
	{ 0xde80cd09, "ioremap" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xa620d9c1, "_dev_warn" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x39b12223, "__acpi_handle_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x46634ef1, "__platform_driver_register" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xfe86b6bb, "pv_ops" },
	{ 0x7ab646c1, "seq_read" },
	{ 0x44aaf30f, "tsc_khz" },
	{ 0x9c2ff439, "debugfs_create_file" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x5ecbad92, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x58d8d957, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa6a0eb51, "seq_printf" },
	{ 0x49a7732d, "pci_disable_device" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x17c44339, "single_release" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xbac777ae, "single_open" },
	{ 0x1de966fb, "pcim_enable_device" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x9a4d8ea, "debugfs_create_dir" },
	{ 0xace95eb2, "pmt_telem_read" },
	{ 0x419976aa, "fwnode_property_read_u8_array" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb386b134, "pmt_telem_find_and_register_endpoint" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6a7b18f6, "is_acpi_device_node" },
	{ 0xf766c28a, "simple_attr_open" },
	{ 0x66283031, "x86_match_cpu" },
	{ 0xdf147541, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x708868b4, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x48b4c144, "platform_driver_unregister" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xbb3fbcf6, "pci_dev_put" },
	{ 0x6d211d05, "pm_report_hw_sleep_time" },
	{ 0x7f475c2e, "pci_get_device" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xabc6e9e4, "pm_report_max_hw_sleep" },
	{ 0xedc03953, "iounmap" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "pmt_telemetry,intel_vsec");

MODULE_ALIAS("acpi*:INT33A1:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod004E:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod005E:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod008E:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod009E:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod0066:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod007E:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod009D:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod00A5:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod00A6:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod008C:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod008D:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod0096:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod009C:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod00A7:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod009A:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod00BE:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod0097:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod00BA:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod00B7:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod00BF:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod00AA:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod00C6:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod00BD:feature:*");

MODULE_INFO(srcversion, "7E2E12AAAE148DC9FD91F75");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
