#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x1188860a, "scsi_host_get" },
	{ 0xee241aa9, "__alloc_skb" },
	{ 0x638f69ee, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb2591827, "iscsi_set_param" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x240b14c8, "iscsi_boot_create_host_kset" },
	{ 0x8458da2d, "qed_get_iscsi_ops" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x8b7c08ac, "uio_event_notify" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x932d5648, "scsi_host_put" },
	{ 0xb99c72e2, "__cpuhp_setup_state" },
	{ 0x77cc2f38, "simple_open" },
	{ 0xf72143e4, "skb_pull" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8e109530, "iscsi_destroy_endpoint" },
	{ 0x4af02a53, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xce71b942, "skb_push" },
	{ 0x70226158, "dma_alloc_attrs" },
	{ 0xf2168d9e, "iscsi_conn_get_param" },
	{ 0x93dc96d1, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xf33ea75f, "iscsi_host_free" },
	{ 0xcb49f074, "iscsi_conn_teardown" },
	{ 0x82e71c35, "iscsi_session_get_param" },
	{ 0xd88e4407, "iscsi_conn_send_pdu" },
	{ 0xe976ad8c, "iscsi_boot_create_ethernet" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x78133d94, "kthread_stop" },
	{ 0x9d6ac87, "iscsi_conn_start" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xf9b0e674, "iscsi_conn_unbind" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x4318a7ae, "scsi_is_host_device" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x7f828282, "kthread_bind" },
	{ 0x9a4bb010, "iscsi_itt_to_ctask" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x19ede3ea, "iscsi_lookup_endpoint" },
	{ 0x254b6cbf, "kthread_create_on_node" },
	{ 0x7ab646c1, "seq_read" },
	{ 0xd48069ca, "iscsi_host_alloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9c2ff439, "debugfs_create_file" },
	{ 0x6b1d3adf, "iscsi_host_add" },
	{ 0x979eef15, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8896880a, "iscsi_session_teardown" },
	{ 0x87b17a6a, "iscsi_unregister_transport" },
	{ 0x649e80d1, "iscsi_eh_recover_target" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2daa8c87, "pci_dev_get" },
	{ 0x58d8d957, "seq_write" },
	{ 0x927dd4ba, "uio_unregister_device" },
	{ 0xa6a0eb51, "seq_printf" },
	{ 0xc5e3d2e7, "iscsi_conn_stop" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x23c9ed42, "iscsi_queuecommand" },
	{ 0x17c44339, "single_release" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0xdfea4da9, "__iscsi_put_task" },
	{ 0x754d539c, "strlen" },
	{ 0x8bf164dd, "_dev_printk" },
	{ 0xbac777ae, "single_open" },
	{ 0x5efc7dcd, "iscsi_boot_create_target" },
	{ 0xe1382dcd, "iscsi_host_remove" },
	{ 0x9a4d8ea, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x9f9094b8, "sysfs_remove_bin_file" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf595c4d0, "__cpuhp_remove_state" },
	{ 0xfb02c0c, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5689e72d, "iscsi_is_session_online" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0x4f5e475d, "iscsi_offload_mesg" },
	{ 0xf42a1bf, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x520f5951, "iscsi_boot_destroy_kset" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x3428e042, "iscsi_host_for_each_session" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2ab94bb2, "param_ops_uint" },
	{ 0x9f313e26, "iscsi_conn_setup" },
	{ 0x12ec5829, "skb_put" },
	{ 0xe46f0f0c, "iscsi_session_recovery_timedout" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbb3fbcf6, "pci_dev_put" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x58f7251c, "iscsi_put_endpoint" },
	{ 0x110f1068, "iscsi_target_alloc" },
	{ 0xd2b554cb, "__uio_register_device" },
	{ 0xc780c4e6, "__iscsi_complete_pdu" },
	{ 0x4687f782, "iscsi_conn_bind" },
	{ 0x987a88d9, "iscsi_host_get_param" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xc142c362, "iscsi_session_setup" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x272e1f1, "__pci_register_driver" },
	{ 0x511c5dae, "iscsi_boot_create_initiator" },
	{ 0x2b0ef42a, "set_user_nice" },
	{ 0xc1b22e53, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfc4b88ad, "scsi_dma_unmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xb41ea87a, "iscsi_eh_abort" },
	{ 0x99f512a4, "iscsi_create_endpoint" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x7f9e7f36, "pcpu_hot" },
	{ 0xdd626f72, "seq_lseek" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x19eba1cb, "iscsi_eh_cmd_timed_out" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x1ae8caa4, "iscsi_conn_failure" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x4f264472, "qed_put_iscsi_ops" },
	{ 0xd2f4c996, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x336cf448, "pskb_expand_head" },
	{ 0x4aa40c58, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x83b64729, "iscsi_eh_device_reset" },
	{ 0x7c310374, "iscsi_register_transport" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,libiscsi,iscsi_boot_sysfs,qed,uio,scsi_transport_iscsi,scsi_common");

MODULE_ALIAS("pci:v00001077d0000165Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008084sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "46977E4D46066A84180385D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
