#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ufshcd_dump_regs, "_gpl", "");
KSYMTAB_FUNC(ufshcd_enable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_disable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_delay_us, "_gpl", "");
KSYMTAB_FUNC(ufshcd_is_hba_active, "_gpl", "");
KSYMTAB_FUNC(ufshcd_opp_config_clks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hold, "_gpl", "");
KSYMTAB_FUNC(ufshcd_release, "_gpl", "");
KSYMTAB_FUNC(ufshcd_clkgate_delay_set, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_configure_adapt, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_set_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_get_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_change_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_link_recovery, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_enter, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_exit, "_gpl", "");
KSYMTAB_FUNC(ufshcd_auto_hibern8_update, "_gpl", "");
KSYMTAB_FUNC(ufshcd_config_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_make_hba_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_stop, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_update_evt_hist, "_gpl", "");
KSYMTAB_FUNC(ufshcd_fixup_dev_quirks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_vreg, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_suspend, "", "");
KSYMTAB_FUNC(ufshcd_system_resume, "", "");
KSYMTAB_FUNC(ufshcd_runtime_suspend, "", "");
KSYMTAB_FUNC(ufshcd_runtime_resume, "", "");
KSYMTAB_FUNC(ufshcd_remove, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_freeze, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_restore, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_thaw, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dealloc_host, "_gpl", "");
KSYMTAB_FUNC(ufshcd_alloc_host, "", "");
KSYMTAB_FUNC(ufshcd_init, "_gpl", "");
KSYMTAB_FUNC(ufshcd_resume_complete, "_gpl", "");
KSYMTAB_FUNC(__ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_mac, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_read_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_write_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_poll_cqe_lock, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_make_queues_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable_esi, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_esi, "_gpl", "");

SYMBOL_CRC(ufshcd_dump_regs, 0xe5b7ba7e, "_gpl");
SYMBOL_CRC(ufshcd_enable_irq, 0x908837da, "_gpl");
SYMBOL_CRC(ufshcd_disable_irq, 0x46bafb71, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_is_hba_active, 0xc2e8f058, "_gpl");
SYMBOL_CRC(ufshcd_opp_config_clks, 0xbaecc229, "_gpl");
SYMBOL_CRC(ufshcd_hold, 0xb49b7afd, "_gpl");
SYMBOL_CRC(ufshcd_release, 0xb30473a6, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0x0dafeeb3, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0xd22ab57e, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0x938abdac, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0x95459651, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0xd225a685, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0x692b4fc1, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0x7cd5db91, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0x48c63c60, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0xe4cb5af5, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0x4d865c2f, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0xe12173b5, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0xb1644dd0, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0x2056e42a, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0xd20a3d4d, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0x1bd50d9f, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0xb014bb3a, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0x99a5fbe2, "");
SYMBOL_CRC(ufshcd_system_resume, 0x38e19192, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0x0f556bac, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0xc1d951d8, "");
SYMBOL_CRC(ufshcd_remove, 0xbc5b17cc, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0xdd1c2fc5, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0x224118ab, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0x897253b5, "_gpl");
SYMBOL_CRC(ufshcd_dealloc_host, 0xe482457f, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0x91892570, "");
SYMBOL_CRC(ufshcd_init, 0x936d5f07, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0xb5e84600, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0xd208962f, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0x9e68b867, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_mac, 0x0ab23209, "_gpl");
SYMBOL_CRC(ufshcd_mcq_read_cqis, 0x3a57f30c, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0x6ba2dde7, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_lock, 0x6408f6b8, "_gpl");
SYMBOL_CRC(ufshcd_mcq_make_queues_operational, 0x6964d01f, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0xa4313323, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable, 0x1ba1192e, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0x1bd44ca0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x234ca86e, "device_link_add" },
	{ 0x815588a6, "clk_enable" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xbb53856b, "up_read" },
	{ 0xfb02c0c, "scsi_change_queue_depth" },
	{ 0xe6c7761d, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x5e64e33f, "device_remove_file" },
	{ 0xf42a1bf, "dma_map_sg_attrs" },
	{ 0x41431619, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xabb97e9e, "cpu_latency_qos_remove_request" },
	{ 0xab137b74, "scsi_dma_map" },
	{ 0x7a28b33d, "scsi_print_sense_hdr" },
	{ 0x26c645bc, "regulator_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x30ae093a, "blk_crypto_reprogram_all_keys" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0xf766c28a, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8e19244d, "bpf_trace_run4" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0x9eb38940, "devm_request_threaded_irq" },
	{ 0xdf147541, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x708868b4, "devm_kmalloc" },
	{ 0x848cbf2c, "bsg_setup_queue" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x65bdba7e, "scsi_autopm_put_device" },
	{ 0xb7fd78d4, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5068c4d9, "bsg_remove_queue" },
	{ 0x7114f911, "dev_set_name" },
	{ 0x24d34156, "bsg_job_done" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8d8f32af, "dmam_alloc_attrs" },
	{ 0xc8c1733b, "trace_raw_output_prep" },
	{ 0x10e4f25d, "scsi_remove_host" },
	{ 0x7cde0a89, "bpf_trace_run6" },
	{ 0x1b1fb5b, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x748291ea, "__trace_trigger_soft_disabled" },
	{ 0x2f5ac808, "blk_pm_runtime_init" },
	{ 0x108c503d, "trace_event_printf" },
	{ 0x3d1ab049, "scsi_report_bus_reset" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x34d78db4, "sysfs_remove_groups" },
	{ 0x96e6717d, "hwmon_notify_event" },
	{ 0x594d4251, "dev_pm_opp_find_freq_floor_indexed" },
	{ 0xbfc97bdc, "up" },
	{ 0xc1fd1c48, "device_initialize" },
	{ 0x842fafec, "devfreq_recommended_opp" },
	{ 0xda1f8f1a, "sysfs_create_groups" },
	{ 0x167891d5, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfc4b88ad, "scsi_dma_unmap" },
	{ 0x4dbd8b07, "cpu_latency_qos_add_request" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x7f9e7f36, "pcpu_hot" },
	{ 0xdd626f72, "seq_lseek" },
	{ 0xad7ab067, "cpu_latency_qos_request_active" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe4f68837, "bpf_trace_run2" },
	{ 0x8ffb2b02, "__scsi_iterate_devices" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xa78de32a, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x69a9ea9a, "__dynamic_dev_dbg" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xb0c1826a, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5a9ed04c, "blk_mq_alloc_tag_set" },
	{ 0x9fed6f77, "devfreq_add_device" },
	{ 0xbc8540c5, "dev_driver_string" },
	{ 0xba713605, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xaeac46dc, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x121c0ae6, "blk_crypto_register" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x2308ad73, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x57189b14, "put_device" },
	{ 0xe78f161d, "blk_mq_unquiesce_tagset" },
	{ 0x835233ac, "dev_pm_opp_put" },
	{ 0x64dd5a1d, "blk_mq_free_request" },
	{ 0x11caaa87, "device_property_read_u32_array" },
	{ 0x7f106ad3, "devm_regulator_get" },
	{ 0xdca9e40a, "dev_pm_opp_get_freq_indexed" },
	{ 0x4877667f, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf1b189ca, "scsi_device_put" },
	{ 0x1c9abfe5, "device_create_file" },
	{ 0x26fc4a11, "blk_mq_quiesce_tagset" },
	{ 0xb0be4525, "debugfs_attr_read" },
	{ 0x5c9af777, "regulator_set_load" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x3238245a, "perf_trace_run_bpf_submit" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x47ceef3e, "devm_kfree" },
	{ 0xacb10175, "_dev_err" },
	{ 0xac2c36a1, "devfreq_remove_device" },
	{ 0x932d5648, "scsi_host_put" },
	{ 0xeed7fd81, "up_write" },
	{ 0xb8443b10, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xd6c7b1a5, "simple_attr_release" },
	{ 0x3daa870f, "hwmon_device_register_with_info" },
	{ 0x90b9481d, "dev_pm_opp_add_dynamic" },
	{ 0x32a460e8, "down" },
	{ 0x3c2ec478, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x58bd7521, "dev_pm_opp_remove" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x6144c096, "cpu_latency_qos_update_request" },
	{ 0x8397743b, "sdev_prefix_printk" },
	{ 0xc20e13fb, "scsi_scan_host" },
	{ 0x93dc96d1, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x87491470, "trace_event_reg" },
	{ 0xca9c7786, "device_link_remove" },
	{ 0x21c75efa, "blk_mq_alloc_request" },
	{ 0x8b9586e1, "driver_unregister" },
	{ 0xeee4539e, "blk_queue_update_dma_pad" },
	{ 0x7bb57d09, "blk_mq_free_tag_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xec6a106a, "blk_put_queue" },
	{ 0x5df387f4, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xf231f627, "dev_pm_opp_set_opp" },
	{ 0xefa5259, "dmam_free_coherent" },
	{ 0xa620d9c1, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x3ef9c90b, "regulator_count_voltages" },
	{ 0x4318a7ae, "scsi_is_host_device" },
	{ 0x70554d7f, "blk_mq_wait_quiesce_done" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x97cb76b1, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6946c6d1, "bpf_trace_run10" },
	{ 0xbb9d1dd, "scsi_device_quiesce" },
	{ 0xeddd417, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x37288f38, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24b40caf, "dma_set_coherent_mask" },
	{ 0x2d63f1c, "scsi_print_command" },
	{ 0x7ab646c1, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x2a0fa60f, "__scsi_register_driver" },
	{ 0x1cd16834, "pm_runtime_forbid" },
	{ 0x9c2ff439, "debugfs_create_file" },
	{ 0x3696453f, "param_set_uint_minmax" },
	{ 0x347dc5b0, "pm_runtime_allow" },
	{ 0x4806e32e, "trace_event_buffer_reserve" },
	{ 0x27e183f5, "__pm_runtime_resume" },
	{ 0xa09b2f9a, "devfreq_suspend_device" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5ecbad92, "param_ops_bool" },
	{ 0x55ecefe0, "blk_mq_destroy_queue" },
	{ 0x432c981, "scsi_execute_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x36364b5d, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa6a0eb51, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xbf3c2bbf, "devm_blk_crypto_profile_init" },
	{ 0x3523752c, "hwmon_device_unregister" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xad53ec21, "blk_mq_tagset_busy_iter" },
	{ 0xc6d542be, "scsi_done" },
	{ 0x17c44339, "single_release" },
	{ 0xcb805e65, "scsi_unblock_requests" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x51f13dad, "dma_set_mask" },
	{ 0x68668b59, "sbitmap_weight" },
	{ 0xe696b9b1, "regulator_disable" },
	{ 0xec758e85, "dev_err_probe" },
	{ 0x6600e93c, "dma_unmap_sg_attrs" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0xf59599de, "scsi_remove_device" },
	{ 0xe4d3df88, "scsi_block_requests" },
	{ 0x78d3155f, "scsi_add_host_with_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xbac777ae, "single_open" },
	{ 0x71debdf, "scsi_host_alloc" },
	{ 0x672b10a7, "__scsi_add_device" },
	{ 0x64a4458c, "devfreq_resume_device" },
	{ 0x9a4d8ea, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "9834ACEA72B858AEDE6A4D4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
