#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf8790020, "param_ops_bint" },
	{ 0xacb10175, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xe2d5ce15, "snd_pcm_set_ops" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x648f10db, "snd_pcm_hw_constraint_list" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xb19b445, "ioread8" },
	{ 0x1da006c2, "snd_pcm_set_managed_buffer_all" },
	{ 0xa620d9c1, "_dev_warn" },
	{ 0x2c9257f2, "pci_set_master" },
	{ 0xc2935d28, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x56bad189, "snd_ac97_get_short_name" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x602bca89, "snd_card_disconnect" },
	{ 0xf158caf5, "snd_ac97_pcm_assign" },
	{ 0xe81c2298, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9e913c1, "snd_pcm_alt_chmaps" },
	{ 0x5ecbad92, "param_ops_bool" },
	{ 0xf03490d6, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x357a1f79, "snd_pci_quirk_lookup" },
	{ 0xa6a0eb51, "seq_printf" },
	{ 0x48e12f79, "pcim_iomap" },
	{ 0xb772304f, "snd_pcm_hw_constraint_msbits" },
	{ 0x5da7312a, "snd_pcm_period_elapsed" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xf73d0903, "snd_ac97_tune_hardware" },
	{ 0x754d539c, "strlen" },
	{ 0x1aa1c769, "param_ops_int" },
	{ 0x1de966fb, "pcim_enable_device" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0x382c5fb, "pci_write_config_dword" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xfb47db76, "snd_ac97_pcm_close" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x2019887d, "snd_ac97_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9062059b, "snd_pcm_new" },
	{ 0xa4b99b37, "snd_pcm_add_chmap_ctls" },
	{ 0x4732e9da, "snd_card_register" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x83a1d6b3, "snd_devm_alloc_dir_pages" },
	{ 0x4996edce, "snd_ac97_pcm_open" },
	{ 0x272e1f1, "__pci_register_driver" },
	{ 0xce6b8630, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc3fcfe05, "snd_card_free_on_error" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xe223bc35, "snd_ac97_set_rate" },
	{ 0xa4fbaf77, "snd_card_rw_proc_new" },
	{ 0x6c7a8c52, "snd_ac97_update_bits" },
	{ 0x5a73b449, "snd_ac97_mixer" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x69a9ea9a, "__dynamic_dev_dbg" },
	{ 0x1e3d006e, "snd_ac97_bus" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xd2f4c996, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xad360ef6, "pci_read_config_dword" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xfb75557c, "snd_ac97_pcm_double_rate_rules" },
	{ 0x4877667f, "_dev_info" },
	{ 0x5e87f5ff, "snd_ac97_update_power" },
	{ 0x6a113f57, "snd_ac97_suspend" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-ac97-codec,snd");

MODULE_ALIAS("pci:v00008086d00002415sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002425sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002445sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002485sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024C5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000025A6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000266Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000027DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002698sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007195sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001039d00007012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000001B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000003Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000006Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000008Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000000DAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000000EAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000026Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d0000746Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00007445sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B9d00005455sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E4990524CF741F4BCB2B88C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
