#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cs35l41_regmap_i2c, "_gpl", "");
KSYMTAB_DATA(cs35l41_regmap_spi, "_gpl", "");
KSYMTAB_FUNC(cs35l41_test_key_unlock, "_gpl", "");
KSYMTAB_FUNC(cs35l41_test_key_lock, "_gpl", "");
KSYMTAB_FUNC(cs35l41_otp_unpack, "_gpl", "");
KSYMTAB_FUNC(cs35l41_register_errata_patch, "_gpl", "");
KSYMTAB_FUNC(cs35l41_set_channels, "_gpl", "");
KSYMTAB_FUNC(cs35l41_init_boost, "_gpl", "");
KSYMTAB_FUNC(cs35l41_safe_reset, "_gpl", "");
KSYMTAB_FUNC(cs35l41_global_enable, "_gpl", "");
KSYMTAB_FUNC(cs35l41_mdsync_up, "_gpl", "");
KSYMTAB_FUNC(cs35l41_gpio_config, "_gpl", "");
KSYMTAB_FUNC(cs35l41_configure_cs_dsp, "_gpl", "");
KSYMTAB_FUNC(cs35l41_set_cspl_mbox_cmd, "_gpl", "");
KSYMTAB_FUNC(cs35l41_write_fs_errata, "_gpl", "");
KSYMTAB_FUNC(cs35l41_enter_hibernate, "_gpl", "");
KSYMTAB_FUNC(cs35l41_exit_hibernate, "_gpl", "");

SYMBOL_CRC(cs35l41_regmap_i2c, 0x0c6ad548, "_gpl");
SYMBOL_CRC(cs35l41_regmap_spi, 0xba3fd397, "_gpl");
SYMBOL_CRC(cs35l41_test_key_unlock, 0x4599ee8c, "_gpl");
SYMBOL_CRC(cs35l41_test_key_lock, 0xf5fe3072, "_gpl");
SYMBOL_CRC(cs35l41_otp_unpack, 0x487f409b, "_gpl");
SYMBOL_CRC(cs35l41_register_errata_patch, 0xad08811b, "_gpl");
SYMBOL_CRC(cs35l41_set_channels, 0x43fae919, "_gpl");
SYMBOL_CRC(cs35l41_init_boost, 0xe172e21a, "_gpl");
SYMBOL_CRC(cs35l41_safe_reset, 0x389e86c7, "_gpl");
SYMBOL_CRC(cs35l41_global_enable, 0xb31655d5, "_gpl");
SYMBOL_CRC(cs35l41_mdsync_up, 0x36c475ff, "_gpl");
SYMBOL_CRC(cs35l41_gpio_config, 0xe92ff6ad, "_gpl");
SYMBOL_CRC(cs35l41_configure_cs_dsp, 0x5c63d267, "_gpl");
SYMBOL_CRC(cs35l41_set_cspl_mbox_cmd, 0x469730b8, "_gpl");
SYMBOL_CRC(cs35l41_write_fs_errata, 0xb5bf890b, "_gpl");
SYMBOL_CRC(cs35l41_enter_hibernate, 0x1481de8b, "_gpl");
SYMBOL_CRC(cs35l41_exit_hibernate, 0xee6ad6f9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x69a9ea9a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xacb10175, "_dev_err" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4e88485a, "regmap_read" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbb103d5d, "regmap_bulk_read" },
	{ 0xcd4cf565, "regmap_update_bits_base" },
	{ 0xef44aec9, "regmap_multi_reg_write" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0xaf41fdfe, "regmap_register_patch" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0x17143ea9, "regmap_write" },
	{ 0x37a0cba, "kfree" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AC87D6360393D7DA2919D99");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
