#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfe2dbbde, "input_register_device" },
	{ 0xd3e4ca7e, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x46a94d2e, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xde2307db, "snd_card_new" },
	{ 0x560c6ca5, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf6d23337, "snd_card_set_id" },
	{ 0xacb10175, "_dev_err" },
	{ 0xef5a9cce, "usb_set_interface" },
	{ 0xe2d5ce15, "snd_pcm_set_ops" },
	{ 0x500608d4, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x64741bb0, "usb_string" },
	{ 0x1da006c2, "snd_pcm_set_managed_buffer_all" },
	{ 0xa620d9c1, "_dev_warn" },
	{ 0xc2935d28, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x164fcbaf, "input_event" },
	{ 0x26cefb09, "input_set_abs_params" },
	{ 0xa2b43bb0, "snd_rawmidi_new" },
	{ 0x602bca89, "snd_card_disconnect" },
	{ 0x3b2211cb, "snd_rawmidi_set_ops" },
	{ 0x5ecbad92, "param_ops_bool" },
	{ 0x1ff6fce4, "usb_kill_urb" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0xf3c7a09d, "usb_init_urb" },
	{ 0x5da7312a, "snd_pcm_period_elapsed" },
	{ 0x1aa1c769, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0xef1f8b7, "input_allocate_device" },
	{ 0xbd308e5a, "usb_alloc_urb" },
	{ 0x53a7484c, "snd_rawmidi_receive" },
	{ 0x880bd459, "usb_free_urb" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0xc576a530, "snd_rawmidi_transmit" },
	{ 0x4be2cca5, "snd_ctl_add" },
	{ 0x9062059b, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4732e9da, "snd_card_register" },
	{ 0x2dc8f88, "snd_card_free" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x20adaca7, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0xbf602e79, "param_array_ops" },
	{ 0x5903f10c, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x69a9ea9a, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x14beb884, "input_free_device" },
	{ 0xc490298, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8fc9c36e, "usb_bulk_msg" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd,snd-pcm,snd-rawmidi");

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "D5AA2B49B509894EBFF12B1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
