#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42ebe464, "drm_encoder_cleanup" },
	{ 0x2e57f3b8, "drmm_mode_config_init" },
	{ 0xd2f4c996, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbc8540c5, "dev_driver_string" },
	{ 0xebb11857, "drm_connector_attach_encoder" },
	{ 0xad360ef6, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbc4e80c5, "drm_edid_connector_update" },
	{ 0xb72957af, "__devm_request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xee5b652e, "drm_atomic_helper_damage_iter_init" },
	{ 0x848d372e, "iowrite8" },
	{ 0x2de2392e, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc0757d71, "drm_atomic_helper_commit" },
	{ 0x28c9d8f9, "drm_atomic_helper_check" },
	{ 0xed0ac8e9, "__drmm_mutex_release" },
	{ 0x44ae6c9f, "drm_atomic_helper_connector_destroy_state" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3a34a6f, "drm_gem_mmap" },
	{ 0x363850b6, "drm_gem_duplicate_shadow_plane_state" },
	{ 0x738ec78a, "drm_ioctl" },
	{ 0xab0c3aaa, "drm_plane_cleanup" },
	{ 0x625d5f06, "i2c_del_adapter" },
	{ 0x8eedc489, "drm_atomic_helper_commit_tail" },
	{ 0xacb10175, "_dev_err" },
	{ 0xb15ff72f, "drm_connector_init_with_ddc" },
	{ 0xce769145, "noop_llseek" },
	{ 0x128493ff, "drm_read" },
	{ 0x16a9eadf, "drm_edid_connector_add_modes" },
	{ 0x7e7cbda5, "drm_gem_fb_create_with_dirty" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9ead4801, "drm_gem_begin_shadow_fb_access" },
	{ 0xe4a5212a, "drm_edid_read" },
	{ 0xe0558fdd, "pci_map_rom" },
	{ 0xe5ac97e2, "drm_atomic_helper_check_plane_state" },
	{ 0x280ddb0b, "drm_crtc_init_with_planes" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3c7ee9f2, "__drm_dev_dbg" },
	{ 0xa9394ec6, "drm_dev_unregister" },
	{ 0xb6a6b711, "drm_fb_clip_offset" },
	{ 0xb19b445, "ioread8" },
	{ 0x9e28d4f7, "__devm_drm_dev_alloc" },
	{ 0x272b478d, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xa620d9c1, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc5caf1c4, "drm_atomic_helper_set_config" },
	{ 0x7704a53, "drm_fbdev_generic_setup" },
	{ 0x392096bf, "devm_arch_phys_wc_add" },
	{ 0xf1c9c673, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x9a8dc106, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xd6dfaae8, "drm_connector_cleanup" },
	{ 0x46be8038, "drm_atomic_helper_check_crtc_primary_plane" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd0033dcc, "drm_universal_plane_init" },
	{ 0x49c71af1, "drm_gem_destroy_shadow_plane_state" },
	{ 0xce49c0be, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x2fb6fce5, "drm_crtc_enable_color_mgmt" },
	{ 0x1315d982, "drm_fb_memcpy" },
	{ 0x3b99f05d, "drm_encoder_init" },
	{ 0x999e8297, "vfree" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0xceb888a2, "drm_helper_probe_single_connector_modes" },
	{ 0xfa9b70c, "__drm_atomic_helper_crtc_reset" },
	{ 0x1d94cfdd, "drm_gem_reset_shadow_plane" },
	{ 0x48e12f79, "pcim_iomap" },
	{ 0x8495fe0f, "drm_gem_end_shadow_fb_access" },
	{ 0xdc4c61e8, "drm_atomic_helper_page_flip" },
	{ 0x7a04fdd9, "devm_ioremap_wc" },
	{ 0x5a07d9ee, "drm_atomic_helper_connector_reset" },
	{ 0x16ed0b37, "drm_mode_config_reset" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0xca04b9c1, "__devm_add_action" },
	{ 0x30e606e6, "pci_unmap_rom" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1aa1c769, "param_ops_int" },
	{ 0x1de966fb, "pcim_enable_device" },
	{ 0x781dae81, "drm_atomic_helper_update_plane" },
	{ 0x2f2f72cb, "drm_compat_ioctl" },
	{ 0xff9c7ca3, "drm_dev_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x382c5fb, "pci_write_config_dword" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0xb5346601, "drm_release" },
	{ 0xbcc2699e, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x7b1e3668, "drm_open" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xf08bd2c7, "drm_poll" },
	{ 0xde39aa4d, "drm_mode_crtc_set_gamma_size" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x4cb8add6, "drm_plane_enable_fb_damage_clips" },
	{ 0x4310ad68, "drm_gem_shmem_dumb_create" },
	{ 0x7b9f5a3c, "i2c_bit_add_bus" },
	{ 0xcb8cf2a, "drm_atomic_helper_disable_plane" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x7e115ba8, "drm_atomic_helper_shutdown" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x272e1f1, "__pci_register_driver" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x37a0cba, "kfree" },
	{ 0x9a28e92e, "drm_crtc_cleanup" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "i2c-algo-bit");

MODULE_ALIAS("pci:v0000102Bd00000520sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000521sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000522sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000524sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000530sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000532sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000533sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000534sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000536sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000538sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C6C9F97461B81489754EF39");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
