#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x13421a7, "pci_set_power_state" },
	{ 0x42ebe464, "drm_encoder_cleanup" },
	{ 0x229ebbb, "drm_connector_unregister" },
	{ 0x74c454b3, "drm_gem_vram_offset" },
	{ 0x2e57f3b8, "drmm_mode_config_init" },
	{ 0x9045482d, "drm_plane_get_damage_clips" },
	{ 0xd2f4c996, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x538f91bd, "drm_add_modes_noedid" },
	{ 0xebb11857, "drm_connector_attach_encoder" },
	{ 0x9e52a566, "gen_pool_dma_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc0757d71, "drm_atomic_helper_commit" },
	{ 0x28c9d8f9, "drm_atomic_helper_check" },
	{ 0x44ae6c9f, "drm_atomic_helper_connector_destroy_state" },
	{ 0xb8a7ea64, "drm_connector_list_iter_end" },
	{ 0xbc4ec63a, "drm_atomic_helper_plane_duplicate_state" },
	{ 0x3a34a6f, "drm_gem_mmap" },
	{ 0x363850b6, "drm_gem_duplicate_shadow_plane_state" },
	{ 0x738ec78a, "drm_ioctl" },
	{ 0xab0c3aaa, "drm_plane_cleanup" },
	{ 0xf3cccfe8, "drm_gem_vram_plane_helper_prepare_fb" },
	{ 0x2c8102aa, "drm_modeset_lock" },
	{ 0x40e7065c, "drm_modeset_unlock" },
	{ 0x49b73201, "drm_connector_init" },
	{ 0x6e79c1b2, "pci_iomap_range" },
	{ 0xa408f7b9, "drm_mode_config_helper_suspend" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xce769145, "noop_llseek" },
	{ 0x128493ff, "drm_read" },
	{ 0x7e7cbda5, "drm_gem_fb_create_with_dirty" },
	{ 0x9f9ad427, "drm_vram_helper_mode_valid" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9ead4801, "drm_gem_begin_shadow_fb_access" },
	{ 0xd2d9555d, "drm_vram_mm_debugfs_init" },
	{ 0xe5ac97e2, "drm_atomic_helper_check_plane_state" },
	{ 0x16ed1864, "drm_atomic_helper_plane_reset" },
	{ 0x280ddb0b, "drm_crtc_init_with_planes" },
	{ 0x747580aa, "drm_object_attach_property" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe59e5206, "drm_plane_get_damage_clips_count" },
	{ 0xa9394ec6, "drm_dev_unregister" },
	{ 0x9e28d4f7, "__devm_drm_dev_alloc" },
	{ 0xfbd2cbfa, "drm_connector_update_edid_property" },
	{ 0x190a2bf6, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc5caf1c4, "drm_atomic_helper_set_config" },
	{ 0x7704a53, "drm_fbdev_generic_setup" },
	{ 0x392096bf, "devm_arch_phys_wc_add" },
	{ 0x31c1f1dc, "drmm_vram_helper_init" },
	{ 0x9a8dc106, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x24a8f844, "devm_gen_pool_create" },
	{ 0xd6dfaae8, "drm_connector_cleanup" },
	{ 0xd0033dcc, "drm_universal_plane_init" },
	{ 0x49c71af1, "drm_gem_destroy_shadow_plane_state" },
	{ 0x2803a5f2, "drm_atomic_helper_crtc_reset" },
	{ 0xf99a9bc0, "drm_connector_list_iter_next" },
	{ 0x88630ae7, "drm_object_property_set_value" },
	{ 0x3b99f05d, "drm_encoder_init" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x463c964f, "drm_kms_helper_hotplug_event" },
	{ 0x6e129203, "gen_pool_free_owner" },
	{ 0x56470118, "__warn_printk" },
	{ 0xceb888a2, "drm_helper_probe_single_connector_modes" },
	{ 0xd546c4c2, "drm_cvt_mode" },
	{ 0x1d94cfdd, "drm_gem_reset_shadow_plane" },
	{ 0x119a079e, "drm_plane_helper_destroy" },
	{ 0x49a7732d, "pci_disable_device" },
	{ 0x8495fe0f, "drm_gem_end_shadow_fb_access" },
	{ 0x998b802, "drm_mode_destroy" },
	{ 0xdc4c61e8, "drm_atomic_helper_page_flip" },
	{ 0x837fdf9d, "drm_gem_ttm_dumb_map_offset" },
	{ 0x5a07d9ee, "drm_atomic_helper_connector_reset" },
	{ 0x16ed0b37, "drm_mode_config_reset" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0x79cfb346, "gen_pool_virt_to_phys" },
	{ 0x1f08efb0, "drm_gem_vram_plane_helper_cleanup_fb" },
	{ 0xfe56b460, "drm_mode_config_cleanup" },
	{ 0x22fd0d8c, "drm_mode_config_helper_resume" },
	{ 0x1aa1c769, "param_ops_int" },
	{ 0x1de966fb, "pcim_enable_device" },
	{ 0xdb5eea00, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0x781dae81, "drm_atomic_helper_update_plane" },
	{ 0x2f2f72cb, "drm_compat_ioctl" },
	{ 0xff9c7ca3, "drm_dev_register" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0xb5346601, "drm_release" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7701551b, "drm_atomic_helper_plane_destroy_state" },
	{ 0xa1aaf2e1, "pci_save_state" },
	{ 0xbcc2699e, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x7b1e3668, "drm_open" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xf08bd2c7, "drm_poll" },
	{ 0xde39aa4d, "drm_mode_crtc_set_gamma_size" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xfcc118f4, "drm_gem_vram_driver_dumb_create" },
	{ 0x708868b4, "devm_kmalloc" },
	{ 0xbbbbebfb, "pci_enable_device" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbf117b20, "drm_mode_probed_add" },
	{ 0xcb8cf2a, "drm_atomic_helper_disable_plane" },
	{ 0x7e115ba8, "drm_atomic_helper_shutdown" },
	{ 0x272e1f1, "__pci_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x5658d41b, "drm_mode_create_suggested_offset_properties" },
	{ 0x37a0cba, "kfree" },
	{ 0x4ba44c4b, "drm_atomic_helper_crtc_destroy_state" },
	{ 0x9a28e92e, "drm_crtc_cleanup" },
	{ 0x6f2fc959, "drm_connector_list_iter_begin" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "drm_vram_helper,drm_ttm_helper");

MODULE_ALIAS("pci:v000080EEd0000BEEFsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C9BD660721570B6CF08D8C5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
