#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mei_fw_status2str, "_gpl", "");
KSYMTAB_FUNC(mei_cancel_work, "_gpl", "");
KSYMTAB_FUNC(mei_reset, "_gpl", "");
KSYMTAB_FUNC(mei_start, "_gpl", "");
KSYMTAB_FUNC(mei_restart, "_gpl", "");
KSYMTAB_FUNC(mei_stop, "_gpl", "");
KSYMTAB_FUNC(mei_write_is_idle, "_gpl", "");
KSYMTAB_FUNC(mei_device_init, "_gpl", "");
KSYMTAB_FUNC(mei_hbm_pg, "_gpl", "");
KSYMTAB_FUNC(mei_hbm_pg_resume, "_gpl", "");
KSYMTAB_FUNC(mei_irq_compl_handler, "_gpl", "");
KSYMTAB_FUNC(mei_irq_read_handler, "_gpl", "");
KSYMTAB_FUNC(mei_irq_write_handler, "_gpl", "");
KSYMTAB_FUNC(mei_cl_all_disconnect, "_gpl", "");
KSYMTAB_FUNC(mei_register, "_gpl", "");
KSYMTAB_FUNC(mei_deregister, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_vtag_timeout, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_nonblock_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_timeout, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_vtag_timeout, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_timeout, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_nonblock, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_register_rx_cb, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_register_notif_cb, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_uuid, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_ver, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_enabled, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_dma_map, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_dma_unmap, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_enable, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_disable, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_gsc_command, "_gpl", "");
KSYMTAB_FUNC(__mei_cldev_driver_register, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_driver_unregister, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mei_reg_read, "", "");
KSYMTAB_FUNC(__traceiter_mei_reg_read, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_reg_read, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_reg_read, "", "");
KSYMTAB_DATA(__tracepoint_mei_reg_write, "", "");
KSYMTAB_FUNC(__traceiter_mei_reg_write, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_reg_write, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_reg_write, "", "");
KSYMTAB_DATA(__tracepoint_mei_pci_cfg_read, "", "");
KSYMTAB_FUNC(__traceiter_mei_pci_cfg_read, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_pci_cfg_read, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_pci_cfg_read, "", "");

SYMBOL_CRC(mei_fw_status2str, 0x90a24af4, "_gpl");
SYMBOL_CRC(mei_cancel_work, 0x7c3d9527, "_gpl");
SYMBOL_CRC(mei_reset, 0x2df321ec, "_gpl");
SYMBOL_CRC(mei_start, 0x19b4b4d5, "_gpl");
SYMBOL_CRC(mei_restart, 0xf8948a73, "_gpl");
SYMBOL_CRC(mei_stop, 0x8421e3ca, "_gpl");
SYMBOL_CRC(mei_write_is_idle, 0x1f25d04f, "_gpl");
SYMBOL_CRC(mei_device_init, 0xdf624ff6, "_gpl");
SYMBOL_CRC(mei_hbm_pg, 0xd5b3c241, "_gpl");
SYMBOL_CRC(mei_hbm_pg_resume, 0xd54e0bb4, "_gpl");
SYMBOL_CRC(mei_irq_compl_handler, 0x79b2edd4, "_gpl");
SYMBOL_CRC(mei_irq_read_handler, 0xf2795633, "_gpl");
SYMBOL_CRC(mei_irq_write_handler, 0x87ea9b31, "_gpl");
SYMBOL_CRC(mei_cl_all_disconnect, 0xc567ed33, "_gpl");
SYMBOL_CRC(mei_register, 0xad24a77b, "_gpl");
SYMBOL_CRC(mei_deregister, 0xb87942ba, "_gpl");
SYMBOL_CRC(mei_cldev_send_vtag, 0xd7273447, "_gpl");
SYMBOL_CRC(mei_cldev_send_vtag_timeout, 0x7b0f2ce8, "_gpl");
SYMBOL_CRC(mei_cldev_recv_vtag, 0xedd403fe, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock_vtag, 0x4d478b60, "_gpl");
SYMBOL_CRC(mei_cldev_recv_timeout, 0xd05b5527, "_gpl");
SYMBOL_CRC(mei_cldev_recv_vtag_timeout, 0x30a21f68, "_gpl");
SYMBOL_CRC(mei_cldev_send, 0x2b5e2a50, "_gpl");
SYMBOL_CRC(mei_cldev_send_timeout, 0x3805f799, "_gpl");
SYMBOL_CRC(mei_cldev_recv, 0x959ed077, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock, 0x4aff4d83, "_gpl");
SYMBOL_CRC(mei_cldev_register_rx_cb, 0xecec9a6e, "_gpl");
SYMBOL_CRC(mei_cldev_register_notif_cb, 0x94a6cf3e, "_gpl");
SYMBOL_CRC(mei_cldev_get_drvdata, 0xfe06c40f, "_gpl");
SYMBOL_CRC(mei_cldev_set_drvdata, 0x972f99ac, "_gpl");
SYMBOL_CRC(mei_cldev_uuid, 0x258c5e66, "_gpl");
SYMBOL_CRC(mei_cldev_ver, 0xc34aef05, "_gpl");
SYMBOL_CRC(mei_cldev_enabled, 0xc9f62186, "_gpl");
SYMBOL_CRC(mei_cldev_dma_map, 0x8c981300, "_gpl");
SYMBOL_CRC(mei_cldev_dma_unmap, 0x7dac25c2, "_gpl");
SYMBOL_CRC(mei_cldev_enable, 0x89ae4a78, "_gpl");
SYMBOL_CRC(mei_cldev_disable, 0xa4f2c000, "_gpl");
SYMBOL_CRC(mei_cldev_send_gsc_command, 0x510c47a9, "_gpl");
SYMBOL_CRC(__mei_cldev_driver_register, 0xb6b153a0, "_gpl");
SYMBOL_CRC(mei_cldev_driver_unregister, 0x06abc1ff, "_gpl");
SYMBOL_CRC(__tracepoint_mei_reg_read, 0x36ace56b, "");
SYMBOL_CRC(__traceiter_mei_reg_read, 0x39ba42ad, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_read, 0x38b338f7, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_read, 0x3b0a488d, "");
SYMBOL_CRC(__tracepoint_mei_reg_write, 0xe5ab318e, "");
SYMBOL_CRC(__traceiter_mei_reg_write, 0x33d5a462, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_write, 0x1c1cf13c, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_write, 0x0bb25295, "");
SYMBOL_CRC(__tracepoint_mei_pci_cfg_read, 0x77cdc7e7, "");
SYMBOL_CRC(__traceiter_mei_pci_cfg_read, 0x4b33408c, "");
SYMBOL_CRC(__SCK__tp_func_mei_pci_cfg_read, 0x2fe81c01, "");
SYMBOL_CRC(__SCT__tp_func_mei_pci_cfg_read, 0x14dc7949, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xea482e73, "debugfs_write_file_bool" },
	{ 0x57189b14, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x638f69ee, "const_pcpu_hot" },
	{ 0x4877667f, "_dev_info" },
	{ 0x63b11ada, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc257a3c4, "compat_ptr_ioctl" },
	{ 0xba098391, "cdev_add" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x3238245a, "perf_trace_run_bpf_submit" },
	{ 0xa6afb34, "bus_unregister" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xacb10175, "_dev_err" },
	{ 0xeed7fd81, "up_write" },
	{ 0x77cc2f38, "simple_open" },
	{ 0xb8443b10, "device_add" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x93dc96d1, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x49f7d72, "fasync_helper" },
	{ 0x87491470, "trace_event_reg" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x8b9586e1, "driver_unregister" },
	{ 0x47466b4f, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x5df387f4, "device_del" },
	{ 0xefa5259, "dmam_free_coherent" },
	{ 0xa620d9c1, "_dev_warn" },
	{ 0x735371b8, "device_match_devt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xeddd417, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaa18b290, "nonseekable_open" },
	{ 0x7ab646c1, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf2cf9970, "device_create_with_groups" },
	{ 0x9c2ff439, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x4806e32e, "trace_event_buffer_reserve" },
	{ 0x27e183f5, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x58d8d957, "seq_write" },
	{ 0x132d9358, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa6a0eb51, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x17c44339, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0x351cc4a, "__pm_runtime_suspend" },
	{ 0xf296785b, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0xbac777ae, "single_open" },
	{ 0x9a4d8ea, "debugfs_create_dir" },
	{ 0x48d19938, "generic_file_llseek" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbb53856b, "up_read" },
	{ 0x7f503e65, "driver_register" },
	{ 0xb94aee27, "class_register" },
	{ 0x68e927a8, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0x983ddecf, "cdev_del" },
	{ 0x2474fe06, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5e544feb, "class_find_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc5ceb5c0, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x8e19244d, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7114f911, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8d8f32af, "dmam_alloc_attrs" },
	{ 0xc8c1733b, "trace_raw_output_prep" },
	{ 0x748291ea, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x8fd4336a, "kill_fasync" },
	{ 0x108c503d, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc1fd1c48, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x167891d5, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xdd626f72, "seq_lseek" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x98e3c3a0, "__module_get" },
	{ 0xa78de32a, "get_device" },
	{ 0x69a9ea9a, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x54c9bf99, "debugfs_read_file_bool" },
	{ 0xba713605, "trace_event_buffer_commit" },
	{ 0x9e09ef9, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0BB7BC59453EA14BE967D27");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
