#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(be_roce_mcc_cmd, "", "");
KSYMTAB_FUNC(be_roce_register_driver, "", "");
KSYMTAB_FUNC(be_roce_unregister_driver, "", "");

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0xc3943e49, "");
SYMBOL_CRC(be_roce_unregister_driver, 0xe2f5ebdb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2dc0503, "netif_set_real_num_rx_queues" },
	{ 0x4af02a53, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xce71b942, "skb_push" },
	{ 0x70226158, "dma_alloc_attrs" },
	{ 0xd435d684, "napi_enable" },
	{ 0xd81be506, "netif_receive_skb" },
	{ 0x5d9037e0, "register_netdev" },
	{ 0x5179f2cb, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbec1bc13, "__put_devmap_managed_folio_refs" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x58dd392, "ethtool_op_get_link" },
	{ 0x8df562b4, "netif_set_xps_queue" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa38bdcc3, "pci_iounmap" },
	{ 0xc7941222, "pci_restore_state" },
	{ 0xc459253b, "netif_tx_wake_queue" },
	{ 0x47496529, "devm_hwmon_device_register_with_groups" },
	{ 0xa620d9c1, "_dev_warn" },
	{ 0x2c9257f2, "pci_set_master" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x56eb87d, "__pskb_pull_tail" },
	{ 0x38766743, "netif_tx_lock" },
	{ 0xf4c4382a, "__netdev_alloc_skb" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24b40caf, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x979eef15, "dma_free_attrs" },
	{ 0x6653f6b2, "pci_enable_wake" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfc98efe0, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x671a993e, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1736c3e5, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9a15ec2c, "skb_clone" },
	{ 0x1cbe4d42, "__hw_addr_sync_dev" },
	{ 0x54931a29, "pci_disable_sriov" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x30bf4ca, "netif_carrier_on" },
	{ 0xe09c0561, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6a5ac222, "alloc_pages_noprof" },
	{ 0x49a7732d, "pci_disable_device" },
	{ 0x51f13dad, "dma_set_mask" },
	{ 0xed14e4b8, "netif_set_tso_max_size" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xc649f1da, "napi_schedule_prep" },
	{ 0x3e0fb4e9, "pci_sriov_set_totalvfs" },
	{ 0x754d539c, "strlen" },
	{ 0x5905d1a5, "napi_disable" },
	{ 0x4c2a7c7d, "dev_kfree_skb_any_reason" },
	{ 0x8bf164dd, "_dev_printk" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x13a5464c, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0x382c5fb, "pci_write_config_dword" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0x6a20af7e, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x172d77b1, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xa1aaf2e1, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xab450c02, "__skb_pad" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6b559202, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3fd97348, "skb_copy_bits" },
	{ 0x2ab94bb2, "param_ops_uint" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xbbbbebfb, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc3340e43, "param_ops_ushort" },
	{ 0x94349fdc, "consume_skb" },
	{ 0xb5900f6d, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x62991a4f, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x30fea09, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x58e60ac8, "ndo_dflt_bridge_getlink" },
	{ 0xc640491, "unregister_netdev" },
	{ 0x3518f317, "napi_get_frags" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x4e49a2ff, "dma_unmap_page_attrs" },
	{ 0x380733c9, "request_firmware" },
	{ 0x272e1f1, "__pci_register_driver" },
	{ 0xa259e254, "pci_num_vf" },
	{ 0xce6b8630, "pci_request_regions" },
	{ 0xd912813b, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xb2853563, "pci_sriov_get_totalvfs" },
	{ 0x7f9e7f36, "pcpu_hot" },
	{ 0xd9316246, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x401671cd, "udp_tunnel_nic_ops" },
	{ 0xaef1e50f, "__netif_napi_del" },
	{ 0x46458caa, "netif_tx_unlock" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xd2f4c996, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x336cf448, "pskb_expand_head" },
	{ 0xbc8540c5, "dev_driver_string" },
	{ 0x80c19c13, "dev_addr_mod" },
	{ 0x54bca4ae, "eth_type_trans" },
	{ 0xad360ef6, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x167b7426, "dma_map_page_attrs" },
	{ 0x89642ab7, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x3be68320, "__napi_schedule" },
	{ 0xa2c671d1, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0xd89e3eaa, "netif_device_detach" },
	{ 0x8abc175d, "__hw_addr_unsync_dev" },
	{ 0x4877667f, "_dev_info" },
	{ 0x67cf14cf, "netif_device_attach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xb0afdd10, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xacb10175, "_dev_err" },
	{ 0xba1301b4, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7ad0909f, "netif_set_real_num_tx_queues" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "299CB9E24C251ADA4AF4B1A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
