#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xed14e4b8, "netif_set_tso_max_size" },
	{ 0x43df4fd1, "phy_resume" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xec758e85, "dev_err_probe" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0x342568cf, "pcim_iomap_table" },
	{ 0xc649f1da, "napi_schedule_prep" },
	{ 0xcac44319, "napi_consume_skb" },
	{ 0x5905d1a5, "napi_disable" },
	{ 0x4c2a7c7d, "dev_kfree_skb_any_reason" },
	{ 0x40246440, "netdev_notice" },
	{ 0x7bc1d8c3, "phy_stop" },
	{ 0x89cd0a3b, "phy_do_ioctl_running" },
	{ 0x1959a048, "netif_set_tso_max_segs" },
	{ 0xcf3b69b3, "netdev_stats_to_stats64" },
	{ 0x1de966fb, "pcim_enable_device" },
	{ 0x815588a6, "clk_enable" },
	{ 0x643d8655, "phy_disconnect" },
	{ 0xe6c7761d, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8894cd46, "ethtool_op_get_ts_info" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0x6a20af7e, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x88a94f6c, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf84b7132, "phy_set_max_speed" },
	{ 0x821b75a5, "device_set_wakeup_enable" },
	{ 0xab450c02, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x3fd97348, "skb_copy_bits" },
	{ 0xa17be712, "eth_mac_addr" },
	{ 0xc853f9b3, "pcim_set_mwi" },
	{ 0xd49c4548, "pci_wake_from_d3" },
	{ 0xf3fc6b6, "skb_tstamp_tx" },
	{ 0x3ab2b862, "netdev_sw_irq_coalesce_default_on" },
	{ 0x9f5b6375, "netdev_update_features" },
	{ 0x3b510e0b, "pci_alloc_irq_vectors" },
	{ 0x62991a4f, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8d8f32af, "dmam_alloc_attrs" },
	{ 0xc640491, "unregister_netdev" },
	{ 0x4e49a2ff, "dma_unmap_page_attrs" },
	{ 0x380733c9, "request_firmware" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x272e1f1, "__pci_register_driver" },
	{ 0x43184da4, "phy_ethtool_set_eee" },
	{ 0x7a0406b5, "pci_dev_run_wake" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x7d1b6971, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6e93d832, "phy_ethtool_set_link_ksettings" },
	{ 0xd9316246, "eth_validate_addr" },
	{ 0x35033a63, "led_classdev_unregister" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6f06ab13, "netdev_warn" },
	{ 0x13421a7, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9bc8efd5, "pci_irq_vector" },
	{ 0x6caea668, "phy_write_mmd" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xd2f4c996, "pci_unregister_driver" },
	{ 0xb1e5ec9e, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x336cf448, "pskb_expand_head" },
	{ 0x35ae6328, "phy_read_paged" },
	{ 0xd292e6bd, "phy_restore_page" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0xbc8540c5, "dev_driver_string" },
	{ 0x80c19c13, "dev_addr_mod" },
	{ 0x54bca4ae, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x167b7426, "dma_map_page_attrs" },
	{ 0xf4058891, "genphy_soft_reset" },
	{ 0x89642ab7, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xa2491863, "__mdiobus_write" },
	{ 0xe36109b9, "__alloc_pages_noprof" },
	{ 0xfd329e08, "pm_schedule_suspend" },
	{ 0x86571ed1, "devm_clk_get_optional_enabled" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x80d65bf8, "pci_status_get_and_clear_errors" },
	{ 0x33ffa8ff, "phy_speed_up" },
	{ 0x275e26a5, "phy_connect_direct" },
	{ 0x3be68320, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xd89e3eaa, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x14686668, "pci_disable_link_state" },
	{ 0xd88feb01, "__free_pages" },
	{ 0x4877667f, "_dev_info" },
	{ 0xf23be4f5, "napi_gro_receive" },
	{ 0x67cf14cf, "netif_device_attach" },
	{ 0x19b2b231, "pci_select_bars" },
	{ 0x7e597b59, "phy_ethtool_get_link_ksettings" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9c771cf0, "devm_alloc_etherdev_mqs" },
	{ 0x9af633b1, "pcim_iomap_regions" },
	{ 0xe9d01d87, "pci_clear_master" },
	{ 0xb0afdd10, "__dma_sync_single_for_cpu" },
	{ 0x5371ac70, "__phy_modify" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xacb10175, "_dev_err" },
	{ 0xba1301b4, "softnet_data" },
	{ 0x1cb5fe4a, "phy_suspend" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1cfcaae1, "netdev_printk" },
	{ 0xa03725d8, "phy_modify_paged" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xb0d8fde, "pcie_capability_clear_and_set_word_locked" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x34a1c540, "phy_speed_down" },
	{ 0x70226158, "dma_alloc_attrs" },
	{ 0x24d4db79, "pci_read_config_word" },
	{ 0xd435d684, "napi_enable" },
	{ 0x5d9037e0, "register_netdev" },
	{ 0xdaa565f5, "mdiobus_read" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xe357c5a6, "led_classdev_register_ext" },
	{ 0x58dd392, "ethtool_op_get_link" },
	{ 0xe966fbbb, "eth_platform_get_mac_address" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xc459253b, "netif_tx_wake_queue" },
	{ 0x7f8290fd, "phy_start" },
	{ 0x70eeab02, "phy_modify" },
	{ 0xa620d9c1, "_dev_warn" },
	{ 0xb6f92b2f, "phy_mac_interrupt" },
	{ 0x9671f237, "netif_schedule_queue" },
	{ 0x2c9257f2, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcf8b9813, "phy_print_status" },
	{ 0x56eb87d, "__pskb_pull_tail" },
	{ 0xee75bea1, "phy_start_aneg" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xb68f5892, "phy_set_asym_pause" },
	{ 0x656ac2bf, "phy_ethtool_get_eee" },
	{ 0x99ab853e, "devm_mdiobus_alloc_size" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24b40caf, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x979eef15, "dma_free_attrs" },
	{ 0xc1f2f8a1, "pci_reset_bus" },
	{ 0x27e183f5, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd74fb8a0, "__dma_sync_single_for_device" },
	{ 0x202ad132, "phy_support_asym_pause" },
	{ 0x2cdeac0b, "pci_write_config_byte" },
	{ 0x6be46d53, "phy_get_pause" },
	{ 0x422d4e97, "mdiobus_write" },
	{ 0x51476665, "phy_select_page" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c5f7697, "phy_write_paged" },
	{ 0xed474c35, "mdiobus_get_phy" },
	{ 0xf90209ba, "phy_ethtool_nway_reset" },
	{ 0x373b0d5, "dql_reset" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x65e84d60, "phy_support_eee" },
	{ 0x2ff59f35, "phy_init_hw" },
	{ 0x9658800d, "pcie_set_readrq" },
	{ 0x28c9ebbe, "__devm_mdiobus_register" },
	{ 0x51f13dad, "dma_set_mask" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "libphy,mdio_devres");

MODULE_ALIAS("pci:v000010ECd00002502sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00002600sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008129sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008136sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008161sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008162sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008167sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008168sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010FFd00008168sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008169sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00004300sv00001186sd00004B10bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00004300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00004302sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001259d0000C107sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000016ECd00000116sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001737d00001032sv*sd00000024bc*sc*i*");
MODULE_ALIAS("pci:v00000001d00008168sv*sd00002410bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008125sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008126sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00003000sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FA48EE3E30F1893894E0D54");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
