#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x167b7426, "dma_map_page_attrs" },
	{ 0x89642ab7, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0x3ac9c7fa, "ath10k_err" },
	{ 0x1000e51, "schedule" },
	{ 0x2ccc32e2, "ath10k_print_driver_info" },
	{ 0x46e10cf, "ath10k_ce_num_free_src_entries" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x3be68320, "__napi_schedule" },
	{ 0xdad193c0, "ath10k_ce_rx_update_write_idx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x57b4ab30, "ath10k_htt_hif_tx_complete" },
	{ 0xe2ef5c5f, "__ath10k_ce_send_revert" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xf1885229, "ath10k_ce_free_pipe" },
	{ 0x8b83bac0, "ath10k_ce_revoke_recv_next" },
	{ 0xb0afdd10, "__dma_sync_single_for_cpu" },
	{ 0xa2b22301, "ath10k_ce_completed_recv_next" },
	{ 0x792f2225, "pci_enable_msi" },
	{ 0x149e77e1, "ath10k_htc_tx_completion_handler" },
	{ 0xacb10175, "_dev_err" },
	{ 0xf72143e4, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb8bf4841, "ath10k_ce_completed_send_next" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc489fb5b, "ath10k_ce_dump_registers" },
	{ 0xb0d8fde, "pcie_capability_clear_and_set_word_locked" },
	{ 0x3a3e4b42, "ath10k_ce_per_engine_service_any" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xce71b942, "skb_push" },
	{ 0xeea399d7, "ath10k_ce_enable_interrupts" },
	{ 0x70226158, "dma_alloc_attrs" },
	{ 0xe9fe211a, "ath10k_ce_rx_post_buf" },
	{ 0x71fab413, "ath10k_core_create" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x35db13c0, "ath10k_core_start_recovery" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xa38bdcc3, "pci_iounmap" },
	{ 0xfb578fc5, "memset" },
	{ 0x2c9257f2, "pci_set_master" },
	{ 0xaecd3f20, "__ath10k_ce_rx_num_free_bufs" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x49d8bb4b, "ath10k_htt_rx_pktlog_completion_handler" },
	{ 0xf4c4382a, "__netdev_alloc_skb" },
	{ 0x5e00fdc6, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24b40caf, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x979eef15, "dma_free_attrs" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd74fb8a0, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x25c5c57a, "ath10k_core_destroy" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xac57dcd4, "ath10k_htc_rx_completion_handler" },
	{ 0x84bf4a94, "ath10k_ce_deinit_pipe" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x96cb963d, "ath10k_ce_init_pipe" },
	{ 0x49a7732d, "pci_disable_device" },
	{ 0x89a45261, "ath10k_core_napi_sync_disable" },
	{ 0x21d4ab23, "ath10k_core_register" },
	{ 0x51f13dad, "dma_set_mask" },
	{ 0x7e589940, "ath10k_coredump_new" },
	{ 0x2e224f35, "ath10k_info" },
	{ 0xc649f1da, "napi_schedule_prep" },
	{ 0x4c2a7c7d, "dev_kfree_skb_any_reason" },
	{ 0x140de8e8, "pci_release_region" },
	{ 0x2f8b219f, "ath10k_htt_t2h_msg_handler" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x382c5fb, "pci_write_config_dword" },
	{ 0x4fa97046, "ath10k_core_unregister" },
	{ 0x142a217, "ath10k_htt_txrx_compl_task" },
	{ 0x76d724e2, "ath10k_ce_completed_recv_next_nolock" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x45a7d3de, "ath10k_ce_disable_interrupts" },
	{ 0xef8cbe2f, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x80b1d772, "pci_request_region" },
	{ 0x8230e484, "ath10k_core_napi_enable" },
	{ 0x2ab94bb2, "param_ops_uint" },
	{ 0xbbbbebfb, "pci_enable_device" },
	{ 0x12ec5829, "skb_put" },
	{ 0x23a5b5db, "ath10k_ce_send_nolock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb5900f6d, "pci_iomap" },
	{ 0x62991a4f, "netif_napi_add_weight" },
	{ 0xb8381fa4, "ath10k_ce_alloc_pipe" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e49a2ff, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0x272e1f1, "__pci_register_driver" },
	{ 0x9956dad0, "pci_disable_msi" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xed8035f9, "ath10k_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xbc59134e, "ath10k_ce_per_engine_service" },
	{ 0x8be1e63, "ath10k_ce_cancel_send_next" },
	{ 0xaef1e50f, "__netif_napi_del" },
	{ 0x640f780a, "ath10k_ce_send" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xd2f4c996, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbc8540c5, "dev_driver_string" },
	{ 0xc5770ae9, "ath10k_coredump_get_mem_layout" },
	{ 0xad360ef6, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "ath10k_core");

MODULE_ALIAS("pci:v00000777d000011ACsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd0000003Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000041sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd0000003Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000040sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000056sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000046sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000042sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000050sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "7439D5FA6E4A1FE54795A01");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
