#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x380733c9, "request_firmware" },
	{ 0x20adaca7, "usb_register_driver" },
	{ 0xb3958ca5, "mt76_get_txpower" },
	{ 0x315486eb, "mt76_wake_tx_queue" },
	{ 0x4d26fa2d, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0x48b9faeb, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x68a8c84a, "mt76x02_sta_ps" },
	{ 0xe2def735, "mt76u_resume_rx" },
	{ 0xef38fc9a, "mt76x02_sta_rate_tbl_update" },
	{ 0x69a9ea9a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf119ed2d, "mt76_alloc_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd65e15ce, "usb_put_dev" },
	{ 0xd3e4ca7e, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x27d26139, "mt76x02_update_channel" },
	{ 0x6a27b2a5, "usb_get_dev" },
	{ 0x4877667f, "_dev_info" },
	{ 0xf1aaeaf0, "mt76x02_configure_filter" },
	{ 0x4a4c01e0, "mt76_free_device" },
	{ 0xde2aee46, "mt76x0_chip_onoff" },
	{ 0x782549fb, "mt76x02_queue_rx_skb" },
	{ 0xf5a1fcdd, "mt76u_queues_deinit" },
	{ 0x48242601, "ieee80211_queue_delayed_work" },
	{ 0x4a45727e, "mt76x0_config" },
	{ 0x6f659a8b, "mt76x0_register_device" },
	{ 0xacb10175, "_dev_err" },
	{ 0xb938e871, "mt76x02u_mcu_fw_reset" },
	{ 0x4857c8ce, "mt76x0_phy_calibrate" },
	{ 0x40391d37, "mt76_set_tim" },
	{ 0x9cbab648, "mt76x02_sw_scan_complete" },
	{ 0xf1278c22, "mt76x02_tx" },
	{ 0x56d93b41, "mt76x02_sta_remove" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x500608d4, "usb_deregister" },
	{ 0x276cdc0a, "mt76x02_tx_status_data" },
	{ 0x2b0ab3f9, "mt76x02_sta_add" },
	{ 0x4085eea2, "mt76x0_mac_stop" },
	{ 0x248ba4dc, "mt76x02u_mcu_fw_send_data" },
	{ 0x585062c0, "mt76u_init" },
	{ 0xaaea6a57, "mt76_get_survey" },
	{ 0xa620d9c1, "_dev_warn" },
	{ 0x43e474c2, "ieee80211_emulate_add_chanctx" },
	{ 0xe30acbec, "mt76x02u_init_mcu" },
	{ 0x4b3c8846, "mt76x02u_tx_prepare_skb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xb9f61600, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x228d8caf, "mt76x02_set_rts_threshold" },
	{ 0x7c7801e, "mt76_sta_state" },
	{ 0x6d561d3f, "mt76x0_init_hardware" },
	{ 0xb7fc5b0a, "mt76x02u_mac_start" },
	{ 0x7973aeb3, "mt76x02_bss_info_changed" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x13236f68, "mt76u_alloc_queues" },
	{ 0x6a7d2433, "mt76u_stop_tx" },
	{ 0x3c986d72, "mt76x02u_init_beacon_config" },
	{ 0xe871163b, "ieee80211_unregister_hw" },
	{ 0x90a94b49, "mt76u_vendor_request" },
	{ 0x7cc9fc0a, "mt76x02_add_interface" },
	{ 0xae15ceb0, "____mt76_poll_msec" },
	{ 0x1f1e9185, "mt76x02u_exit_beacon_config" },
	{ 0xd7db162f, "mt76u_stop_rx" },
	{ 0xd346d1d3, "mt76x02_ampdu_action" },
	{ 0xaede2e51, "mt76x02_conf_tx" },
	{ 0x52439d9d, "mt76_sw_scan" },
	{ 0xc220ae9f, "mt76_sta_pre_rcu_remove" },
	{ 0x2325c27e, "__mt76_poll" },
	{ 0x658572b, "ieee80211_emulate_remove_chanctx" },
	{ 0x851a593c, "mt76x02_remove_interface" },
	{ 0x3df2707e, "mt76x02u_tx_complete_skb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x708868b4, "devm_kmalloc" },
	{ 0xa84f8eeb, "mt76x0_set_sar_specs" },
	{ 0x575b3634, "firmware_request_nowarn" },
	{ 0x6f34b6d1, "mt76x02_set_ethtool_fwver" },
	{ 0x14091785, "mt76x02_set_key" },
	{ 0x988c7a65, "mt76_release_buffered_frames" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mt76,mac80211,mt76x02-lib,mt76-usb,mt76x0-common,mt76x02-usb");

MODULE_ALIAS("usb:v148Fp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pA711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp761Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp760Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17D1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17DBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0075d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB31d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3D02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3425d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0951d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8502d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v293Cp5702d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v20F4p806Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pC711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0079d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p010Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7630d*dc*dsc*dp*icFFisc02ipFFin*");
MODULE_ALIAS("usb:v0E8Dp7650d*dc*dsc*dp*icFFisc02ipFFin*");

MODULE_INFO(srcversion, "DB44CF6196FF3D2E8EFE6ED");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
