#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb3fd69f1, "mt7921_usb_sdio_tx_complete_skb" },
	{ 0xb9ba541b, "mt792xu_rmw" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xe2def735, "mt76u_resume_rx" },
	{ 0xc4215eff, "kthread_park" },
	{ 0x69a9ea9a, "__dynamic_dev_dbg" },
	{ 0x777f9e7f, "mt7921_mac_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf119ed2d, "mt76_alloc_device" },
	{ 0x4aa40c58, "wake_up_process" },
	{ 0x5e3e97cb, "skb_queue_purge_reason" },
	{ 0xf177734c, "mt792xu_mcu_power_on" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf90c5c91, "mt7921_register_device" },
	{ 0xa9aa57cf, "__mt7921_start" },
	{ 0x68d0a373, "mt7921_run_firmware" },
	{ 0xd65e15ce, "usb_put_dev" },
	{ 0x8fc9c36e, "usb_bulk_msg" },
	{ 0xd3e4ca7e, "usb_reset_device" },
	{ 0x3765c297, "mt7921_usb_sdio_tx_status_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a27b2a5, "usb_get_dev" },
	{ 0x6c5483a4, "mt76u_alloc_mcu_queue" },
	{ 0x4a4c01e0, "mt76_free_device" },
	{ 0xd5e0a2a9, "kthread_unpark" },
	{ 0x7e178f04, "mt7921_ops" },
	{ 0xf5a1fcdd, "mt76u_queues_deinit" },
	{ 0xce71b942, "skb_push" },
	{ 0x6ec32070, "mt792xu_wfsys_reset" },
	{ 0x5fd3354b, "mt792xu_disconnect" },
	{ 0xa20e75a2, "mt792xu_wr" },
	{ 0x500608d4, "usb_deregister" },
	{ 0xfb578fc5, "memset" },
	{ 0x8c206e48, "mt7921_mac_sta_remove" },
	{ 0x54d62dc6, "mt7921_usb_sdio_tx_prepare_skb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x88be57e8, "mt76u_read_copy" },
	{ 0xc26f7c3c, "mt76_connac2_mcu_fill_message" },
	{ 0x17e35628, "mt7921_mcu_parse_response" },
	{ 0x94545a24, "mt76_txq_schedule_all" },
	{ 0x13236f68, "mt76u_alloc_queues" },
	{ 0x6a7d2433, "mt76u_stop_tx" },
	{ 0xae4e7bb6, "mt792xu_init_reset" },
	{ 0x35b341b9, "mt792xu_dma_init" },
	{ 0x41bfa1d4, "mt7921_mac_sta_add" },
	{ 0xf86adb48, "mt792x_update_channel" },
	{ 0xf1130f83, "mt792x_get_mac80211_ops" },
	{ 0x8ba08434, "mt7921_queue_rx_skb" },
	{ 0xd7db162f, "mt76u_stop_rx" },
	{ 0xb461e25f, "mt76_connac_mcu_set_hif_suspend" },
	{ 0x1ab79e53, "mt792x_reset" },
	{ 0x9026834b, "mt7921_rx_check" },
	{ 0x873a1078, "mt7921_mac_sta_assoc" },
	{ 0x23be24e4, "mt792xu_rr" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x326aab71, "__mt76u_init" },
	{ 0x94349fdc, "consume_skb" },
	{ 0xeea6324a, "mt792xu_copy" },
	{ 0xacc650c3, "mt792xu_stop" },
	{ 0x20adaca7, "usb_register_driver" },
	{ 0xe62ad6fc, "mt7921_mcu_set_eeprom" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "mt7921-common,mt792x-usb,mt76-usb,mt76,usbcore,mt76-connac-lib,mt792x-lib");

MODULE_ALIAS("usb:v0E8Dp7961d*dc*dsc*dp*icFFiscFFipFFin*");
MODULE_ALIAS("usb:v3574p6211d*dc*dsc*dp*icFFiscFFipFFin*");
MODULE_ALIAS("usb:v0846p9060d*dc*dsc*dp*icFFiscFFipFFin*");

MODULE_INFO(srcversion, "C23BC03C9A874EBB6BF84EA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
