#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(gether_setup_name, "_gpl", "");
KSYMTAB_FUNC(gether_setup_name_default, "_gpl", "");
KSYMTAB_FUNC(gether_register_netdev, "_gpl", "");
KSYMTAB_FUNC(gether_set_gadget, "_gpl", "");
KSYMTAB_FUNC(gether_set_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_set_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_cdc, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_u8, "_gpl", "");
KSYMTAB_FUNC(gether_set_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_set_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_suspend, "_gpl", "");
KSYMTAB_FUNC(gether_resume, "_gpl", "");
KSYMTAB_FUNC(gether_cleanup, "_gpl", "");
KSYMTAB_FUNC(gether_connect, "_gpl", "");
KSYMTAB_FUNC(gether_disconnect, "_gpl", "");

SYMBOL_CRC(gether_setup_name, 0x63f28b08, "_gpl");
SYMBOL_CRC(gether_setup_name_default, 0xcbe0ed63, "_gpl");
SYMBOL_CRC(gether_register_netdev, 0x40d5af24, "_gpl");
SYMBOL_CRC(gether_set_gadget, 0x68226376, "_gpl");
SYMBOL_CRC(gether_set_dev_addr, 0x802e2125, "_gpl");
SYMBOL_CRC(gether_get_dev_addr, 0xe903d157, "_gpl");
SYMBOL_CRC(gether_set_host_addr, 0x7768cae2, "_gpl");
SYMBOL_CRC(gether_get_host_addr, 0xcb5ebec9, "_gpl");
SYMBOL_CRC(gether_get_host_addr_cdc, 0x3fa63b28, "_gpl");
SYMBOL_CRC(gether_get_host_addr_u8, 0x707f729b, "_gpl");
SYMBOL_CRC(gether_set_qmult, 0xe22b9434, "_gpl");
SYMBOL_CRC(gether_get_qmult, 0x1452e43f, "_gpl");
SYMBOL_CRC(gether_get_ifname, 0x4ec66b32, "_gpl");
SYMBOL_CRC(gether_set_ifname, 0x72a393e8, "_gpl");
SYMBOL_CRC(gether_suspend, 0xf3e549a0, "_gpl");
SYMBOL_CRC(gether_resume, 0x208d47d9, "_gpl");
SYMBOL_CRC(gether_cleanup, 0x8878cfa6, "_gpl");
SYMBOL_CRC(gether_connect, 0xf309fdc5, "_gpl");
SYMBOL_CRC(gether_disconnect, 0x86f3f231, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x754d539c, "strlen" },
	{ 0x80c19c13, "dev_addr_mod" },
	{ 0x5d9037e0, "register_netdev" },
	{ 0x69a9ea9a, "__dynamic_dev_dbg" },
	{ 0x4877667f, "_dev_info" },
	{ 0x1736c3e5, "netif_carrier_off" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x96848186, "scnprintf" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x349cba85, "strchr" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x80e2ad81, "usb_ep_alloc_request" },
	{ 0x82dbc63, "usb_ep_free_request" },
	{ 0xc640491, "unregister_netdev" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x5179f2cb, "free_netdev" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xacb10175, "_dev_err" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xf4c4382a, "__netdev_alloc_skb" },
	{ 0xf20eecb0, "usb_ep_queue" },
	{ 0x4c2a7c7d, "dev_kfree_skb_any_reason" },
	{ 0x12ec5829, "skb_put" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1514152e, "skb_dequeue" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x665c6a61, "skb_queue_tail" },
	{ 0x54bca4ae, "eth_type_trans" },
	{ 0xb67992be, "netif_rx" },
	{ 0xc459253b, "netif_tx_wake_queue" },
	{ 0xfbb36f98, "usb_ep_enable" },
	{ 0x30bf4ca, "netif_carrier_on" },
	{ 0xa14a6557, "usb_ep_disable" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x172d77b1, "alloc_etherdev_mqs" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa620d9c1, "_dev_warn" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x5862a7ac, "usb_func_wakeup" },
	{ 0xca545ae5, "usb_gadget_wakeup" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa17be712, "eth_mac_addr" },
	{ 0xd9316246, "eth_validate_addr" },
	{ 0x58dd392, "ethtool_op_get_link" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "libcomposite");


MODULE_INFO(srcversion, "71EE56C15AFF38F90FE0664");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
