#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1cdd0605, "xhci_port_state_to_neutral" },
	{ 0x69a9ea9a, "__dynamic_dev_dbg" },
	{ 0xacb10175, "_dev_err" },
	{ 0x377bbcbc, "pm_suspend_target_state" },
	{ 0x96f09c39, "xhci_suspend" },
	{ 0xe03898e4, "pci_d3cold_disable" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x2e1e2e90, "xhci_update_hub_device" },
	{ 0x8fcfc766, "usb_acpi_port_lpm_incapable" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x3b510e0b, "pci_alloc_irq_vectors" },
	{ 0x88fac4e8, "xhci_msi_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd30238d7, "xhci_run" },
	{ 0xa916b694, "strnlen" },
	{ 0x70cf032f, "usb_hcd_irq" },
	{ 0xde3bd266, "xhci_dbg_trace" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x25922f2e, "pci_match_id" },
	{ 0xaf4014ff, "usb_amd_quirk_pll_check" },
	{ 0xd2f4c996, "pci_unregister_driver" },
	{ 0x57e2fbe5, "__tracepoint_xhci_dbg_quirks" },
	{ 0x7f9e7f36, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xabf03fc3, "__SCT__tp_func_xhci_dbg_quirks" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xcfb0af62, "xhci_gen_setup" },
	{ 0x5c5a559d, "pci_set_mwi" },
	{ 0x52c9cab, "pci_read_config_byte" },
	{ 0x6a7b18f6, "is_acpi_device_node" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e36e944, "__tracepoint_xhci_dbg_init" },
	{ 0x8a5c1029, "__SCT__tp_func_xhci_dbg_init" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xf6a79eb8, "xhci_resume" },
	{ 0x56cc7143, "usb_enable_intel_xhci_ports" },
	{ 0xe63ace25, "xhci_shutdown" },
	{ 0x988c26b2, "__devm_reset_control_get" },
	{ 0x486a9861, "usb_hcd_pci_probe" },
	{ 0xbc7b67f2, "usb_create_shared_hcd" },
	{ 0xdadffadb, "xhci_ext_cap_init" },
	{ 0xc54c33f9, "renesas_xhci_check_request_fw" },
	{ 0x923a8346, "usb_add_hcd" },
	{ 0xf18766b4, "pci_choose_state" },
	{ 0x347dc5b0, "pm_runtime_allow" },
	{ 0x500ebf79, "usb_hcd_pci_shutdown" },
	{ 0xa2762b8a, "usb_hcd_pci_pm_ops" },
	{ 0x57fc6b3f, "__SCK__tp_func_xhci_dbg_init" },
	{ 0x989fc01e, "__SCK__tp_func_xhci_dbg_quirks" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfbd9b23b, "xhci_init_driver" },
	{ 0x272e1f1, "__pci_register_driver" },
	{ 0xa3acc074, "usb_hcd_is_primary_hcd" },
	{ 0xc0769fe7, "usb_remove_hcd" },
	{ 0x8a9da315, "usb_put_hcd" },
	{ 0x7f2889bc, "usb_hcd_pci_remove" },
	{ 0x1cd16834, "pm_runtime_forbid" },
	{ 0x13421a7, "pci_set_power_state" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x57754ff1, "xhci_stop" },
	{ 0x9bc8efd5, "pci_irq_vector" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x6553616e, "pci_free_irq_vectors" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "xhci-hcd,usbcore,xhci-pci-renesas");

MODULE_ALIAS("pci:v00001912d00000014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001912d00000015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i30*");

MODULE_INFO(srcversion, "F5E84F83200839ADA99F52A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
