#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_atm_ioctl, "", "");
KSYMTAB_FUNC(deregister_atm_ioctl, "", "");
KSYMTAB_DATA(vcc_hash, "", "");
KSYMTAB_DATA(vcc_sklist_lock, "", "");
KSYMTAB_FUNC(vcc_insert_socket, "", "");
KSYMTAB_FUNC(vcc_release_async, "", "");
KSYMTAB_FUNC(vcc_process_recv_queue, "", "");
KSYMTAB_FUNC(atm_dev_signal_change, "", "");
KSYMTAB_FUNC(atm_dev_release_vccs, "", "");
KSYMTAB_FUNC(register_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(unregister_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(atm_charge, "", "");
KSYMTAB_FUNC(atm_alloc_charge, "", "");
KSYMTAB_FUNC(atm_pcr_goal, "", "");
KSYMTAB_FUNC(sonet_copy_stats, "", "");
KSYMTAB_FUNC(sonet_subtract_stats, "", "");
KSYMTAB_FUNC(atm_init_aal5, "", "");
KSYMTAB_FUNC(atm_dev_lookup, "", "");
KSYMTAB_FUNC(atm_dev_register, "", "");
KSYMTAB_FUNC(atm_dev_deregister, "", "");
KSYMTAB_DATA(atm_proc_root, "", "");

SYMBOL_CRC(register_atm_ioctl, 0x7b056e80, "");
SYMBOL_CRC(deregister_atm_ioctl, 0xa7507bfc, "");
SYMBOL_CRC(vcc_hash, 0x2cc2d52d, "");
SYMBOL_CRC(vcc_sklist_lock, 0xe05cfc9b, "");
SYMBOL_CRC(vcc_insert_socket, 0xe9727323, "");
SYMBOL_CRC(vcc_release_async, 0x45ff0257, "");
SYMBOL_CRC(vcc_process_recv_queue, 0xa81b3ef2, "");
SYMBOL_CRC(atm_dev_signal_change, 0x45d716ae, "");
SYMBOL_CRC(atm_dev_release_vccs, 0xa4e2648c, "");
SYMBOL_CRC(register_atmdevice_notifier, 0xb09faf79, "_gpl");
SYMBOL_CRC(unregister_atmdevice_notifier, 0xcfb6a3da, "_gpl");
SYMBOL_CRC(atm_charge, 0xae1df2ae, "");
SYMBOL_CRC(atm_alloc_charge, 0x62360ce2, "");
SYMBOL_CRC(atm_pcr_goal, 0xf49bc67a, "");
SYMBOL_CRC(sonet_copy_stats, 0xaa024146, "");
SYMBOL_CRC(sonet_subtract_stats, 0x9feaf287, "");
SYMBOL_CRC(atm_init_aal5, 0x7aeff38a, "");
SYMBOL_CRC(atm_dev_lookup, 0x6ffa2c81, "");
SYMBOL_CRC(atm_dev_register, 0x54337716, "");
SYMBOL_CRC(atm_dev_deregister, 0x0d8fb698, "");
SYMBOL_CRC(atm_proc_root, 0x4443d399, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6d334118, "__get_user_8" },
	{ 0x1000e51, "schedule" },
	{ 0xd9bde4af, "sock_register" },
	{ 0x77542c2d, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xee7aa097, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x57189b14, "put_device" },
	{ 0xee241aa9, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x638f69ee, "const_pcpu_hot" },
	{ 0xd27744b6, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x665c6a61, "skb_queue_tail" },
	{ 0x63b11ada, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x1c9abfe5, "device_create_file" },
	{ 0x4dd5379e, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xce769145, "noop_llseek" },
	{ 0x6a7633c7, "sk_free" },
	{ 0xdcf3f381, "sock_wake_async" },
	{ 0x4af02a53, "kfree_skb_reason" },
	{ 0x66c6c950, "sock_no_accept" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x45281818, "sock_no_listen" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x7be33427, "seq_putc" },
	{ 0x47466b4f, "class_unregister" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0xfccb0003, "lock_sock_nested" },
	{ 0x8481ae1d, "skb_copy_datagram_iter" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x496ecd49, "sk_alloc" },
	{ 0x2291a795, "device_register" },
	{ 0x5df387f4, "device_del" },
	{ 0xeaedfe35, "_raw_write_unlock_irq" },
	{ 0x4c533121, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x82059aac, "atomic_notifier_call_chain" },
	{ 0x2e8ed904, "sock_no_mmap" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xab4f7184, "atomic_notifier_chain_unregister" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x191187d6, "skb_recv_datagram" },
	{ 0x58d8d957, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x67676b92, "remove_proc_entry" },
	{ 0xa6a0eb51, "seq_printf" },
	{ 0x72dd4897, "_copy_from_iter" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0x92a7ad2e, "sock_gettstamp" },
	{ 0x9185ab77, "_proc_mkdir" },
	{ 0x63c0b89c, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0xf4f15653, "__seq_puts" },
	{ 0x754d539c, "strlen" },
	{ 0x4c2a7c7d, "dev_kfree_skb_any_reason" },
	{ 0x1e3a6887, "iov_iter_revert" },
	{ 0xa0640a49, "proc_create_seq_private" },
	{ 0xb94aee27, "class_register" },
	{ 0x6c11c4fb, "sock_init_data" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0x5e64e33f, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x370d622b, "release_sock" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x7cb1f52f, "skb_free_datagram" },
	{ 0xc5ceb5c0, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x12ec5829, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7114f911, "dev_set_name" },
	{ 0x94349fdc, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x1514152e, "skb_dequeue" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0x3f609cff, "proc_create_data" },
	{ 0xd0a5035f, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2fb7a065, "_raw_write_lock_irq" },
	{ 0x5e3e97cb, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x20020ec1, "proto_unregister" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "27DA30E83C86FFAE6A2E244");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
