#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0xe93485de, "");
SYMBOL_CRC(bt_sock_register, 0x58e05ad9, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0xd598a8a2, "");
SYMBOL_CRC(bt_sock_link, 0x58ff3d17, "");
SYMBOL_CRC(bt_sock_unlink, 0xf0933233, "");
SYMBOL_CRC(bt_accept_enqueue, 0x9e200dc3, "");
SYMBOL_CRC(bt_accept_unlink, 0x7772f4ea, "");
SYMBOL_CRC(bt_accept_dequeue, 0x6b36623e, "");
SYMBOL_CRC(bt_sock_recvmsg, 0xd45e32ee, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x1a9a8471, "");
SYMBOL_CRC(bt_sock_poll, 0xcfcb0565, "");
SYMBOL_CRC(bt_sock_ioctl, 0x0b25c179, "");
SYMBOL_CRC(bt_sock_wait_state, 0x26812bc7, "");
SYMBOL_CRC(bt_sock_wait_ready, 0xba616c39, "");
SYMBOL_CRC(bt_procfs_init, 0xd77222c1, "");
SYMBOL_CRC(bt_procfs_cleanup, 0xd08cce81, "");
SYMBOL_CRC(bt_debugfs, 0x432c38f5, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0xcb5fd5fa, "");
SYMBOL_CRC(hci_free_dev, 0xef81ce58, "");
SYMBOL_CRC(hci_register_dev, 0x6b4febf8, "");
SYMBOL_CRC(hci_unregister_dev, 0xd885717f, "");
SYMBOL_CRC(hci_release_dev, 0x62f41e5d, "");
SYMBOL_CRC(hci_suspend_dev, 0x02b8c054, "");
SYMBOL_CRC(hci_resume_dev, 0xb6952ca6, "");
SYMBOL_CRC(hci_reset_dev, 0x601043a0, "");
SYMBOL_CRC(hci_recv_frame, 0xd8375793, "");
SYMBOL_CRC(hci_recv_diag, 0x4c78e304, "");
SYMBOL_CRC(hci_set_hw_info, 0x1f3cf368, "");
SYMBOL_CRC(hci_set_fw_info, 0x7795297f, "");
SYMBOL_CRC(hci_register_cb, 0xa225a9a6, "");
SYMBOL_CRC(hci_unregister_cb, 0xbba01258, "");
SYMBOL_CRC(__hci_cmd_send, 0x344316b5, "");
SYMBOL_CRC(hci_get_route, 0x897c9ac8, "");
SYMBOL_CRC(hci_conn_security, 0x2243e0e2, "");
SYMBOL_CRC(hci_conn_check_secure, 0x5b9744ee, "");
SYMBOL_CRC(hci_conn_switch_role, 0xc4992952, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x78f984c2, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x16c7903a, "");
SYMBOL_CRC(l2cap_add_psm, 0xec31ebff, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0xc7bf6d0f, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0xef5cc013, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x356ac637, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0x2db86ce0, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0xbaf46048, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x32d1b06f, "");
SYMBOL_CRC(l2cap_register_user, 0x614673fe, "");
SYMBOL_CRC(l2cap_unregister_user, 0xe9043abb, "");
SYMBOL_CRC(l2cap_conn_get, 0xe71a7293, "");
SYMBOL_CRC(l2cap_conn_put, 0x1c38eb0b, "");
SYMBOL_CRC(l2cap_chan_send, 0xb17afdca, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x5ef45fa3, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x55f76582, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x669faded, "");
SYMBOL_CRC(__hci_cmd_sync, 0x2fed1472, "");
SYMBOL_CRC(hci_cmd_sync, 0xb0f0465b, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0xbcbb4680, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x4b58dd96, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x8684f35c, "");
SYMBOL_CRC(hci_cmd_sync_status, 0x781c4f0a, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x056a3acd, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0x273e290b, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x34018ec0, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0xd244c50c, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0x759ddf4c, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0xc6a0993e, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0x63606a87, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0x92f8b93d, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x0a069f94, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x7529f6f4, "");
SYMBOL_CRC(hci_devcd_init, 0xc316279b, "");
SYMBOL_CRC(hci_devcd_append, 0x8d58cfd0, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x0a838398, "");
SYMBOL_CRC(hci_devcd_complete, 0xef1ac542, "");
SYMBOL_CRC(hci_devcd_abort, 0xa58d6cb7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0xdfb800d9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x708868b4, "devm_kmalloc" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x12ec5829, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7114f911, "dev_set_name" },
	{ 0xe85c3a2e, "scm_detach_fds" },
	{ 0x34204de0, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xde21ac2a, "device_unregister" },
	{ 0x1514152e, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0x627045e7, "led_trigger_register_simple" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x90fab38f, "add_wait_queue_exclusive" },
	{ 0xc1fd1c48, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xdd626f72, "seq_lseek" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0x6ba354fa, "sock_no_connect" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xffe3cef, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x7ef8cf27, "led_trigger_unregister_simple" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x98e3c3a0, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0xa78de32a, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xbcfa3393, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xee8eb14d, "__put_cred" },
	{ 0x47d4a207, "put_cmsg" },
	{ 0x5e3e97cb, "skb_queue_purge_reason" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0xaab4b01b, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x464dd2df, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x20020ec1, "proto_unregister" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd9bde4af, "sock_register" },
	{ 0x65d77ec6, "datagram_poll" },
	{ 0x77542c2d, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x57189b14, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xee241aa9, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9af842d, "idr_get_next" },
	{ 0x638f69ee, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xd27744b6, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x665c6a61, "skb_queue_tail" },
	{ 0x63b11ada, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x399c6a08, "__sock_recv_timestamp" },
	{ 0x6c7a9bd, "sock_no_shutdown" },
	{ 0x9f9e4b4d, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x47ceef3e, "devm_kfree" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x4dd5379e, "init_net" },
	{ 0x1fce87a7, "crypto_shash_setkey" },
	{ 0xf72143e4, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb8443b10, "device_add" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x72807db, "init_uts_ns" },
	{ 0x6a7633c7, "sk_free" },
	{ 0x87d0396b, "device_move" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4af02a53, "kfree_skb_reason" },
	{ 0x66c6c950, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xce71b942, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x45281818, "sock_no_listen" },
	{ 0x93dc96d1, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x7be33427, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x28f19241, "iov_iter_kvec" },
	{ 0x6573f300, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x47466b4f, "class_unregister" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xfccb0003, "lock_sock_nested" },
	{ 0xc7a91936, "device_find_child" },
	{ 0x4f374ce6, "dev_coredumpv" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x8481ae1d, "skb_copy_datagram_iter" },
	{ 0xe024143b, "rfkill_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x496ecd49, "sk_alloc" },
	{ 0x5df387f4, "device_del" },
	{ 0x553c97d5, "__sock_queue_rcv_skb" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x776363cd, "__sock_recv_wifi_status" },
	{ 0xeff027c8, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x4c533121, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0xb0b03b7b, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2e8ed904, "sock_no_mmap" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x56eb87d, "__pskb_pull_tail" },
	{ 0x68f07c51, "__scm_destroy" },
	{ 0x8bc3e484, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x5e00fdc6, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x3f87c800, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5749b4dc, "devm_kasprintf" },
	{ 0x7ab646c1, "seq_read" },
	{ 0x96972587, "sock_i_ino" },
	{ 0x9c2ff439, "debugfs_create_file" },
	{ 0x9cf57075, "devm_led_trigger_register" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8c1b5cfd, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5ecbad92, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x191187d6, "skb_recv_datagram" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1a4ed638, "sock_alloc_send_pskb" },
	{ 0x58d8d957, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x67676b92, "remove_proc_entry" },
	{ 0x41620cdc, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa6a0eb51, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x65b5fcf1, "skb_copy" },
	{ 0x9a15ec2c, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x72dd4897, "_copy_from_iter" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0x7709327b, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x92a7ad2e, "sock_gettstamp" },
	{ 0x17c44339, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1679095b, "pid_vnr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0x503ca7b8, "from_kuid_munged" },
	{ 0x903301b0, "led_trigger_event" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x1e3a6887, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xa0640a49, "proc_create_seq_private" },
	{ 0xbac777ae, "single_open" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x5b3f1cac, "crypto_alloc_shash" },
	{ 0x9a4d8ea, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x419976aa, "fwnode_property_read_u8_array" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x860661e2, "put_pid" },
	{ 0xb94aee27, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6c11c4fb, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6b8a751e, "__dev_fwnode" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0xb784aa0f, "skb_dump" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x370d622b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa97907e0, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x7cb1f52f, "skb_free_datagram" },
	{ 0xf66a9414, "sock_queue_rcv_skb_reason" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xc5ceb5c0, "try_module_get" },
	{ 0x4e77d726, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "5F20904E67BB737C7693367");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
