#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3de1e413, "km_state_notify" },
	{ 0x91187eb2, "ns_capable" },
	{ 0x496ecd49, "sk_alloc" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x6c11c4fb, "sock_init_data" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x86e321dc, "proc_create_net_data" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x72dd4897, "_copy_from_iter" },
	{ 0x1e3a6887, "iov_iter_revert" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xaab23340, "xfrm_calg_get_byname" },
	{ 0xd6f50cf7, "xfrm_ealg_get_byname" },
	{ 0x5e3e97cb, "skb_queue_purge_reason" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6a7633c7, "sk_free" },
	{ 0x23b33f51, "xfrm_policy_alloc" },
	{ 0xc65304b3, "security_xfrm_policy_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcf5e8cf, "xfrm_policy_destroy" },
	{ 0x3e07d74b, "xfrm_policy_byid" },
	{ 0xb841c157, "xfrm_audit_policy_delete" },
	{ 0xc599a772, "security_xfrm_state_delete" },
	{ 0xfeffcf0, "xfrm_state_delete" },
	{ 0x502f7b6a, "xfrm_audit_state_delete" },
	{ 0x511732f1, "__xfrm_state_destroy" },
	{ 0xe074eebc, "xfrm_policy_bysel_ctx" },
	{ 0xa9c63b69, "security_xfrm_policy_free" },
	{ 0xf421405b, "xfrm_migrate" },
	{ 0x27f80a5f, "xfrm_state_alloc" },
	{ 0x27866435, "security_xfrm_state_alloc" },
	{ 0xc80741, "xfrm_ealg_get_byid" },
	{ 0x754d539c, "strlen" },
	{ 0x632a1507, "xfrm_init_state" },
	{ 0xd044a6a3, "xfrm_state_update" },
	{ 0x9c86e5da, "xfrm_audit_state_add" },
	{ 0x8b7c9ea7, "xfrm_state_add" },
	{ 0x5c699441, "xfrm_aalg_get_byid" },
	{ 0x72395dc1, "xfrm_calg_get_byid" },
	{ 0x9842781a, "xfrm_policy_insert" },
	{ 0x88445bca, "xfrm_audit_policy_add" },
	{ 0xe923fcc8, "xfrm_find_acq_byseq" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x4dd5379e, "init_net" },
	{ 0x37e497e8, "verify_spi_info" },
	{ 0x9c5080a0, "xfrm_alloc_spi" },
	{ 0xfce69784, "xfrm_find_acq" },
	{ 0xfc1c8ef4, "sock_no_bind" },
	{ 0x6ba354fa, "sock_no_connect" },
	{ 0x4c533121, "sock_no_socketpair" },
	{ 0x66c6c950, "sock_no_accept" },
	{ 0xb6086927, "sock_no_getname" },
	{ 0x65d77ec6, "datagram_poll" },
	{ 0x780a38d2, "sock_no_ioctl" },
	{ 0x45281818, "sock_no_listen" },
	{ 0x6c7a9bd, "sock_no_shutdown" },
	{ 0x2e8ed904, "sock_no_mmap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd27744b6, "proto_register" },
	{ 0x13048679, "register_pernet_subsys" },
	{ 0xd9bde4af, "sock_register" },
	{ 0xc72d73cc, "unregister_pernet_subsys" },
	{ 0x3c518838, "xfrm_register_km" },
	{ 0x20020ec1, "proto_unregister" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9a15ec2c, "skb_clone" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xefb1a686, "sock_rfree" },
	{ 0x665c6a61, "skb_queue_tail" },
	{ 0x4af02a53, "kfree_skb_reason" },
	{ 0xee241aa9, "__alloc_skb" },
	{ 0x12ec5829, "skb_put" },
	{ 0xfb578fc5, "memset" },
	{ 0x69acdf38, "memcpy" },
	{ 0x92997ed8, "_printk" },
	{ 0x52a5b913, "xfrm_policy_walk" },
	{ 0xfe5b83dc, "xfrm_policy_walk_done" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x191187d6, "skb_recv_datagram" },
	{ 0x8481ae1d, "skb_copy_datagram_iter" },
	{ 0x7cb1f52f, "skb_free_datagram" },
	{ 0x77542c2d, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9df055a, "xfrm_policy_walk_init" },
	{ 0x65b5fcf1, "skb_copy" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0x2782b393, "xfrm_state_walk_init" },
	{ 0xb064cbe5, "xfrm_state_walk_done" },
	{ 0x520c675b, "xfrm_state_walk" },
	{ 0x5fa8cdc4, "xfrm_state_lookup" },
	{ 0x67676b92, "remove_proc_entry" },
	{ 0x96972587, "sock_i_ino" },
	{ 0x4e77d726, "sock_i_uid" },
	{ 0x503ca7b8, "from_kuid_munged" },
	{ 0xa6a0eb51, "seq_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x1e9edfb7, "seq_hlist_start_head_rcu" },
	{ 0x30dd7f00, "xfrm_unregister_km" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x28e23139, "xfrm_probe_algs" },
	{ 0xa575945, "xfrm_count_pfkey_auth_supported" },
	{ 0x7a8ca627, "xfrm_count_pfkey_enc_supported" },
	{ 0xb73be794, "xfrm_ealg_get_byidx" },
	{ 0xc6b1fdbe, "xfrm_aalg_get_byidx" },
	{ 0x3ab6ce80, "xfrm_policy_flush" },
	{ 0x20a45676, "km_policy_notify" },
	{ 0x44234ffc, "xfrm_state_flush" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "5212B06BDF22C61446E6D4A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
