#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69124398, "l2tp_tunnel_register" },
	{ 0x5c499d62, "l2tp_tunnel_dec_refcount" },
	{ 0x37a0cba, "kfree" },
	{ 0x67676b92, "remove_proc_entry" },
	{ 0x86e321dc, "proc_create_net_data" },
	{ 0x8f45cbc5, "l2tp_tunnel_get_nth" },
	{ 0x337f2432, "l2tp_nl_unregister_ops" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf66a9414, "sock_queue_rcv_skb_reason" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x75bd2134, "ppp_input" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf72143e4, "skb_pull" },
	{ 0x56eb87d, "__pskb_pull_tail" },
	{ 0xd0dc0657, "l2tp_session_get_nth" },
	{ 0xfccb0003, "lock_sock_nested" },
	{ 0x370d622b, "release_sock" },
	{ 0x89653cb4, "l2tp_tunnel_delete" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x5eb796ff, "l2tp_session_create" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x638f69ee, "const_pcpu_hot" },
	{ 0x51c6adc0, "l2tp_session_inc_refcount" },
	{ 0x3ae1145e, "l2tp_session_register" },
	{ 0x1b88ad17, "ip6_mtu" },
	{ 0xbebe9342, "dst_release" },
	{ 0x2e941607, "ppp_register_net_channel" },
	{ 0x1c4ad57d, "l2tp_session_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x3f8b9ca9, "ipv4_mtu" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6a7633c7, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf249b917, "ppp_dev_name" },
	{ 0xa6a0eb51, "seq_printf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x58d8d957, "seq_write" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfae91c5, "l2tp_session_set_header_len" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd4b61061, "pppox_unbind_sock" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xbe8fa5a9, "sock_wmalloc" },
	{ 0x12ec5829, "skb_put" },
	{ 0x72dd4897, "_copy_from_iter" },
	{ 0x7f9e7f36, "pcpu_hot" },
	{ 0x4834b520, "l2tp_xmit_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1e3a6887, "iov_iter_revert" },
	{ 0x336cf448, "pskb_expand_head" },
	{ 0xfc1c8ef4, "sock_no_bind" },
	{ 0x4c533121, "sock_no_socketpair" },
	{ 0x66c6c950, "sock_no_accept" },
	{ 0x65d77ec6, "datagram_poll" },
	{ 0x1f6d46e2, "pppox_ioctl" },
	{ 0x97177b34, "pppox_compat_ioctl" },
	{ 0x45281818, "sock_no_listen" },
	{ 0x6c7a9bd, "sock_no_shutdown" },
	{ 0x2e8ed904, "sock_no_mmap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68d2d619, "register_pernet_device" },
	{ 0xd27744b6, "proto_register" },
	{ 0xa88b887f, "register_pppox_proto" },
	{ 0x3a0b10b1, "l2tp_nl_register_ops" },
	{ 0xe0ff7a18, "unregister_pppox_proto" },
	{ 0x92997ed8, "_printk" },
	{ 0x20020ec1, "proto_unregister" },
	{ 0xbcfb23ac, "unregister_pernet_device" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc5ce263d, "l2tp_tunnel_get_session" },
	{ 0x88c8af76, "l2tp_session_dec_refcount" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x496ecd49, "sk_alloc" },
	{ 0x6c11c4fb, "sock_init_data" },
	{ 0x5e3e97cb, "skb_queue_purge_reason" },
	{ 0x43e1e532, "l2tp_udp_encap_recv" },
	{ 0x4af02a53, "kfree_skb_reason" },
	{ 0x191187d6, "skb_recv_datagram" },
	{ 0x8481ae1d, "skb_copy_datagram_iter" },
	{ 0xb189e45c, "l2tp_tunnel_get" },
	{ 0xb1e053ef, "l2tp_tunnel_create" },
	{ 0xe6c51605, "l2tp_tunnel_inc_refcount" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "l2tp_core,l2tp_netlink,ppp_generic,pppox");


MODULE_INFO(srcversion, "0FFC3C163D829CA91C0AB79");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
