#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nci_get_conn_info_by_dest_type_params, "", "");
KSYMTAB_FUNC(nci_req_complete, "", "");
KSYMTAB_FUNC(nci_prop_cmd, "", "");
KSYMTAB_FUNC(nci_core_cmd, "", "");
KSYMTAB_FUNC(nci_core_reset, "", "");
KSYMTAB_FUNC(nci_core_init, "", "");
KSYMTAB_FUNC(nci_nfcc_loopback, "", "");
KSYMTAB_FUNC(nci_set_config, "", "");
KSYMTAB_FUNC(nci_nfcee_discover, "", "");
KSYMTAB_FUNC(nci_nfcee_mode_set, "", "");
KSYMTAB_FUNC(nci_core_conn_create, "", "");
KSYMTAB_FUNC(nci_core_conn_close, "", "");
KSYMTAB_FUNC(nci_allocate_device, "", "");
KSYMTAB_FUNC(nci_free_device, "", "");
KSYMTAB_FUNC(nci_register_device, "", "");
KSYMTAB_FUNC(nci_unregister_device, "", "");
KSYMTAB_FUNC(nci_recv_frame, "", "");
KSYMTAB_FUNC(nci_send_frame, "", "");
KSYMTAB_FUNC(nci_send_cmd, "", "");
KSYMTAB_FUNC(nci_conn_max_data_pkt_payload_size, "", "");
KSYMTAB_FUNC(nci_send_data, "", "");
KSYMTAB_FUNC(nci_to_errno, "", "");
KSYMTAB_FUNC(nci_hci_send_event, "", "");
KSYMTAB_FUNC(nci_hci_send_cmd, "", "");
KSYMTAB_FUNC(nci_hci_clear_all_pipes, "", "");
KSYMTAB_FUNC(nci_hci_open_pipe, "", "");
KSYMTAB_FUNC(nci_hci_set_param, "", "");
KSYMTAB_FUNC(nci_hci_get_param, "", "");
KSYMTAB_FUNC(nci_hci_connect_gate, "", "");
KSYMTAB_FUNC(nci_hci_dev_session_init, "", "");

SYMBOL_CRC(nci_get_conn_info_by_dest_type_params, 0x180fe801, "");
SYMBOL_CRC(nci_req_complete, 0x79ae3858, "");
SYMBOL_CRC(nci_prop_cmd, 0xd24592f0, "");
SYMBOL_CRC(nci_core_cmd, 0x55a009c1, "");
SYMBOL_CRC(nci_core_reset, 0xff5488e6, "");
SYMBOL_CRC(nci_core_init, 0x697396b8, "");
SYMBOL_CRC(nci_nfcc_loopback, 0xee293b22, "");
SYMBOL_CRC(nci_set_config, 0x92ae9818, "");
SYMBOL_CRC(nci_nfcee_discover, 0xc92f136e, "");
SYMBOL_CRC(nci_nfcee_mode_set, 0x29b1d9dd, "");
SYMBOL_CRC(nci_core_conn_create, 0xc09aae75, "");
SYMBOL_CRC(nci_core_conn_close, 0x533b1b97, "");
SYMBOL_CRC(nci_allocate_device, 0x2946d873, "");
SYMBOL_CRC(nci_free_device, 0xbdc69596, "");
SYMBOL_CRC(nci_register_device, 0x30c3bcb6, "");
SYMBOL_CRC(nci_unregister_device, 0x5c04a502, "");
SYMBOL_CRC(nci_recv_frame, 0xf5be408f, "");
SYMBOL_CRC(nci_send_frame, 0x88c94740, "");
SYMBOL_CRC(nci_send_cmd, 0xcf58c30f, "");
SYMBOL_CRC(nci_conn_max_data_pkt_payload_size, 0x0d3de391, "");
SYMBOL_CRC(nci_send_data, 0x34298c2a, "");
SYMBOL_CRC(nci_to_errno, 0xba490602, "");
SYMBOL_CRC(nci_hci_send_event, 0xf848107e, "");
SYMBOL_CRC(nci_hci_send_cmd, 0x56b02c73, "");
SYMBOL_CRC(nci_hci_clear_all_pipes, 0xc414953b, "");
SYMBOL_CRC(nci_hci_open_pipe, 0x9defd011, "");
SYMBOL_CRC(nci_hci_set_param, 0x02d27726, "");
SYMBOL_CRC(nci_hci_get_param, 0x5f092ec3, "");
SYMBOL_CRC(nci_hci_connect_gate, 0x307c725c, "");
SYMBOL_CRC(nci_hci_dev_session_init, 0xb603a305, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7eb9fd15, "nfc_get_local_general_bytes" },
	{ 0x7a39d9e8, "nfc_set_remote_general_bytes" },
	{ 0x47ceef3e, "devm_kfree" },
	{ 0xf72143e4, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4af02a53, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xce71b942, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x24755e0f, "nfc_tm_activated" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5e00fdc6, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x63349400, "nfc_targets_found" },
	{ 0xa2ced55e, "nfc_dep_link_is_up" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0xcbd885d3, "nfc_send_to_raw_sock" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0x8c7dded1, "nfc_register_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x708868b4, "devm_kmalloc" },
	{ 0x12ec5829, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1514152e, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbefc4871, "nfc_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x62c537eb, "nfc_allocate_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x649a677d, "nfc_tm_data_received" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x336cf448, "pskb_expand_head" },
	{ 0x5e3e97cb, "skb_queue_purge_reason" },
	{ 0x727958ad, "nfc_tm_deactivated" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xb692f494, "nfc_alloc_recv_skb" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x57189b14, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xee241aa9, "__alloc_skb" },
	{ 0x665c6a61, "skb_queue_tail" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "5F5D2E42E47102656FF465E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
