#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_fw_transaction, "", "");
KSYMTAB_FUNC(fw_iso_resources_init, "", "");
KSYMTAB_FUNC(fw_iso_resources_destroy, "", "");
KSYMTAB_FUNC(fw_iso_resources_allocate, "", "");
KSYMTAB_FUNC(fw_iso_resources_update, "", "");
KSYMTAB_FUNC(fw_iso_resources_free, "", "");
KSYMTAB_FUNC(iso_packets_buffer_init, "", "");
KSYMTAB_FUNC(iso_packets_buffer_destroy, "", "");
KSYMTAB_FUNC(avc_general_set_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_plug_info, "", "");
KSYMTAB_FUNC(fcp_avc_transaction, "", "");
KSYMTAB_FUNC(fcp_bus_reset, "", "");
KSYMTAB_FUNC(cmp_connection_init, "", "");
KSYMTAB_FUNC(cmp_connection_check_used, "", "");
KSYMTAB_FUNC(cmp_connection_destroy, "", "");
KSYMTAB_FUNC(cmp_connection_reserve, "", "");
KSYMTAB_FUNC(cmp_connection_release, "", "");
KSYMTAB_FUNC(cmp_connection_establish, "", "");
KSYMTAB_FUNC(cmp_connection_update, "", "");
KSYMTAB_FUNC(cmp_connection_break, "", "");
KSYMTAB_FUNC(amdtp_stream_init, "", "");
KSYMTAB_FUNC(amdtp_stream_destroy, "", "");
KSYMTAB_DATA(amdtp_syt_intervals, "", "");
KSYMTAB_DATA(amdtp_rate_table, "", "");
KSYMTAB_FUNC(amdtp_stream_add_pcm_hw_constraints, "", "");
KSYMTAB_FUNC(amdtp_stream_set_parameters, "", "");
KSYMTAB_FUNC(amdtp_stream_get_max_payload, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_prepare, "", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_pointer, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_ack, "_gpl", "");
KSYMTAB_FUNC(amdtp_stream_update, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_abort, "", "");
KSYMTAB_FUNC(amdtp_domain_init, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_destroy, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_add_stream, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_start, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stop, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_parameters, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_pcm_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_midi_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_add_pcm_hw_constraints, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_midi_trigger, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_init, "_gpl", "");

SYMBOL_CRC(snd_fw_transaction, 0xa7090e08, "");
SYMBOL_CRC(fw_iso_resources_init, 0xfa0794c6, "");
SYMBOL_CRC(fw_iso_resources_destroy, 0x50473805, "");
SYMBOL_CRC(fw_iso_resources_allocate, 0x631ffc06, "");
SYMBOL_CRC(fw_iso_resources_update, 0xe0875ff8, "");
SYMBOL_CRC(fw_iso_resources_free, 0x9b747928, "");
SYMBOL_CRC(iso_packets_buffer_init, 0x0e93a405, "");
SYMBOL_CRC(iso_packets_buffer_destroy, 0x9094dd01, "");
SYMBOL_CRC(avc_general_set_sig_fmt, 0x90851cf2, "");
SYMBOL_CRC(avc_general_get_sig_fmt, 0x0b1e5463, "");
SYMBOL_CRC(avc_general_get_plug_info, 0x812f4278, "");
SYMBOL_CRC(fcp_avc_transaction, 0xdc2788f2, "");
SYMBOL_CRC(fcp_bus_reset, 0xc16f2617, "");
SYMBOL_CRC(cmp_connection_init, 0xd17624f4, "");
SYMBOL_CRC(cmp_connection_check_used, 0xeca86fbd, "");
SYMBOL_CRC(cmp_connection_destroy, 0x0ab4c02a, "");
SYMBOL_CRC(cmp_connection_reserve, 0x80a644af, "");
SYMBOL_CRC(cmp_connection_release, 0x8151ab92, "");
SYMBOL_CRC(cmp_connection_establish, 0xe6a4f3fe, "");
SYMBOL_CRC(cmp_connection_update, 0x8af90d6d, "");
SYMBOL_CRC(cmp_connection_break, 0x1e714aad, "");
SYMBOL_CRC(amdtp_stream_init, 0x2dd93ef9, "");
SYMBOL_CRC(amdtp_stream_destroy, 0x2e2152da, "");
SYMBOL_CRC(amdtp_syt_intervals, 0x20254e45, "");
SYMBOL_CRC(amdtp_rate_table, 0x53ca18e8, "");
SYMBOL_CRC(amdtp_stream_add_pcm_hw_constraints, 0xcbfeed23, "");
SYMBOL_CRC(amdtp_stream_set_parameters, 0x9ae866f2, "");
SYMBOL_CRC(amdtp_stream_get_max_payload, 0x0f6c6cb3, "");
SYMBOL_CRC(amdtp_stream_pcm_prepare, 0xe7f906f4, "");
SYMBOL_CRC(amdtp_domain_stream_pcm_pointer, 0x408e342e, "_gpl");
SYMBOL_CRC(amdtp_domain_stream_pcm_ack, 0x9a57298a, "_gpl");
SYMBOL_CRC(amdtp_stream_update, 0x582dde52, "");
SYMBOL_CRC(amdtp_stream_pcm_abort, 0x9810c128, "");
SYMBOL_CRC(amdtp_domain_init, 0x4989c763, "_gpl");
SYMBOL_CRC(amdtp_domain_destroy, 0x33ef8f5c, "_gpl");
SYMBOL_CRC(amdtp_domain_add_stream, 0x36794889, "_gpl");
SYMBOL_CRC(amdtp_domain_start, 0xfa2384c6, "_gpl");
SYMBOL_CRC(amdtp_domain_stop, 0x8092656c, "_gpl");
SYMBOL_CRC(amdtp_am824_set_parameters, 0x523ae1e2, "_gpl");
SYMBOL_CRC(amdtp_am824_set_pcm_position, 0x6496a783, "_gpl");
SYMBOL_CRC(amdtp_am824_set_midi_position, 0xa91f00d0, "_gpl");
SYMBOL_CRC(amdtp_am824_add_pcm_hw_constraints, 0xcc9bf2ac, "_gpl");
SYMBOL_CRC(amdtp_am824_midi_trigger, 0x1abc43c8, "_gpl");
SYMBOL_CRC(amdtp_am824_init, 0xcd81d5c3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x167891d5, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5cd3d78, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x7f9e7f36, "pcpu_hot" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x7cef9963, "fw_core_remove_address_handler" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xab483f07, "fw_iso_context_stop" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfbfd4166, "fw_core_add_address_handler" },
	{ 0xba713605, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x72686bdc, "snd_pcm_hw_rule_add" },
	{ 0x68242240, "fw_iso_context_queue" },
	{ 0x4877667f, "_dev_info" },
	{ 0xc1fef2, "fw_card_read_cycle_time" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x3238245a, "perf_trace_run_bpf_submit" },
	{ 0xacb10175, "_dev_err" },
	{ 0xf4fbe2a3, "fw_iso_buffer_destroy" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x86468d44, "fw_rcode_string" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x87491470, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xb45b8b5c, "fw_iso_resource_manage" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x4e498338, "bpf_trace_run9" },
	{ 0x63f78245, "snd_pcm_period_elapsed_under_stream_lock" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xb2006d1a, "fw_iso_context_start" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4806e32e, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xb391f095, "snd_pcm_stop_xrun" },
	{ 0xb772304f, "snd_pcm_hw_constraint_msbits" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0x5da7312a, "snd_pcm_period_elapsed" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xd0162d5d, "fw_iso_context_flush_completions" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0x34a4f691, "fw_iso_context_destroy" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0x350a545d, "fw_run_transaction" },
	{ 0x53a7484c, "snd_rawmidi_receive" },
	{ 0xab96745c, "fw_iso_buffer_init" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc576a530, "snd_rawmidi_transmit" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc8c1733b, "trace_raw_output_prep" },
	{ 0x748291ea, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x108c503d, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x51c81e92, "snd_pcm_hw_constraint_minmax" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "firewire-core,snd-pcm,snd-rawmidi");


MODULE_INFO(srcversion, "25F1533FE57D7CC9D8DB43D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
