#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0x2f35e6d6, "snd_ctl_add_followers" },
	{ 0x53a7484c, "snd_rawmidi_receive" },
	{ 0x9eb38940, "devm_request_threaded_irq" },
	{ 0x2ab94bb2, "param_ops_uint" },
	{ 0xc576a530, "snd_rawmidi_transmit" },
	{ 0x4be2cca5, "snd_ctl_add" },
	{ 0x2019887d, "snd_ac97_resume" },
	{ 0x9062059b, "snd_pcm_new" },
	{ 0xa4b99b37, "snd_pcm_add_chmap_ctls" },
	{ 0x4732e9da, "snd_card_register" },
	{ 0x83a1d6b3, "snd_devm_alloc_dir_pages" },
	{ 0x272e1f1, "__pci_register_driver" },
	{ 0xbf602e79, "param_array_ops" },
	{ 0xce6b8630, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3fcfe05, "snd_card_free_on_error" },
	{ 0xa4fbaf77, "snd_card_rw_proc_new" },
	{ 0x5a73b449, "snd_ac97_mixer" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x69a9ea9a, "__dynamic_dev_dbg" },
	{ 0x1e3d006e, "snd_ac97_bus" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcbe41c4d, "snd_ctl_find_id" },
	{ 0x29f39b82, "snd_pcm_set_sync" },
	{ 0xd2f4c996, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xad360ef6, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xc490298, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x35b6bb82, "snd_ctl_remove_id" },
	{ 0x4e1b99f, "snd_pcm_std_chmaps" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8407f22, "snd_ctl_make_virtual_master" },
	{ 0x4877667f, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x6a113f57, "snd_ac97_suspend" },
	{ 0x18db40d5, "snd_ctl_boolean_mono_info" },
	{ 0xacb10175, "_dev_err" },
	{ 0x24d4db79, "pci_read_config_word" },
	{ 0xe2d5ce15, "snd_pcm_set_ops" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x17541214, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb3526693, "snd_ctl_rename" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xa620d9c1, "_dev_warn" },
	{ 0x2c9257f2, "pci_set_master" },
	{ 0xc2935d28, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2b43bb0, "snd_rawmidi_new" },
	{ 0x24b40caf, "dma_set_coherent_mask" },
	{ 0xe81c2298, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3b2211cb, "snd_rawmidi_set_ops" },
	{ 0x5ecbad92, "param_ops_bool" },
	{ 0xf03490d6, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa6a0eb51, "seq_printf" },
	{ 0x51f13dad, "dma_set_mask" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0x5da7312a, "snd_pcm_period_elapsed" },
	{ 0x3123f4d7, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0x1aa1c769, "param_ops_int" },
	{ 0x1de966fb, "pcim_enable_device" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-rawmidi,snd-ac97-codec,snd-pcm");

MODULE_ALIAS("pci:v00001102d00000007sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B2765EBD4DC98C6615B9137");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
