#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_emu10k1_memblk_map, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_memset, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_copy_from_user, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_read, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write_multiple, "", "");

SYMBOL_CRC(snd_emu10k1_memblk_map, 0x5edeabde, "");
SYMBOL_CRC(snd_emu10k1_synth_alloc, 0x023a3635, "");
SYMBOL_CRC(snd_emu10k1_synth_free, 0x48c702d0, "");
SYMBOL_CRC(snd_emu10k1_synth_memset, 0xa5883606, "");
SYMBOL_CRC(snd_emu10k1_synth_copy_from_user, 0xbb6f39ad, "");
SYMBOL_CRC(snd_emu10k1_voice_alloc, 0xe02cec29, "");
SYMBOL_CRC(snd_emu10k1_voice_free, 0xc5b8146f, "");
SYMBOL_CRC(snd_emu10k1_ptr_read, 0xa60754aa, "");
SYMBOL_CRC(snd_emu10k1_ptr_write, 0xf3e80344, "");
SYMBOL_CRC(snd_emu10k1_ptr_write_multiple, 0x1f1d6ef3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x5dede83f, "snd_pcm_hw_rule_noresample" },
	{ 0xeb58d6db, "snd_ac97_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe914e41e, "strcpy" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x53a7484c, "snd_rawmidi_receive" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb9899f7c, "snd_dma_alloc_dir_pages" },
	{ 0x9eb38940, "devm_request_threaded_irq" },
	{ 0x2ab94bb2, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0xc576a530, "snd_rawmidi_transmit" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x30e9767e, "snd_ac97_write_cache" },
	{ 0x4be2cca5, "snd_ctl_add" },
	{ 0x2019887d, "snd_ac97_resume" },
	{ 0x9062059b, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x26af6070, "snd_seq_device_new" },
	{ 0x4732e9da, "snd_card_register" },
	{ 0x380733c9, "request_firmware" },
	{ 0x83a1d6b3, "snd_devm_alloc_dir_pages" },
	{ 0x272e1f1, "__pci_register_driver" },
	{ 0x51c81e92, "snd_pcm_hw_constraint_minmax" },
	{ 0x7e487850, "snd_timer_interrupt" },
	{ 0xbf602e79, "param_array_ops" },
	{ 0xce6b8630, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa4fbaf77, "snd_card_rw_proc_new" },
	{ 0x6c7a8c52, "snd_ac97_update_bits" },
	{ 0x5a73b449, "snd_ac97_mixer" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x15ba7e1, "snd_sgbuf_get_addr" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x69a9ea9a, "__dynamic_dev_dbg" },
	{ 0x6e71fc58, "snd_ctl_remove" },
	{ 0x1e3d006e, "snd_ac97_bus" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcbe41c4d, "snd_ctl_find_id" },
	{ 0xd2f4c996, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xad360ef6, "pci_read_config_dword" },
	{ 0x90d87a90, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xc490298, "snd_ctl_new1" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x35b6bb82, "snd_ctl_remove_id" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4877667f, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x498be7c4, "iommu_get_domain_for_dev" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x6a113f57, "snd_ac97_suspend" },
	{ 0x7c694932, "snd_pcm_lib_malloc_pages" },
	{ 0x99bd10ee, "__snd_util_mem_alloc" },
	{ 0x18db40d5, "snd_ctl_boolean_mono_info" },
	{ 0xacb10175, "_dev_err" },
	{ 0x8614bcf, "snd_util_memhdr_new" },
	{ 0xbb4a729e, "snd_pcm_lib_free_pages" },
	{ 0xa91705d6, "snd_hwdep_new" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x24d4db79, "pci_read_config_word" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x8423da0c, "snd_ctl_notify" },
	{ 0xe2d5ce15, "snd_pcm_set_ops" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x17541214, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xca080792, "snd_timer_new" },
	{ 0xb3526693, "snd_ctl_rename" },
	{ 0x648f10db, "snd_pcm_hw_constraint_list" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x28c54a25, "snd_ac97_update" },
	{ 0x1da006c2, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0xfb578fc5, "memset" },
	{ 0xa620d9c1, "_dev_warn" },
	{ 0x2c9257f2, "pci_set_master" },
	{ 0xc2935d28, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa2b43bb0, "snd_rawmidi_new" },
	{ 0x24b40caf, "dma_set_coherent_mask" },
	{ 0xe81c2298, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x75c98a78, "_dev_notice" },
	{ 0x34f50913, "__snd_util_mem_free" },
	{ 0x3b2211cb, "snd_rawmidi_set_ops" },
	{ 0xaa8f2b48, "snd_pcm_lib_preallocate_pages" },
	{ 0x999e8297, "vfree" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x5ecbad92, "param_ops_bool" },
	{ 0xf03490d6, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa6a0eb51, "seq_printf" },
	{ 0xbb1c97fa, "snd_util_memhdr_free" },
	{ 0x80599bb8, "snd_info_create_card_entry" },
	{ 0x51f13dad, "dma_set_mask" },
	{ 0xab4e1e7a, "snd_device_free" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0x5da7312a, "snd_pcm_period_elapsed" },
	{ 0x8a05e13f, "__snd_util_memblk_new" },
	{ 0x754d539c, "strlen" },
	{ 0x1aa1c769, "param_ops_int" },
	{ 0x1de966fb, "pcim_enable_device" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-ac97-codec,snd,snd-rawmidi,snd-seq-device,snd-timer,snd-util-mem,snd-hwdep");

MODULE_ALIAS("pci:v00001102d00000002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000008sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FE40B7DB0CE2DF0DC57F47C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
