#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hda_gen_spec_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_kctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_from_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_path, "_gpl", "");
KSYMTAB_FUNC(snd_hda_activate_path, "_gpl", "");
KSYMTAB_DATA(hda_main_out_badness, "_gpl", "");
KSYMTAB_DATA(hda_extra_out_badness, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_mute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_micmute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_fix_pin_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_update_outputs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_hp_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_line_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_mic_autoswitch, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_path_power_filter, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_stream_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_parse_auto_config, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_free, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_check_power_status, "_gpl", "");

SYMBOL_CRC(snd_hda_gen_spec_init, 0x85f5eb5c, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0xb95483d3, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0x1f6658d3, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0x44322e81, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0x28e8797d, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0xbf8894d7, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0x5a4ff3df, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0x6fff3964, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0xd1092622, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0x4d970c87, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0x73d9db99, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0x207f2e76, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0x415a32f4, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0xf072e558, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0xe165cd44, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0x0e5ce803, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0xa6becb49, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0x8b455f6f, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0xae64a459, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0x3a526f09, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0xa3f663e4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3e7a81f, "snd_hda_enum_helper_info" },
	{ 0xcba28e3d, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x754d539c, "strlen" },
	{ 0x2b3875f1, "snd_hdac_codec_read" },
	{ 0xd5b21b7a, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0x958fbd, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0xf1784851, "snd_hda_codec_get_pin_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1fafa8fc, "snd_hdac_regmap_sync" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0x239785a5, "snd_hda_apply_verbs" },
	{ 0x6e98f925, "snd_hda_codec_amp_update" },
	{ 0x6a832b3b, "snd_hda_add_new_ctls" },
	{ 0x6535d09b, "snd_hda_get_connections" },
	{ 0x28d46d5b, "snd_hda_codec_amp_init_stereo" },
	{ 0xfeb8720b, "snd_hda_set_vmaster_tlv" },
	{ 0xa8808b9f, "hda_get_autocfg_input_label" },
	{ 0xc1bb13ca, "query_amp_caps" },
	{ 0x708868b4, "devm_kmalloc" },
	{ 0x50a92a15, "snd_hda_mixer_amp_volume_info" },
	{ 0xe3d9386f, "snd_hda_jack_detect_state_mst" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3599a31e, "snd_hda_codec_setup_stream" },
	{ 0x7f0fae73, "snd_hda_mixer_amp_switch_info" },
	{ 0x817809d, "hda_codec_driver_unregister" },
	{ 0xc5c2c591, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2595f286, "snd_hdac_codec_write" },
	{ 0x96848186, "scnprintf" },
	{ 0x567fe642, "snd_hda_jack_tbl_get_mst" },
	{ 0x71222791, "snd_hda_multi_out_dig_open" },
	{ 0x69acdf38, "memcpy" },
	{ 0x26a99f3, "snd_hda_add_vmaster_hook" },
	{ 0x37a0cba, "kfree" },
	{ 0x35033a63, "led_classdev_unregister" },
	{ 0x8ca19185, "snd_hda_codec_pcm_new" },
	{ 0x476aa2d2, "__snd_hda_codec_cleanup_stream" },
	{ 0x10fa381d, "snd_ctl_sync_vmaster" },
	{ 0x69a9ea9a, "__dynamic_dev_dbg" },
	{ 0xa66c55fe, "snd_hda_multi_out_dig_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa6a4a016, "snd_hda_get_pin_label" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9d3ba529, "snd_hda_add_imux_item" },
	{ 0x1dfff851, "snd_hda_correct_pin_ctl" },
	{ 0xa5f6c21c, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x79706536, "snd_hda_create_dig_out_ctls" },
	{ 0x7f8f406a, "snd_hda_multi_out_dig_close" },
	{ 0x27db4961, "snd_hda_get_conn_index" },
	{ 0xde8743f2, "snd_hda_multi_out_analog_open" },
	{ 0x36c5b34a, "snd_hda_get_bool_hint" },
	{ 0xb8ec9e78, "snd_hda_create_spdif_share_sw" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x1a13e7c7, "snd_hda_find_mixer_ctl" },
	{ 0x1bdc3f02, "snd_hda_get_int_hint" },
	{ 0xacb10175, "_dev_err" },
	{ 0x166a10fe, "__hda_codec_driver_register" },
	{ 0xb7c0f443, "sort" },
	{ 0x5cc05e1c, "snd_hda_parse_pin_defcfg" },
	{ 0xef1dbe41, "snd_hda_codec_amp_init" },
	{ 0x5c6d3fe9, "snd_hda_create_spdif_in_ctls" },
	{ 0xc61627ce, "is_jack_detectable" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9abf2816, "snd_hda_multi_out_analog_cleanup" },
	{ 0x357efb01, "snd_hda_multi_out_analog_prepare" },
	{ 0x4e161ab2, "snd_ctl_boolean_stereo_info" },
	{ 0xf043f606, "snd_hda_get_conn_list" },
	{ 0xd4353aa8, "snd_hda_mixer_amp_switch_get" },
	{ 0x1be0605c, "snd_hda_codec_set_pin_target" },
	{ 0xe357c5a6, "led_classdev_register_ext" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x7e8ea0a2, "snd_hda_attach_beep_device" },
	{ 0x9c7b1a46, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd65dfe31, "snd_hdac_regmap_write_raw" },
	{ 0xfb93bece, "snd_hda_mixer_amp_volume_get" },
	{ 0x63ca54db, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0xa620d9c1, "_dev_warn" },
	{ 0x11a6b0fa, "snd_hda_check_amp_caps" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfa149f1c, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4783c876, "snd_hda_jack_unsol_event" },
	{ 0x7b6191ab, "snd_hda_check_amp_list_power" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc2b6b872, "snd_hda_mixer_amp_tlv" },
	{ 0xa26392d1, "snd_hda_jack_add_kctls" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0x6cff7f59, "__snd_hda_add_vmaster" },
	{ 0xf59b5f49, "snd_hda_codec_amp_stereo" },
	{ 0xb820402a, "snd_hda_sync_vmaster_hook" },
	{ 0xd0e338d7, "snd_hda_apply_fixup" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "55963E4D447103311CF106D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
