#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe6310f54, "snd_hda_override_amp_caps" },
	{ 0xacb10175, "_dev_err" },
	{ 0x166a10fe, "__hda_codec_driver_register" },
	{ 0x73102530, "snd_hda_jack_set_gating_jack" },
	{ 0x5cc05e1c, "snd_hda_parse_pin_defcfg" },
	{ 0xae64a459, "snd_hda_gen_init" },
	{ 0xc61627ce, "is_jack_detectable" },
	{ 0xf072e558, "snd_hda_gen_path_power_filter" },
	{ 0xeb678199, "hda_component_manager_init" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x3e86f070, "snd_hdac_power_down_pm" },
	{ 0x6fff3964, "snd_hda_gen_add_micmute_led_cdev" },
	{ 0x88c3094c, "__snd_hda_apply_fixup" },
	{ 0xd4353aa8, "snd_hda_mixer_amp_switch_get" },
	{ 0x6add5c9a, "dmi_find_device" },
	{ 0x1be0605c, "snd_hda_codec_set_pin_target" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa3f663e4, "snd_hda_gen_check_power_status" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x73d9db99, "snd_hda_gen_hp_automute" },
	{ 0xb3526693, "snd_ctl_rename" },
	{ 0x9c7b1a46, "_snd_hda_set_pin_ctl" },
	{ 0xd65dfe31, "snd_hdac_regmap_write_raw" },
	{ 0x1b972ca5, "snd_hda_codec_set_name" },
	{ 0xfb93bece, "snd_hda_mixer_amp_volume_get" },
	{ 0x63ca54db, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0xa620d9c1, "_dev_warn" },
	{ 0x34f310cf, "hda_component_manager_bind" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x164fcbaf, "input_event" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4d970c87, "snd_hda_gen_update_outputs" },
	{ 0xfa149f1c, "snd_hda_mixer_amp_switch_put" },
	{ 0x741106d8, "snd_hda_codec_set_pincfg" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x4783c876, "snd_hda_jack_unsol_event" },
	{ 0x319f4e82, "snd_hda_override_conn_list" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x8b455f6f, "snd_hda_gen_build_pcms" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc2b6b872, "snd_hda_mixer_amp_tlv" },
	{ 0x357a1f79, "snd_pci_quirk_lookup" },
	{ 0xf59b5f49, "snd_hda_codec_amp_stereo" },
	{ 0x606e8bcc, "snd_hda_pick_fixup" },
	{ 0xd0fec6d2, "snd_hda_add_verbs" },
	{ 0xd0e338d7, "snd_hda_apply_fixup" },
	{ 0xe5ce803, "snd_hda_gen_parse_auto_config" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0x4ec60ffe, "hda_component_manager_bind_acpi_notifications" },
	{ 0x2b3875f1, "snd_hdac_codec_read" },
	{ 0xd5b21b7a, "snd_hda_mixer_amp_volume_put" },
	{ 0xa8e00fff, "component_unbind_all" },
	{ 0xf1784851, "snd_hda_codec_get_pin_target" },
	{ 0x3a526f09, "snd_hda_gen_free" },
	{ 0x5a4ff3df, "snd_hda_gen_add_mute_led_cdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1fafa8fc, "snd_hdac_regmap_sync" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0x1cd98467, "snd_hda_jack_add_kctl_mst" },
	{ 0xd3c69ffc, "snd_hda_shutup_pins" },
	{ 0xef1f8b7, "input_allocate_device" },
	{ 0x239785a5, "snd_hda_apply_verbs" },
	{ 0x35c51fed, "hda_component_manager_unbind_acpi_notifications" },
	{ 0x926755f0, "snd_hdac_power_up_pm" },
	{ 0xa6becb49, "snd_hda_gen_build_controls" },
	{ 0xc1bb13ca, "query_amp_caps" },
	{ 0x50a92a15, "snd_hda_mixer_amp_volume_info" },
	{ 0xa5fcea5f, "hda_component_manager_playback_hook" },
	{ 0xe3d9386f, "snd_hda_jack_detect_state_mst" },
	{ 0x85f5eb5c, "snd_hda_gen_spec_init" },
	{ 0x53b86eae, "snd_hda_jack_set_button_state" },
	{ 0x7f0fae73, "snd_hda_mixer_amp_switch_info" },
	{ 0x817809d, "hda_codec_driver_unregister" },
	{ 0xcb70f7ff, "snd_hda_apply_pincfgs" },
	{ 0xc5c2c591, "snd_hda_codec_get_pincfg" },
	{ 0x2595f286, "snd_hdac_codec_write" },
	{ 0x6350ff1a, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0x5903f10c, "input_unregister_device" },
	{ 0xb083ee35, "hda_component_manager_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xb95483d3, "snd_hda_gen_add_kctl" },
	{ 0x69a9ea9a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x14beb884, "input_free_device" },
	{ 0xce2a9d02, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0xa5f6c21c, "_snd_hdac_read_parm" },
	{ 0xfe2dbbde, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65e60829, "snd_hda_pick_pin_fixup" },
	{ 0x766b66b4, "snd_hdac_override_parm" },
	{ 0xe8b9357, "hda_component_acpi_device_notify" },
	{ 0x4877667f, "_dev_info" },
	{ 0x36c5b34a, "snd_hda_get_bool_hint" },
	{ 0x13dfbb63, "snd_hda_sequence_write" },
	{ 0x1a13e7c7, "snd_hda_find_mixer_ctl" },
	{ 0x4dbb80ef, "snd_hda_jack_bind_keymap" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-scodec-component,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v10EC0215r*a01*");
MODULE_ALIAS("hdaudio:v10EC0221r*a01*");
MODULE_ALIAS("hdaudio:v10EC0222r*a01*");
MODULE_ALIAS("hdaudio:v10EC0225r*a01*");
MODULE_ALIAS("hdaudio:v10EC0230r*a01*");
MODULE_ALIAS("hdaudio:v10EC0231r*a01*");
MODULE_ALIAS("hdaudio:v10EC0233r*a01*");
MODULE_ALIAS("hdaudio:v10EC0234r*a01*");
MODULE_ALIAS("hdaudio:v10EC0235r*a01*");
MODULE_ALIAS("hdaudio:v10EC0236r*a01*");
MODULE_ALIAS("hdaudio:v10EC0245r*a01*");
MODULE_ALIAS("hdaudio:v10EC0255r*a01*");
MODULE_ALIAS("hdaudio:v10EC0256r*a01*");
MODULE_ALIAS("hdaudio:v10EC0257r*a01*");
MODULE_ALIAS("hdaudio:v10EC0260r*a01*");
MODULE_ALIAS("hdaudio:v10EC0262r*a01*");
MODULE_ALIAS("hdaudio:v10EC0267r*a01*");
MODULE_ALIAS("hdaudio:v10EC0268r*a01*");
MODULE_ALIAS("hdaudio:v10EC0269r*a01*");
MODULE_ALIAS("hdaudio:v10EC0270r*a01*");
MODULE_ALIAS("hdaudio:v10EC0272r*a01*");
MODULE_ALIAS("hdaudio:v10EC0274r*a01*");
MODULE_ALIAS("hdaudio:v10EC0275r*a01*");
MODULE_ALIAS("hdaudio:v10EC0276r*a01*");
MODULE_ALIAS("hdaudio:v10EC0280r*a01*");
MODULE_ALIAS("hdaudio:v10EC0282r*a01*");
MODULE_ALIAS("hdaudio:v10EC0283r*a01*");
MODULE_ALIAS("hdaudio:v10EC0284r*a01*");
MODULE_ALIAS("hdaudio:v10EC0285r*a01*");
MODULE_ALIAS("hdaudio:v10EC0286r*a01*");
MODULE_ALIAS("hdaudio:v10EC0287r*a01*");
MODULE_ALIAS("hdaudio:v10EC0288r*a01*");
MODULE_ALIAS("hdaudio:v10EC0289r*a01*");
MODULE_ALIAS("hdaudio:v10EC0290r*a01*");
MODULE_ALIAS("hdaudio:v10EC0292r*a01*");
MODULE_ALIAS("hdaudio:v10EC0293r*a01*");
MODULE_ALIAS("hdaudio:v10EC0294r*a01*");
MODULE_ALIAS("hdaudio:v10EC0295r*a01*");
MODULE_ALIAS("hdaudio:v10EC0298r*a01*");
MODULE_ALIAS("hdaudio:v10EC0299r*a01*");
MODULE_ALIAS("hdaudio:v10EC0300r*a01*");
MODULE_ALIAS("hdaudio:v10EC0623r*a01*");
MODULE_ALIAS("hdaudio:v10EC0861r00100340a01*");
MODULE_ALIAS("hdaudio:v10EC0660r*a01*");
MODULE_ALIAS("hdaudio:v10EC0861r*a01*");
MODULE_ALIAS("hdaudio:v10EC0862r*a01*");
MODULE_ALIAS("hdaudio:v10EC0662r00100002a01*");
MODULE_ALIAS("hdaudio:v10EC0662r00100101a01*");
MODULE_ALIAS("hdaudio:v10EC0662r00100300a01*");
MODULE_ALIAS("hdaudio:v10EC0663r*a01*");
MODULE_ALIAS("hdaudio:v10EC0665r*a01*");
MODULE_ALIAS("hdaudio:v10EC0667r*a01*");
MODULE_ALIAS("hdaudio:v10EC0668r*a01*");
MODULE_ALIAS("hdaudio:v10EC0670r*a01*");
MODULE_ALIAS("hdaudio:v10EC0671r*a01*");
MODULE_ALIAS("hdaudio:v10EC0680r*a01*");
MODULE_ALIAS("hdaudio:v10EC0700r*a01*");
MODULE_ALIAS("hdaudio:v10EC0701r*a01*");
MODULE_ALIAS("hdaudio:v10EC0703r*a01*");
MODULE_ALIAS("hdaudio:v10EC0711r*a01*");
MODULE_ALIAS("hdaudio:v10EC0867r*a01*");
MODULE_ALIAS("hdaudio:v10EC0880r*a01*");
MODULE_ALIAS("hdaudio:v10EC0882r*a01*");
MODULE_ALIAS("hdaudio:v10EC0883r*a01*");
MODULE_ALIAS("hdaudio:v10EC0885r00100101a01*");
MODULE_ALIAS("hdaudio:v10EC0885r00100103a01*");
MODULE_ALIAS("hdaudio:v10EC0885r*a01*");
MODULE_ALIAS("hdaudio:v10EC0887r*a01*");
MODULE_ALIAS("hdaudio:v10EC0888r00100101a01*");
MODULE_ALIAS("hdaudio:v10EC0888r*a01*");
MODULE_ALIAS("hdaudio:v10EC0889r*a01*");
MODULE_ALIAS("hdaudio:v10EC0892r*a01*");
MODULE_ALIAS("hdaudio:v10EC0897r*a01*");
MODULE_ALIAS("hdaudio:v10EC0899r*a01*");
MODULE_ALIAS("hdaudio:v10EC0900r*a01*");
MODULE_ALIAS("hdaudio:v10EC0B00r*a01*");
MODULE_ALIAS("hdaudio:v10EC1168r*a01*");
MODULE_ALIAS("hdaudio:v10EC1220r*a01*");
MODULE_ALIAS("hdaudio:v19E58326r*a01*");

MODULE_INFO(srcversion, "F694E5978C6B0D7982FCF2F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
