#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(acp_machine_select, "_gpl", "SND_SOC_ACP_COMMON");
KSYMTAB_FUNC(config_pte_for_stream, "_gpl", "SND_SOC_ACP_COMMON");
KSYMTAB_FUNC(config_acp_dma, "_gpl", "SND_SOC_ACP_COMMON");
KSYMTAB_FUNC(acp_platform_register, "_gpl", "SND_SOC_ACP_COMMON");
KSYMTAB_FUNC(acp_platform_unregister, "_gpl", "SND_SOC_ACP_COMMON");

SYMBOL_CRC(acp_machine_select, 0xc83cf96a, "_gpl");
SYMBOL_CRC(config_pte_for_stream, 0x309878f6, "_gpl");
SYMBOL_CRC(config_acp_dma, 0x37edef57, "_gpl");
SYMBOL_CRC(acp_platform_register, 0x33408807, "_gpl");
SYMBOL_CRC(acp_platform_unregister, 0x96cfb321, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x5126853c, "devm_snd_soc_register_component" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xacb10175, "_dev_err" },
	{ 0xe983f1c9, "platform_device_unregister" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x1da006c2, "snd_pcm_set_managed_buffer_all" },
	{ 0xa620d9c1, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe81c2298, "snd_pcm_hw_constraint_integer" },
	{ 0x17cc8880, "platform_device_register_full" },
	{ 0xa6c5407a, "kmalloc_trace_noprof" },
	{ 0x5da7312a, "snd_pcm_period_elapsed" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x17b1658d, "kmalloc_caches" },
	{ 0x9eb38940, "devm_request_threaded_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-acpi,snd-pcm");


MODULE_INFO(srcversion, "ADCADBD80BB660E22006D17");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
