#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0xe0163ef0, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0x24e7c415, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0x4be82ddd, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0x20e20b2a, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0x45906bd6, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0x698e7c90, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0x7899b7f4, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0x4ad58d75, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0x9badac7e, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0x22591a2e, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0x8b7c354d, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0xbcb0a9ab, "_gpl");
SYMBOL_CRC(cs42l42_init, 0xcfad95d6, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0x1cd4020a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x9d16905, "snd_soc_jack_report" },
	{ 0xd3ce1267, "gpiod_set_value_cansleep" },
	{ 0x51c81e92, "snd_pcm_hw_constraint_minmax" },
	{ 0xec9becbb, "regcache_sync_region" },
	{ 0xc095d325, "snd_soc_put_enum_double" },
	{ 0x181ea72a, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbfee9170, "devm_gpiod_get_optional" },
	{ 0x69a9ea9a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5126853c, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x130704ef, "regulator_bulk_disable" },
	{ 0x11caaa87, "device_property_read_u32_array" },
	{ 0xb7a44ba2, "snd_soc_get_enum_double" },
	{ 0x4877667f, "_dev_info" },
	{ 0x4b074e4b, "snd_soc_info_volsw" },
	{ 0x36274225, "regcache_drop_region" },
	{ 0xacb10175, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xa620d9c1, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9bcb3a15, "snd_soc_info_enum_double" },
	{ 0xb4e1f680, "regulator_bulk_enable" },
	{ 0x41ae5cfb, "devm_regulator_bulk_get" },
	{ 0xb70a55ab, "snd_soc_get_volsw" },
	{ 0x4e88485a, "regmap_read" },
	{ 0xdaa21544, "snd_soc_put_volsw" },
	{ 0x6991e8a6, "snd_soc_component_update_bits" },
	{ 0x27e183f5, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbb103d5d, "regmap_bulk_read" },
	{ 0xcd4cf565, "regmap_update_bits_base" },
	{ 0xec758e85, "dev_err_probe" },
	{ 0xef44aec9, "regmap_multi_reg_write" },
	{ 0x351cc4a, "__pm_runtime_suspend" },
	{ 0x4fa1782d, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xcd3f3f7a, "device_property_present" },
	{ 0x7c432616, "regcache_cache_only" },
	{ 0xb4e3a6ed, "regcache_sync" },
	{ 0x17143ea9, "regmap_write" },
	{ 0xcf1a5868, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "DAF9FB3D28D81162E409584");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
